/**
* @file Merlin3-DesignSpec-HDR_Composer
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/16
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DHDR_V_COMPOSER_REG_H_
#define _RBUS_DHDR_V_COMPOSER_REG_H_

#include "rbusTypes.h"



//  DHDR_V_COMPOSER Register Address



#define  DHDR_V_COMPOSER_COMPOSER_VADDR                     	(0xb806b000)
#define  DHDR_V_COMPOSER_COMPOSER_BL_VADDR                  	(0xb806b004)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P01_VADDR 	(0xb806b008)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P23_VADDR 	(0xb806b00c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P45_VADDR 	(0xb806b010)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P67_VADDR 	(0xb806b014)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P8_VADDR 	(0xb806b018)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P01_VADDR 	(0xb806b01c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P23_VADDR 	(0xb806b020)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P45_VADDR 	(0xb806b024)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P01_VADDR 	(0xb806b028)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P23_VADDR 	(0xb806b02c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P45_VADDR 	(0xb806b030)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_LUMA_VADDR 	(0xb806b034)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_CHROMA1_VADDR 	(0xb806b038)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_CHROMA2_VADDR 	(0xb806b03c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P0_VADDR 	(0xb806b040)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P1_VADDR 	(0xb806b044)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P2_VADDR 	(0xb806b048)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P3_VADDR 	(0xb806b04c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P4_VADDR 	(0xb806b050)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P5_VADDR 	(0xb806b054)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P6_VADDR 	(0xb806b058)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP0_P7_VADDR 	(0xb806b05c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP1_P0_VADDR 	(0xb806b060)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP1_P1_VADDR 	(0xb806b064)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP1_P2_VADDR 	(0xb806b068)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP1_P3_VADDR 	(0xb806b06c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP2_P0_VADDR 	(0xb806b070)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP2_P1_VADDR 	(0xb806b074)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP2_P2_VADDR 	(0xb806b078)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_INT_CMP2_P3_VADDR 	(0xb806b07c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I0_VADDR 	(0xb806b080)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I1_VADDR 	(0xb806b084)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I2_VADDR 	(0xb806b088)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I0_VADDR 	(0xb806b08c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I1_VADDR 	(0xb806b090)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I2_VADDR 	(0xb806b094)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I0_VADDR 	(0xb806b098)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I1_VADDR 	(0xb806b09c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I2_VADDR 	(0xb806b0a0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I0_VADDR 	(0xb806b0a4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I1_VADDR 	(0xb806b0a8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I2_VADDR 	(0xb806b0ac)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I0_VADDR 	(0xb806b0b0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I1_VADDR 	(0xb806b0b4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I2_VADDR 	(0xb806b0b8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I0_VADDR 	(0xb806b0bc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I1_VADDR 	(0xb806b0c0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I2_VADDR 	(0xb806b0c4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I0_VADDR 	(0xb806b0c8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I1_VADDR 	(0xb806b0cc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I2_VADDR 	(0xb806b0d0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I0_VADDR 	(0xb806b0d4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I1_VADDR 	(0xb806b0d8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I2_VADDR 	(0xb806b0dc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I0_VADDR 	(0xb806b0e0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I1_VADDR 	(0xb806b0e4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I2_VADDR 	(0xb806b0e8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I0_VADDR 	(0xb806b0ec)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I1_VADDR 	(0xb806b0f0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I2_VADDR 	(0xb806b0f4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I0_VADDR 	(0xb806b0f8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I1_VADDR 	(0xb806b0fc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I2_VADDR 	(0xb806b100)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I0_VADDR 	(0xb806b104)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I1_VADDR 	(0xb806b108)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I2_VADDR 	(0xb806b10c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I0_VADDR 	(0xb806b110)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I1_VADDR 	(0xb806b114)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I2_VADDR 	(0xb806b118)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I0_VADDR 	(0xb806b11c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I1_VADDR 	(0xb806b120)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I2_VADDR 	(0xb806b124)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I0_VADDR 	(0xb806b128)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I1_VADDR 	(0xb806b12c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I2_VADDR 	(0xb806b130)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I0_VADDR 	(0xb806b134)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I1_VADDR 	(0xb806b138)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I2_VADDR 	(0xb806b13c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_ORDER_VADDR   	(0xb806b140)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_0_VADDR 	(0xb806b144)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_1_VADDR 	(0xb806b148)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_2_VADDR 	(0xb806b14c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_3_VADDR 	(0xb806b150)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_4_VADDR 	(0xb806b154)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_5_VADDR 	(0xb806b158)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_6_VADDR 	(0xb806b15c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_7_VADDR 	(0xb806b160)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_8_VADDR 	(0xb806b164)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_9_VADDR 	(0xb806b168)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_10_VADDR 	(0xb806b16c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_11_VADDR 	(0xb806b170)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_12_VADDR 	(0xb806b174)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_13_VADDR 	(0xb806b178)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_14_VADDR 	(0xb806b17c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_15_VADDR 	(0xb806b180)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_16_VADDR 	(0xb806b184)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_17_VADDR 	(0xb806b188)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_18_VADDR 	(0xb806b18c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_19_VADDR 	(0xb806b190)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_20_VADDR 	(0xb806b194)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_INT_21_VADDR 	(0xb806b198)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_0_VADDR 	(0xb806b19c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_1_VADDR 	(0xb806b1a0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_2_VADDR 	(0xb806b1a4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_3_VADDR 	(0xb806b1a8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_4_VADDR 	(0xb806b1ac)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_5_VADDR 	(0xb806b1b0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_6_VADDR 	(0xb806b1b4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_7_VADDR 	(0xb806b1b8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_8_VADDR 	(0xb806b1bc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_9_VADDR 	(0xb806b1c0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_10_VADDR 	(0xb806b1c4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_11_VADDR 	(0xb806b1c8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_12_VADDR 	(0xb806b1cc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_13_VADDR 	(0xb806b1d0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_14_VADDR 	(0xb806b1d4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_15_VADDR 	(0xb806b1d8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_16_VADDR 	(0xb806b1dc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_17_VADDR 	(0xb806b1e0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_18_VADDR 	(0xb806b1e4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_19_VADDR 	(0xb806b1e8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_20_VADDR 	(0xb806b1ec)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_INT_21_VADDR 	(0xb806b1f0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_0_VADDR 	(0xb806b1f4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_1_VADDR 	(0xb806b1f8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_2_VADDR 	(0xb806b1fc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_3_VADDR 	(0xb806b200)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_4_VADDR 	(0xb806b204)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_5_VADDR 	(0xb806b208)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_6_VADDR 	(0xb806b20c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_7_VADDR 	(0xb806b210)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_8_VADDR 	(0xb806b214)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_9_VADDR 	(0xb806b218)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_10_VADDR 	(0xb806b21c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_11_VADDR 	(0xb806b220)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_12_VADDR 	(0xb806b224)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_13_VADDR 	(0xb806b228)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_14_VADDR 	(0xb806b22c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_15_VADDR 	(0xb806b230)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_16_VADDR 	(0xb806b234)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_17_VADDR 	(0xb806b238)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_18_VADDR 	(0xb806b23c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_19_VADDR 	(0xb806b240)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_20_VADDR 	(0xb806b244)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_21_VADDR 	(0xb806b248)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_0_VADDR 	(0xb806b24c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_1_VADDR 	(0xb806b250)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_2_VADDR 	(0xb806b254)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_3_VADDR 	(0xb806b258)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_4_VADDR 	(0xb806b25c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_5_VADDR 	(0xb806b260)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_6_VADDR 	(0xb806b264)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_7_VADDR 	(0xb806b268)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_8_VADDR 	(0xb806b26c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_9_VADDR 	(0xb806b270)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_10_VADDR 	(0xb806b274)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_11_VADDR 	(0xb806b278)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_12_VADDR 	(0xb806b27c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_13_VADDR 	(0xb806b280)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_14_VADDR 	(0xb806b284)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_15_VADDR 	(0xb806b288)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_16_VADDR 	(0xb806b28c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_17_VADDR 	(0xb806b290)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_18_VADDR 	(0xb806b294)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_19_VADDR 	(0xb806b298)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_20_VADDR 	(0xb806b29c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_21_VADDR 	(0xb806b2a0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_UP_VADDR               	(0xb806b2a4)
#define  DHDR_V_COMPOSER_COMPOSER_EL_RS_VADDR               	(0xb806b2a8)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_VADDR               	(0xb806b2ac)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_OFFSET_01_VADDR     	(0xb806b2b0)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_OFFSET_2_VADDR      	(0xb806b2b4)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_SLOP_0_VADDR   	(0xb806b2b8)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_SLOP_1_VADDR   	(0xb806b2bc)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_SLOP_2_VADDR   	(0xb806b2c0)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_TH_0_VADDR     	(0xb806b2c4)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_TH_1_VADDR     	(0xb806b2c8)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_TH_2_VADDR     	(0xb806b2cc)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_MAX_0_VADDR    	(0xb806b2d0)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_MAX_1_VADDR    	(0xb806b2d4)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_MAX_2_VADDR    	(0xb806b2d8)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_INT_SLOP_VADDR 	(0xb806b2dc)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_INT_TH_VADDR   	(0xb806b2e0)
#define  DHDR_V_COMPOSER_COMPOSER_EL_IQ_COEF_INT_MAX_VADDR  	(0xb806b2e4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_RME_VADDR              	(0xb806b2e8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_RM_Y0_VADDR            	(0xb806b2ec)
#define  DHDR_V_COMPOSER_COMPOSER_BL_BIST_FAIL_VADDR        	(0xb806b2f8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_DRF_BIST_FAIL_VADDR    	(0xb806b2fc)
#define  DHDR_V_COMPOSER_COMPOSER_EL_RME_VADDR              	(0xb806b300)
#define  DHDR_V_COMPOSER_COMPOSER_EL_RM_Y0_VADDR            	(0xb806b304)
#define  DHDR_V_COMPOSER_COMPOSER_EL_RM_Y1_VADDR            	(0xb806b308)
#define  DHDR_V_COMPOSER_COMPOSER_EL_RM_UV_VADDR            	(0xb806b30c)
#define  DHDR_V_COMPOSER_COMPOSER_EL_BIST_FAIL_VADDR        	(0xb806b310)
#define  DHDR_V_COMPOSER_COMPOSER_EL_DRF_BIST_FAIL_VADDR    	(0xb806b314)
#define  DHDR_V_COMPOSER_COMPOSER_DB_CTRL_VADDR             	(0xb806b318)
#define  DHDR_V_COMPOSER_COMPOSER_EL_LS_VADDR               	(0xb806b31c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DHDR_V_COMPOSER register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  vdr_bit_depth:5;
        RBus_UInt32  el_bit_depth:4;
        RBus_UInt32  bl_bit_depth:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  coefficient_log2_denom:5;
    };
}dhdr_v_composer_composer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  num_pivots_cmp2:4;
        RBus_UInt32  num_pivots_cmp1:4;
        RBus_UInt32  num_pivots_cmp0:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  mapping_idc_cmp2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  mapping_idc_cmp1:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  mapping_idc_cmp0:2;
    };
}dhdr_v_composer_composer_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_5:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_7:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_6:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp0_pivot_8:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp1_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp1_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp1_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp2_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp2_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp2_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_order_cmp0_pivot7:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp0_pivot6:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp0_pivot5:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  poly_order_cmp0_pivot4:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  poly_order_cmp0_pivot3:2;
        RBus_UInt32  res6:2;
        RBus_UInt32  poly_order_cmp0_pivot2:2;
        RBus_UInt32  res7:2;
        RBus_UInt32  poly_order_cmp0_pivot1:2;
        RBus_UInt32  res8:2;
        RBus_UInt32  poly_order_cmp0_pivot0:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  poly_order_cmp1_pivot3:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp1_pivot2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp1_pivot1:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  poly_order_cmp1_pivot0:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  poly_order_cmp2_pivot3:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp2_pivot2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp2_pivot1:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  poly_order_cmp2_pivot0:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i1:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i0:7;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot0_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot0_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot0_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot1_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot1_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot1_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot2_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot2_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot2_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot3_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot3_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot3_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot4_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot4_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot4_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot5_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot5_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot5_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot6_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot6_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot6_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot7_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot7_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp0_pivot7_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot0_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot0_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot0_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot1_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot1_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot1_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot2_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot2_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot2_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot3_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot3_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp1_pivot3_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot0_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot0_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot0_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot1_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot1_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot1_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot2_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot2_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot2_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot3_i0:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot3_i1:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  poly_coef_cmp2_pivot3_i2:23;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  mmr_order_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  mmr_order_cmp1:2;
    };
}dhdr_v_composer_composer_bl_pred_mmr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef0:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef1:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef2:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef3:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef4:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef5:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef6:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef7:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef8:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef9:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef10:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef11:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef12:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef13:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef14:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef15:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef16:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef17:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef18:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef19:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef20:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp1_coef21:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef0:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef1:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef2:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef3:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef4:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef5:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef6:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef7:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef8:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef9:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef10:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef11:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef12:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef13:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef14:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef15:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef16:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef17:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef18:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef19:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef20:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  mmr_coef_int_cmp2_coef21:17;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef0:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef1:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef2:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef3:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef4:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef5:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef6:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef7:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef8:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef9:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef10:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef11:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef12:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef13:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef14:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef15:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef16:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef17:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef18:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef19:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef20:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp1_coef21:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef0:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef1:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef2:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef3:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef4:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef5:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef6:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef7:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef8:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef9:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef10:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef11:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef12:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef13:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef14:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef15:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef16:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef17:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef18:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef19:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef20:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  mmr_coef_cmp2_coef21:23;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  spatial_resampling_filter_flag:1;
    };
}dhdr_v_composer_composer_bl_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  el_spatial_resampling_filter_flag:1;
    };
}dhdr_v_composer_composer_el_rs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  disable_residual_flag:1;
        RBus_UInt32  nlq_method_idc:1;
    };
}dhdr_v_composer_composer_el_iq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  nlq_offset_cmp1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  nlq_offset_cmp0:10;
    };
}dhdr_v_composer_composer_el_iq_offset_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  nlq_offset_cmp2:10;
    };
}dhdr_v_composer_composer_el_iq_offset_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_slope_cmp0:23;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_slope_cmp1:23;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_slope_cmp2:23;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_threshold_cmp0:23;
    };
}dhdr_v_composer_composer_el_iq_coef_th_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_threshold_cmp1:23;
    };
}dhdr_v_composer_composer_el_iq_coef_th_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  linear_deadzone_threshold_cmp2:23;
    };
}dhdr_v_composer_composer_el_iq_coef_th_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  vdr_in_max_cmp0:23;
    };
}dhdr_v_composer_composer_el_iq_coef_max_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  vdr_in_max_cmp1:23;
    };
}dhdr_v_composer_composer_el_iq_coef_max_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  vdr_in_max_cmp2:23;
    };
}dhdr_v_composer_composer_el_iq_coef_max_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  linear_deadzone_slope_int_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  linear_deadzone_slope_int_cmp1:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  linear_deadzone_slope_int_cmp0:2;
    };
}dhdr_v_composer_composer_el_iq_coef_int_slop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  linear_deadzone_threshold_int_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  linear_deadzone_threshold_int_cmp1:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  linear_deadzone_threshold_int_cmp0:2;
    };
}dhdr_v_composer_composer_el_iq_coef_int_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  vdr_in_max_int_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  vdr_in_max_int_cmp1:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  vdr_in_max_int_cmp0:2;
    };
}dhdr_v_composer_composer_el_iq_coef_int_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_ls:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_rme:1;
    };
}dhdr_v_composer_composer_bl_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  composer_bl_rm_y0:4;
    };
}dhdr_v_composer_composer_bl_rm_y0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_bist_fail_group:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_bist_fail:1;
    };
}dhdr_v_composer_composer_bl_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_bist_fail_group:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_drf_bist_fail:1;
    };
}dhdr_v_composer_composer_bl_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  composer_el_rme:8;
    };
}dhdr_v_composer_composer_el_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  composer_el_rm_4:4;
        RBus_UInt32  composer_el_rm_3:4;
        RBus_UInt32  composer_el_rm_2:4;
        RBus_UInt32  composer_el_rm_1:4;
        RBus_UInt32  composer_el_rm_0:4;
    };
}dhdr_v_composer_composer_el_rm_y0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dhdr_v_composer_composer_el_rm_y1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  composer_el_rm_7:4;
        RBus_UInt32  composer_el_rm_6:4;
        RBus_UInt32  composer_el_rm_5:4;
    };
}dhdr_v_composer_composer_el_rm_uv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_bist_fail_group:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  composer_el_bist_fail:8;
    };
}dhdr_v_composer_composer_el_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_bist_fail_group:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  composer_el_drf_bist_fail:8;
    };
}dhdr_v_composer_composer_el_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  composer_db_en:1;
        RBus_UInt32  composer_db_apply:1;
        RBus_UInt32  db_read:1;
    };
}dhdr_v_composer_composer_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  composer_el_ls:8;
    };
}dhdr_v_composer_composer_el_ls_RBUS;

#else //apply LITTLE_ENDIAN

//======DHDR_V_COMPOSER register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coefficient_log2_denom:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  bl_bit_depth:4;
        RBus_UInt32  el_bit_depth:4;
        RBus_UInt32  vdr_bit_depth:5;
        RBus_UInt32  res2:11;
    };
}dhdr_v_composer_composer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mapping_idc_cmp0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  mapping_idc_cmp1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  mapping_idc_cmp2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  num_pivots_cmp0:4;
        RBus_UInt32  num_pivots_cmp1:4;
        RBus_UInt32  num_pivots_cmp2:4;
        RBus_UInt32  res4:8;
    };
}dhdr_v_composer_composer_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_4:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_5:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_6:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_7:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_8:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_4:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_4:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp0_pivot0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_order_cmp0_pivot1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp0_pivot2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp0_pivot3:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  poly_order_cmp0_pivot4:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  poly_order_cmp0_pivot5:2;
        RBus_UInt32  res6:2;
        RBus_UInt32  poly_order_cmp0_pivot6:2;
        RBus_UInt32  res7:2;
        RBus_UInt32  poly_order_cmp0_pivot7:2;
        RBus_UInt32  res8:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp1_pivot0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_order_cmp1_pivot1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp1_pivot2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp1_pivot3:2;
        RBus_UInt32  res4:18;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp2_pivot0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_order_cmp2_pivot1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  poly_order_cmp2_pivot2:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  poly_order_cmp2_pivot3:2;
        RBus_UInt32  res4:18;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot0_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot1_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot2_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot3_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot4_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot5_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot6_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp0_pivot7_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp0_p7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot0_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot1_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot2_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp1_pivot3_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp1_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot0_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot1_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot2_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i0:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i1:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  poly_coef_int_cmp2_pivot3_i2:7;
        RBus_UInt32  res3:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_int_cmp2_p3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_order_cmp1:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  mmr_order_cmp2:2;
        RBus_UInt32  res2:26;
    };
}dhdr_v_composer_composer_bl_pred_mmr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef0:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef1:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef2:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef3:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef4:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef5:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef6:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef7:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef8:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef9:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef10:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef11:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef12:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef13:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef14:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef15:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef16:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef17:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef18:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef19:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef20:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp1_coef21:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_int_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef0:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef1:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef2:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef3:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef4:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef5:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef6:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef7:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef8:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef9:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef10:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef11:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef12:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef13:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef14:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef15:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef16:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef17:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef18:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef19:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef20:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_int_cmp2_coef21:17;
        RBus_UInt32  res1:15;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_int_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef3:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef4:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef5:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef6:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef7:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef8:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef9:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef10:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef11:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef12:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef13:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef14:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef15:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef16:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef17:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef18:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef19:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef20:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef21:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef3:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef4:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef5:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef6:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef7:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef8:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef9:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef10:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef11:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef12:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef13:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef14:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef15:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef16:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef17:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef18:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef19:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef20:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef21:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spatial_resampling_filter_flag:1;
        RBus_UInt32  res1:31;
    };
}dhdr_v_composer_composer_bl_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  el_spatial_resampling_filter_flag:1;
        RBus_UInt32  res1:31;
    };
}dhdr_v_composer_composer_el_rs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  nlq_method_idc:1;
        RBus_UInt32  disable_residual_flag:1;
        RBus_UInt32  res1:30;
    };
}dhdr_v_composer_composer_el_iq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  nlq_offset_cmp0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  nlq_offset_cmp1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_el_iq_offset_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  nlq_offset_cmp2:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_el_iq_offset_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_slope_cmp0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_slope_cmp1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_slope_cmp2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_slop_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_threshold_cmp0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_th_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_threshold_cmp1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_th_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_threshold_cmp2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_th_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vdr_in_max_cmp0:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_max_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vdr_in_max_cmp1:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_max_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vdr_in_max_cmp2:23;
        RBus_UInt32  res1:9;
    };
}dhdr_v_composer_composer_el_iq_coef_max_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_slope_int_cmp0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  linear_deadzone_slope_int_cmp1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  linear_deadzone_slope_int_cmp2:2;
        RBus_UInt32  res3:22;
    };
}dhdr_v_composer_composer_el_iq_coef_int_slop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  linear_deadzone_threshold_int_cmp0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  linear_deadzone_threshold_int_cmp1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  linear_deadzone_threshold_int_cmp2:2;
        RBus_UInt32  res3:22;
    };
}dhdr_v_composer_composer_el_iq_coef_int_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vdr_in_max_int_cmp0:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  vdr_in_max_int_cmp1:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  vdr_in_max_int_cmp2:2;
        RBus_UInt32  res3:22;
    };
}dhdr_v_composer_composer_el_iq_coef_int_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_rme:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_ls:1;
    };
}dhdr_v_composer_composer_bl_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_rm_y0:4;
        RBus_UInt32  res1:28;
    };
}dhdr_v_composer_composer_bl_rm_y0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_bist_fail:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_bist_fail_group:1;
    };
}dhdr_v_composer_composer_bl_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_bist_fail:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  composer_bl_drf_bist_fail_group:1;
    };
}dhdr_v_composer_composer_bl_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_rme:8;
        RBus_UInt32  res1:24;
    };
}dhdr_v_composer_composer_el_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_rm_0:4;
        RBus_UInt32  composer_el_rm_1:4;
        RBus_UInt32  composer_el_rm_2:4;
        RBus_UInt32  composer_el_rm_3:4;
        RBus_UInt32  composer_el_rm_4:4;
        RBus_UInt32  res1:12;
    };
}dhdr_v_composer_composer_el_rm_y0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dhdr_v_composer_composer_el_rm_y1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_rm_5:4;
        RBus_UInt32  composer_el_rm_6:4;
        RBus_UInt32  composer_el_rm_7:4;
        RBus_UInt32  res1:20;
    };
}dhdr_v_composer_composer_el_rm_uv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_bist_fail:8;
        RBus_UInt32  res1:23;
        RBus_UInt32  composer_el_bist_fail_group:1;
    };
}dhdr_v_composer_composer_el_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_bist_fail:8;
        RBus_UInt32  res1:23;
        RBus_UInt32  composer_el_drf_bist_fail_group:1;
    };
}dhdr_v_composer_composer_el_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_read:1;
        RBus_UInt32  composer_db_apply:1;
        RBus_UInt32  composer_db_en:1;
        RBus_UInt32  res1:29;
    };
}dhdr_v_composer_composer_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_ls:8;
        RBus_UInt32  res1:24;
    };
}dhdr_v_composer_composer_el_ls_RBUS;




#endif 


#endif 
