/**
* @file Merlin3-DesignSpec-D-Domain_DCC
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_COLOR_DCC_REG_H_
#define _RBUS_COLOR_DCC_REG_H_

#include "rbusTypes.h"



//  COLOR_DCC Register Address



#define  COLOR_DCC_D_DCC_CTRL_VADDR                         	(0xb802e400)
#define  COLOR_DCC_DCC_Y_SRAM_TAB_CTL_VADDR                 	(0xb802e404)
#define  COLOR_DCC_DCC_Y_SRAM_TAB_PORT_VADDR                	(0xb802e408)
#define  COLOR_DCC_SRAM_USER_TAB_CTL_0_VADDR                	(0xb802e40c)
#define  COLOR_DCC_SRAM_USER_TAB_PORT_VADDR                 	(0xb802e410)
#define  COLOR_DCC_DCC_CTRL_LUMA_VADDR                      	(0xb802e414)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_MAIN_0_VADDR       	(0xb802e418)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_MAIN_1_VADDR       	(0xb802e41c)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_MAIN_2_VADDR       	(0xb802e420)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_MAIN_3_VADDR       	(0xb802e424)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_MAIN_4_VADDR       	(0xb802e428)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_SUB_0_VADDR        	(0xb802e42c)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_SUB_1_VADDR        	(0xb802e430)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_SUB_2_VADDR        	(0xb802e434)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_SUB_3_VADDR        	(0xb802e438)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_SUB_4_VADDR        	(0xb802e43c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_VADDR               	(0xb802e440)
#define  COLOR_DCC_DCC_C_SRAM_TAB_CTL_VADDR                 	(0xb802e444)
#define  COLOR_DCC_DCC_C_SRAM_TAB_PORT_VADDR                	(0xb802e448)
#define  COLOR_DCC_D_DCC_DB_CTRL_VADDR                      	(0xb802e44c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_EN_VADDR                 	(0xb802e450)
#define  COLOR_DCC_D_DCC_MAIN_OFFSET_VADDR                  	(0xb802e454)
#define  COLOR_DCC_D_DCC_SUB_OFFSET_VADDR                   	(0xb802e458)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_0_CENTER_WIDTH_0_VADDR 	(0xb802e45c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_0_CENTER_WIDTH_1_VADDR 	(0xb802e460)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_1_CENTER_WIDTH_0_VADDR 	(0xb802e464)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_1_CENTER_WIDTH_1_VADDR 	(0xb802e468)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_2_CENTER_WIDTH_0_VADDR 	(0xb802e46c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_2_CENTER_WIDTH_1_VADDR 	(0xb802e470)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_3_CENTER_WIDTH_0_VADDR 	(0xb802e474)
#define  COLOR_DCC_D_DCC_SKIN_TONE_HSI_3_CENTER_WIDTH_1_VADDR 	(0xb802e478)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_0_VADDR       	(0xb802e47c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_0_VADDR        	(0xb802e480)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_1_VADDR       	(0xb802e484)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_1_VADDR        	(0xb802e488)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_2_VADDR       	(0xb802e48c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_2_VADDR        	(0xb802e490)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_3_VADDR       	(0xb802e494)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_3_VADDR        	(0xb802e498)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_0_VADDR         	(0xb802e49c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_1_VADDR         	(0xb802e4a0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_0_VADDR         	(0xb802e4a4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_1_VADDR         	(0xb802e4a8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_0_VADDR         	(0xb802e4ac)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_1_VADDR         	(0xb802e4b0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_0_VADDR         	(0xb802e4b4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_1_VADDR         	(0xb802e4b8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_0_VADDR       	(0xb802e4bc)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_1_VADDR       	(0xb802e4c0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_0_VADDR       	(0xb802e4c4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_1_VADDR       	(0xb802e4c8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_0_VADDR       	(0xb802e4cc)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_1_VADDR       	(0xb802e4d0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_0_VADDR       	(0xb802e4d4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_1_VADDR       	(0xb802e4d8)
#define  COLOR_DCC_D_DCC_FWUSED_0_VADDR                     	(0xb802e4dc)
#define  COLOR_DCC_D_DCC_FWUSED_1_VADDR                     	(0xb802e4e0)
#define  COLOR_DCC_D_DCC_FWUSED_2_VADDR                     	(0xb802e4e4)
#define  COLOR_DCC_D_DCC_FWUSED_3_VADDR                     	(0xb802e4e8)
#define  COLOR_DCC_D_DCC_BIST_0_VADDR                       	(0xb802e4ec)
#define  COLOR_DCC_D_DCC_BIST_1_VADDR                       	(0xb802e4f0)
#define  COLOR_DCC_D_DCC_BIST_2_VADDR                       	(0xb802e4f4)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_overlay:1;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  dcc_user_curve_main_en:1;
        RBus_UInt32  dcc_user_curve_sub_en:1;
        RBus_UInt32  dummy1802e400_22_20:3;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  dcc_main_mode_sel:2;
        RBus_UInt32  dummy1802e400_15_4:12;
        RBus_UInt32  sub_table_segment:1;
        RBus_UInt32  sub_table_sel:1;
        RBus_UInt32  dcc_sub_mode_sel:2;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  dcc_y_sram_tab_acc_index_cur:6;
        RBus_UInt32  dcc_y_sram_tab_acc_index:6;
        RBus_UInt32  dcc_y_sram_tab_rw_sel:2;
        RBus_UInt32  dcc_y_sram_tab_acc_sel:2;
        RBus_UInt32  dcc_y_sram_tab_acc_ready:1;
    };
}color_dcc_dcc_y_sram_tab_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_y_sram_tab_base:12;
        RBus_UInt32  dcc_y_sram_tab_g0:10;
        RBus_UInt32  dcc_y_sram_tab_g1:10;
    };
}color_dcc_dcc_y_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_sel:2;
        RBus_UInt32  sram_user_tab_acc_ready:1;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_base:12;
        RBus_UInt32  sram_user_tab_g0:10;
        RBus_UInt32  sram_user_tab_g1:10;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_en_main:1;
        RBus_UInt32  chroma_gain_limit_en_sub:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  luma_offset_main:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  luma_offset_sub:10;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg4_main:6;
        RBus_UInt32  chroma_gain_limit_seg3_main:6;
        RBus_UInt32  chroma_gain_limit_seg2_main:6;
        RBus_UInt32  chroma_gain_limit_seg1_main:6;
        RBus_UInt32  chroma_gain_limit_seg0_main:6;
    };
}color_dcc_dcc_chroma_gain_limit_main_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg9_main:6;
        RBus_UInt32  chroma_gain_limit_seg8_main:6;
        RBus_UInt32  chroma_gain_limit_seg7_main:6;
        RBus_UInt32  chroma_gain_limit_seg6_main:6;
        RBus_UInt32  chroma_gain_limit_seg5_main:6;
    };
}color_dcc_dcc_chroma_gain_limit_main_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg14_main:6;
        RBus_UInt32  chroma_gain_limit_seg13_main:6;
        RBus_UInt32  chroma_gain_limit_seg12_main:6;
        RBus_UInt32  chroma_gain_limit_seg11_main:6;
        RBus_UInt32  chroma_gain_limit_seg10_main:6;
    };
}color_dcc_dcc_chroma_gain_limit_main_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg19_main:6;
        RBus_UInt32  chroma_gain_limit_seg18_main:6;
        RBus_UInt32  chroma_gain_limit_seg17_main:6;
        RBus_UInt32  chroma_gain_limit_seg16_main:6;
        RBus_UInt32  chroma_gain_limit_seg15_main:6;
    };
}color_dcc_dcc_chroma_gain_limit_main_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  chroma_gain_limit_seg20_main:6;
    };
}color_dcc_dcc_chroma_gain_limit_main_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg4_sub:6;
        RBus_UInt32  chroma_gain_limit_seg3_sub:6;
        RBus_UInt32  chroma_gain_limit_seg2_sub:6;
        RBus_UInt32  chroma_gain_limit_seg1_sub:6;
        RBus_UInt32  chroma_gain_limit_seg0_sub:6;
    };
}color_dcc_dcc_chroma_gain_limit_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg9_sub:6;
        RBus_UInt32  chroma_gain_limit_seg8_sub:6;
        RBus_UInt32  chroma_gain_limit_seg7_sub:6;
        RBus_UInt32  chroma_gain_limit_seg6_sub:6;
        RBus_UInt32  chroma_gain_limit_seg5_sub:6;
    };
}color_dcc_dcc_chroma_gain_limit_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg14_sub:6;
        RBus_UInt32  chroma_gain_limit_seg13_sub:6;
        RBus_UInt32  chroma_gain_limit_seg12_sub:6;
        RBus_UInt32  chroma_gain_limit_seg11_sub:6;
        RBus_UInt32  chroma_gain_limit_seg10_sub:6;
    };
}color_dcc_dcc_chroma_gain_limit_sub_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg19_sub:6;
        RBus_UInt32  chroma_gain_limit_seg18_sub:6;
        RBus_UInt32  chroma_gain_limit_seg17_sub:6;
        RBus_UInt32  chroma_gain_limit_seg16_sub:6;
        RBus_UInt32  chroma_gain_limit_seg15_sub:6;
    };
}color_dcc_dcc_chroma_gain_limit_sub_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  chroma_gain_limit_seg20_sub:6;
    };
}color_dcc_dcc_chroma_gain_limit_sub_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e440_31_30:2;
        RBus_UInt32  saturation_byy_v_tab_select_main:2;
        RBus_UInt32  saturation_byy_u_tab_select_main:2;
        RBus_UInt32  chroma_enhance_below_tab_select_main:2;
        RBus_UInt32  chroma_enhance_above_tab_select_main:2;
        RBus_UInt32  chroma_gain_base_main:3;
        RBus_UInt32  chroma_gain_lookup_mode_main:1;
        RBus_UInt32  chroma_gain_mode_main:1;
        RBus_UInt32  chroma_gain_en_main:1;
        RBus_UInt32  dummy1802e440_15_14:2;
        RBus_UInt32  saturation_byy_v_tab_select_sub:2;
        RBus_UInt32  saturation_byy_u_tab_select_sub:2;
        RBus_UInt32  chroma_enhance_below_tab_select_sub:2;
        RBus_UInt32  chroma_enhance_above_tab_select_sub:2;
        RBus_UInt32  chroma_gain_base_sub:3;
        RBus_UInt32  chroma_gain_lookup_mode_sub:1;
        RBus_UInt32  chroma_gain_mode_sub:1;
        RBus_UInt32  chroma_gain_en_sub:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dcc_c_sram_tab_acc_index_cur:5;
        RBus_UInt32  dcc_c_sram_tab_acc_index:5;
        RBus_UInt32  dcc_c_sram_tab_rw_sel:2;
        RBus_UInt32  dcc_c_sram_tab_acc_sel:3;
        RBus_UInt32  dcc_c_sram_tab_acc_ready:1;
    };
}color_dcc_dcc_c_sram_tab_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dcc_c_sram_tab_base:7;
        RBus_UInt32  dcc_c_sram_tab_g0:7;
        RBus_UInt32  dcc_c_sram_tab_g1:7;
    };
}color_dcc_dcc_c_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_apply:1;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  colorspace_sel:1;
        RBus_UInt32  data_format_sel:1;
        RBus_UInt32  data_range_sel:1;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_enhance_en:1;
        RBus_UInt32  y_blending_1_enhance_en:1;
        RBus_UInt32  y_blending_2_enhance_en:1;
        RBus_UInt32  y_blending_3_enhance_en:1;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_en:1;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  main_offset_en:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  main_offset_range:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  main_offset:11;
    };
}color_dcc_d_dcc_main_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  sub_offset_en:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  sub_offset_range:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  sub_offset:11;
    };
}color_dcc_d_dcc_sub_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_0_h_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_0_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  y_blending_0_i_center_width:12;
        RBus_UInt32  y_blending_0_s_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_0_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_1_h_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_1_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  y_blending_1_i_center_width:12;
        RBus_UInt32  y_blending_1_s_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_1_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_2_h_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_2_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  y_blending_2_i_center_width:12;
        RBus_UInt32  y_blending_2_s_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_2_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_3_h_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_3_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  y_blending_3_i_center_width:12;
        RBus_UInt32  y_blending_3_s_center_width:12;
    };
}color_dcc_d_dcc_skin_tone_hsi_3_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_0_u_center:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_0_v_center:13;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_0_y_center:13;
        RBus_UInt32  res2:4;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_1_u_center:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_1_v_center:13;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_1_y_center:13;
        RBus_UInt32  res2:4;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_2_u_center:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_2_v_center:13;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_2_y_center:13;
        RBus_UInt32  res2:4;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_3_u_center:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_3_v_center:13;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_3_y_center:13;
        RBus_UInt32  res2:4;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  res2:8;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_7:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_0:4;
    };
}color_dcc_d_dcc_bist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  rme_7:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  res2:8;
        RBus_UInt32  ls_7:1;
        RBus_UInt32  ls_6:1;
        RBus_UInt32  ls_5:1;
        RBus_UInt32  ls_4:1;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  ls_2:1;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  ls_0:1;
    };
}color_dcc_d_dcc_bist_2_RBUS;

#else //apply LITTLE_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_sub_mode_sel:2;
        RBus_UInt32  sub_table_sel:1;
        RBus_UInt32  sub_table_segment:1;
        RBus_UInt32  dummy1802e400_15_4:12;
        RBus_UInt32  dcc_main_mode_sel:2;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  dummy1802e400_22_20:3;
        RBus_UInt32  dcc_user_curve_sub_en:1;
        RBus_UInt32  dcc_user_curve_main_en:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  dcc_overlay:1;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_y_sram_tab_acc_ready:1;
        RBus_UInt32  dcc_y_sram_tab_acc_sel:2;
        RBus_UInt32  dcc_y_sram_tab_rw_sel:2;
        RBus_UInt32  dcc_y_sram_tab_acc_index:6;
        RBus_UInt32  dcc_y_sram_tab_acc_index_cur:6;
        RBus_UInt32  res1:15;
    };
}color_dcc_dcc_y_sram_tab_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_y_sram_tab_g1:10;
        RBus_UInt32  dcc_y_sram_tab_g0:10;
        RBus_UInt32  dcc_y_sram_tab_base:12;
    };
}color_dcc_dcc_y_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_acc_ready:1;
        RBus_UInt32  sram_user_tab_acc_sel:2;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  res1:15;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_g1:10;
        RBus_UInt32  sram_user_tab_g0:10;
        RBus_UInt32  sram_user_tab_base:12;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  luma_offset_sub:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  luma_offset_main:10;
        RBus_UInt32  res2:4;
        RBus_UInt32  chroma_gain_limit_en_sub:1;
        RBus_UInt32  chroma_gain_limit_en_main:1;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg0_main:6;
        RBus_UInt32  chroma_gain_limit_seg1_main:6;
        RBus_UInt32  chroma_gain_limit_seg2_main:6;
        RBus_UInt32  chroma_gain_limit_seg3_main:6;
        RBus_UInt32  chroma_gain_limit_seg4_main:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_main_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg5_main:6;
        RBus_UInt32  chroma_gain_limit_seg6_main:6;
        RBus_UInt32  chroma_gain_limit_seg7_main:6;
        RBus_UInt32  chroma_gain_limit_seg8_main:6;
        RBus_UInt32  chroma_gain_limit_seg9_main:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_main_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg10_main:6;
        RBus_UInt32  chroma_gain_limit_seg11_main:6;
        RBus_UInt32  chroma_gain_limit_seg12_main:6;
        RBus_UInt32  chroma_gain_limit_seg13_main:6;
        RBus_UInt32  chroma_gain_limit_seg14_main:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_main_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg15_main:6;
        RBus_UInt32  chroma_gain_limit_seg16_main:6;
        RBus_UInt32  chroma_gain_limit_seg17_main:6;
        RBus_UInt32  chroma_gain_limit_seg18_main:6;
        RBus_UInt32  chroma_gain_limit_seg19_main:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_main_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg20_main:6;
        RBus_UInt32  res1:26;
    };
}color_dcc_dcc_chroma_gain_limit_main_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg0_sub:6;
        RBus_UInt32  chroma_gain_limit_seg1_sub:6;
        RBus_UInt32  chroma_gain_limit_seg2_sub:6;
        RBus_UInt32  chroma_gain_limit_seg3_sub:6;
        RBus_UInt32  chroma_gain_limit_seg4_sub:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg5_sub:6;
        RBus_UInt32  chroma_gain_limit_seg6_sub:6;
        RBus_UInt32  chroma_gain_limit_seg7_sub:6;
        RBus_UInt32  chroma_gain_limit_seg8_sub:6;
        RBus_UInt32  chroma_gain_limit_seg9_sub:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg10_sub:6;
        RBus_UInt32  chroma_gain_limit_seg11_sub:6;
        RBus_UInt32  chroma_gain_limit_seg12_sub:6;
        RBus_UInt32  chroma_gain_limit_seg13_sub:6;
        RBus_UInt32  chroma_gain_limit_seg14_sub:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_sub_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg15_sub:6;
        RBus_UInt32  chroma_gain_limit_seg16_sub:6;
        RBus_UInt32  chroma_gain_limit_seg17_sub:6;
        RBus_UInt32  chroma_gain_limit_seg18_sub:6;
        RBus_UInt32  chroma_gain_limit_seg19_sub:6;
        RBus_UInt32  res1:2;
    };
}color_dcc_dcc_chroma_gain_limit_sub_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg20_sub:6;
        RBus_UInt32  res1:26;
    };
}color_dcc_dcc_chroma_gain_limit_sub_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_en_sub:1;
        RBus_UInt32  chroma_gain_mode_sub:1;
        RBus_UInt32  chroma_gain_lookup_mode_sub:1;
        RBus_UInt32  chroma_gain_base_sub:3;
        RBus_UInt32  chroma_enhance_above_tab_select_sub:2;
        RBus_UInt32  chroma_enhance_below_tab_select_sub:2;
        RBus_UInt32  saturation_byy_u_tab_select_sub:2;
        RBus_UInt32  saturation_byy_v_tab_select_sub:2;
        RBus_UInt32  dummy1802e440_15_14:2;
        RBus_UInt32  chroma_gain_en_main:1;
        RBus_UInt32  chroma_gain_mode_main:1;
        RBus_UInt32  chroma_gain_lookup_mode_main:1;
        RBus_UInt32  chroma_gain_base_main:3;
        RBus_UInt32  chroma_enhance_above_tab_select_main:2;
        RBus_UInt32  chroma_enhance_below_tab_select_main:2;
        RBus_UInt32  saturation_byy_u_tab_select_main:2;
        RBus_UInt32  saturation_byy_v_tab_select_main:2;
        RBus_UInt32  dummy1802e440_31_30:2;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_c_sram_tab_acc_ready:1;
        RBus_UInt32  dcc_c_sram_tab_acc_sel:3;
        RBus_UInt32  dcc_c_sram_tab_rw_sel:2;
        RBus_UInt32  dcc_c_sram_tab_acc_index:5;
        RBus_UInt32  dcc_c_sram_tab_acc_index_cur:5;
        RBus_UInt32  res1:16;
    };
}color_dcc_dcc_c_sram_tab_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_c_sram_tab_g1:7;
        RBus_UInt32  dcc_c_sram_tab_g0:7;
        RBus_UInt32  dcc_c_sram_tab_base:7;
        RBus_UInt32  res1:11;
    };
}color_dcc_dcc_c_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  res1:29;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  y_blending_3_enhance_en:1;
        RBus_UInt32  y_blending_2_enhance_en:1;
        RBus_UInt32  y_blending_1_enhance_en:1;
        RBus_UInt32  y_blending_0_enhance_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  data_range_sel:1;
        RBus_UInt32  data_format_sel:1;
        RBus_UInt32  colorspace_sel:1;
        RBus_UInt32  res3:10;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  main_offset:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  main_offset_range:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  main_offset_en:1;
        RBus_UInt32  res3:7;
    };
}color_dcc_d_dcc_main_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_offset:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  sub_offset_range:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  sub_offset_en:1;
        RBus_UInt32  res3:7;
    };
}color_dcc_d_dcc_sub_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_h_center_width:12;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_hsi_0_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_s_center_width:12;
        RBus_UInt32  y_blending_0_i_center_width:12;
        RBus_UInt32  res1:8;
    };
}color_dcc_d_dcc_skin_tone_hsi_0_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_h_center_width:12;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_hsi_1_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_s_center_width:12;
        RBus_UInt32  y_blending_1_i_center_width:12;
        RBus_UInt32  res1:8;
    };
}color_dcc_d_dcc_skin_tone_hsi_1_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_h_center_width:12;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_hsi_2_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_s_center_width:12;
        RBus_UInt32  y_blending_2_i_center_width:12;
        RBus_UInt32  res1:8;
    };
}color_dcc_d_dcc_skin_tone_hsi_2_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_h_center_width:12;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_hsi_3_center_width_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_s_center_width:12;
        RBus_UInt32  y_blending_3_i_center_width:12;
        RBus_UInt32  res1:8;
    };
}color_dcc_d_dcc_skin_tone_hsi_3_center_width_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_center:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_0_u_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  y_blending_0_y_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_center:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_1_u_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  y_blending_1_y_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_center:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_2_u_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  y_blending_2_y_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_center:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_blending_3_u_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  y_blending_3_y_center:13;
        RBus_UInt32  res2:3;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  res2:8;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_7:4;
    };
}color_dcc_d_dcc_bist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_0:1;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  ls_2:1;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  ls_4:1;
        RBus_UInt32  ls_5:1;
        RBus_UInt32  ls_6:1;
        RBus_UInt32  ls_7:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  rme_7:1;
        RBus_UInt32  res2:8;
    };
}color_dcc_d_dcc_bist_2_RBUS;




#endif 


#endif 
