/**
* @file Merlin6-DesignSpec-D-Domain_VALC
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_VALC_REG_H_
#define _RBUS_VALC_REG_H_

#include "rbus_types.h"



//  VALC Register Address
#define  VALC_PCID_VALC_CTRL                                                    0x1802EE00
#define  VALC_PCID_VALC_CTRL_reg_addr                                            "0xB802EE00"
#define  VALC_PCID_VALC_CTRL_reg                                                 0xB802EE00
#define  VALC_PCID_VALC_CTRL_inst_addr                                           "0x0000"
#define  set_VALC_PCID_VALC_CTRL_reg(data)                                       (*((volatile unsigned int*)VALC_PCID_VALC_CTRL_reg)=data)
#define  get_VALC_PCID_VALC_CTRL_reg                                             (*((volatile unsigned int*)VALC_PCID_VALC_CTRL_reg))
#define  VALC_PCID_VALC_CTRL_dummy_31_17_shift                                   (17)
#define  VALC_PCID_VALC_CTRL_valc_location_shift                                 (16)
#define  VALC_PCID_VALC_CTRL_dummy_15_12_shift                                   (12)
#define  VALC_PCID_VALC_CTRL_valc_dbg_region_shift                               (8)
#define  VALC_PCID_VALC_CTRL_valc_dbg_sel_shift                                  (4)
#define  VALC_PCID_VALC_CTRL_valc_hpf_clip_shift                                 (1)
#define  VALC_PCID_VALC_CTRL_valc_func_en_shift                                  (0)
#define  VALC_PCID_VALC_CTRL_dummy_31_17_mask                                    (0xFFFE0000)
#define  VALC_PCID_VALC_CTRL_valc_location_mask                                  (0x00010000)
#define  VALC_PCID_VALC_CTRL_dummy_15_12_mask                                    (0x0000F000)
#define  VALC_PCID_VALC_CTRL_valc_dbg_region_mask                                (0x00000F00)
#define  VALC_PCID_VALC_CTRL_valc_dbg_sel_mask                                   (0x00000030)
#define  VALC_PCID_VALC_CTRL_valc_hpf_clip_mask                                  (0x00000006)
#define  VALC_PCID_VALC_CTRL_valc_func_en_mask                                   (0x00000001)
#define  VALC_PCID_VALC_CTRL_dummy_31_17(data)                                   (0xFFFE0000&((data)<<17))
#define  VALC_PCID_VALC_CTRL_valc_location(data)                                 (0x00010000&((data)<<16))
#define  VALC_PCID_VALC_CTRL_dummy_15_12(data)                                   (0x0000F000&((data)<<12))
#define  VALC_PCID_VALC_CTRL_valc_dbg_region(data)                               (0x00000F00&((data)<<8))
#define  VALC_PCID_VALC_CTRL_valc_dbg_sel(data)                                  (0x00000030&((data)<<4))
#define  VALC_PCID_VALC_CTRL_valc_hpf_clip(data)                                 (0x00000006&((data)<<1))
#define  VALC_PCID_VALC_CTRL_valc_func_en(data)                                  (0x00000001&(data))
#define  VALC_PCID_VALC_CTRL_get_dummy_31_17(data)                               ((0xFFFE0000&(data))>>17)
#define  VALC_PCID_VALC_CTRL_get_valc_location(data)                             ((0x00010000&(data))>>16)
#define  VALC_PCID_VALC_CTRL_get_dummy_15_12(data)                               ((0x0000F000&(data))>>12)
#define  VALC_PCID_VALC_CTRL_get_valc_dbg_region(data)                           ((0x00000F00&(data))>>8)
#define  VALC_PCID_VALC_CTRL_get_valc_dbg_sel(data)                              ((0x00000030&(data))>>4)
#define  VALC_PCID_VALC_CTRL_get_valc_hpf_clip(data)                             ((0x00000006&(data))>>1)
#define  VALC_PCID_VALC_CTRL_get_valc_func_en(data)                              (0x00000001&(data))

#define  VALC_PCID_VALC_HPF_0                                                   0x1802EE04
#define  VALC_PCID_VALC_HPF_0_reg_addr                                           "0xB802EE04"
#define  VALC_PCID_VALC_HPF_0_reg                                                0xB802EE04
#define  VALC_PCID_VALC_HPF_0_inst_addr                                          "0x0001"
#define  set_VALC_PCID_VALC_HPF_0_reg(data)                                      (*((volatile unsigned int*)VALC_PCID_VALC_HPF_0_reg)=data)
#define  get_VALC_PCID_VALC_HPF_0_reg                                            (*((volatile unsigned int*)VALC_PCID_VALC_HPF_0_reg))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w15_shift                                 (28)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w14_shift                                 (24)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w13_shift                                 (20)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w12_shift                                 (16)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w11_shift                                 (12)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w10_shift                                 (8)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w9_shift                                  (4)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w8_shift                                  (0)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w15_mask                                  (0xF0000000)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w14_mask                                  (0x0F000000)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w13_mask                                  (0x00F00000)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w12_mask                                  (0x000F0000)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w11_mask                                  (0x0000F000)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w10_mask                                  (0x00000F00)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w9_mask                                   (0x000000F0)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w8_mask                                   (0x0000000F)
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w15(data)                                 (0xF0000000&((data)<<28))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w14(data)                                 (0x0F000000&((data)<<24))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w13(data)                                 (0x00F00000&((data)<<20))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w12(data)                                 (0x000F0000&((data)<<16))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w11(data)                                 (0x0000F000&((data)<<12))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w10(data)                                 (0x00000F00&((data)<<8))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w9(data)                                  (0x000000F0&((data)<<4))
#define  VALC_PCID_VALC_HPF_0_valc_hpf_w8(data)                                  (0x0000000F&(data))
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w15(data)                             ((0xF0000000&(data))>>28)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w14(data)                             ((0x0F000000&(data))>>24)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w13(data)                             ((0x00F00000&(data))>>20)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w12(data)                             ((0x000F0000&(data))>>16)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w11(data)                             ((0x0000F000&(data))>>12)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w10(data)                             ((0x00000F00&(data))>>8)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w9(data)                              ((0x000000F0&(data))>>4)
#define  VALC_PCID_VALC_HPF_0_get_valc_hpf_w8(data)                              (0x0000000F&(data))

#define  VALC_PCID_VALC_HPF_1                                                   0x1802EE08
#define  VALC_PCID_VALC_HPF_1_reg_addr                                           "0xB802EE08"
#define  VALC_PCID_VALC_HPF_1_reg                                                0xB802EE08
#define  VALC_PCID_VALC_HPF_1_inst_addr                                          "0x0002"
#define  set_VALC_PCID_VALC_HPF_1_reg(data)                                      (*((volatile unsigned int*)VALC_PCID_VALC_HPF_1_reg)=data)
#define  get_VALC_PCID_VALC_HPF_1_reg                                            (*((volatile unsigned int*)VALC_PCID_VALC_HPF_1_reg))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w7_shift                                  (28)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w6_shift                                  (24)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w5_shift                                  (20)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w4_shift                                  (16)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w3_shift                                  (12)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w2_shift                                  (8)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w1_shift                                  (4)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w0_shift                                  (0)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w7_mask                                   (0xF0000000)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w6_mask                                   (0x0F000000)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w5_mask                                   (0x00F00000)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w4_mask                                   (0x000F0000)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w3_mask                                   (0x0000F000)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w2_mask                                   (0x00000F00)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w1_mask                                   (0x000000F0)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w0_mask                                   (0x0000000F)
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w7(data)                                  (0xF0000000&((data)<<28))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w6(data)                                  (0x0F000000&((data)<<24))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w5(data)                                  (0x00F00000&((data)<<20))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w4(data)                                  (0x000F0000&((data)<<16))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w3(data)                                  (0x0000F000&((data)<<12))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w2(data)                                  (0x00000F00&((data)<<8))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w1(data)                                  (0x000000F0&((data)<<4))
#define  VALC_PCID_VALC_HPF_1_valc_hpf_w0(data)                                  (0x0000000F&(data))
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w7(data)                              ((0xF0000000&(data))>>28)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w6(data)                              ((0x0F000000&(data))>>24)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w5(data)                              ((0x00F00000&(data))>>20)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w4(data)                              ((0x000F0000&(data))>>16)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w3(data)                              ((0x0000F000&(data))>>12)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w2(data)                              ((0x00000F00&(data))>>8)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w1(data)                              ((0x000000F0&(data))>>4)
#define  VALC_PCID_VALC_HPF_1_get_valc_hpf_w0(data)                              (0x0000000F&(data))

#define  VALC_PCID_VALC_SAT_0                                                   0x1802EE0C
#define  VALC_PCID_VALC_SAT_0_reg_addr                                           "0xB802EE0C"
#define  VALC_PCID_VALC_SAT_0_reg                                                0xB802EE0C
#define  VALC_PCID_VALC_SAT_0_inst_addr                                          "0x0003"
#define  set_VALC_PCID_VALC_SAT_0_reg(data)                                      (*((volatile unsigned int*)VALC_PCID_VALC_SAT_0_reg)=data)
#define  get_VALC_PCID_VALC_SAT_0_reg                                            (*((volatile unsigned int*)VALC_PCID_VALC_SAT_0_reg))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w15_shift                                 (28)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w14_shift                                 (24)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w13_shift                                 (20)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w12_shift                                 (16)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w11_shift                                 (12)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w10_shift                                 (8)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w9_shift                                  (4)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w8_shift                                  (0)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w15_mask                                  (0xF0000000)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w14_mask                                  (0x0F000000)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w13_mask                                  (0x00F00000)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w12_mask                                  (0x000F0000)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w11_mask                                  (0x0000F000)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w10_mask                                  (0x00000F00)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w9_mask                                   (0x000000F0)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w8_mask                                   (0x0000000F)
#define  VALC_PCID_VALC_SAT_0_valc_sat_w15(data)                                 (0xF0000000&((data)<<28))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w14(data)                                 (0x0F000000&((data)<<24))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w13(data)                                 (0x00F00000&((data)<<20))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w12(data)                                 (0x000F0000&((data)<<16))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w11(data)                                 (0x0000F000&((data)<<12))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w10(data)                                 (0x00000F00&((data)<<8))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w9(data)                                  (0x000000F0&((data)<<4))
#define  VALC_PCID_VALC_SAT_0_valc_sat_w8(data)                                  (0x0000000F&(data))
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w15(data)                             ((0xF0000000&(data))>>28)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w14(data)                             ((0x0F000000&(data))>>24)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w13(data)                             ((0x00F00000&(data))>>20)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w12(data)                             ((0x000F0000&(data))>>16)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w11(data)                             ((0x0000F000&(data))>>12)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w10(data)                             ((0x00000F00&(data))>>8)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w9(data)                              ((0x000000F0&(data))>>4)
#define  VALC_PCID_VALC_SAT_0_get_valc_sat_w8(data)                              (0x0000000F&(data))

#define  VALC_PCID_VALC_SAT_1                                                   0x1802EE10
#define  VALC_PCID_VALC_SAT_1_reg_addr                                           "0xB802EE10"
#define  VALC_PCID_VALC_SAT_1_reg                                                0xB802EE10
#define  VALC_PCID_VALC_SAT_1_inst_addr                                          "0x0004"
#define  set_VALC_PCID_VALC_SAT_1_reg(data)                                      (*((volatile unsigned int*)VALC_PCID_VALC_SAT_1_reg)=data)
#define  get_VALC_PCID_VALC_SAT_1_reg                                            (*((volatile unsigned int*)VALC_PCID_VALC_SAT_1_reg))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w7_shift                                  (28)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w6_shift                                  (24)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w5_shift                                  (20)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w4_shift                                  (16)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w3_shift                                  (12)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w2_shift                                  (8)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w1_shift                                  (4)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w0_shift                                  (0)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w7_mask                                   (0xF0000000)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w6_mask                                   (0x0F000000)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w5_mask                                   (0x00F00000)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w4_mask                                   (0x000F0000)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w3_mask                                   (0x0000F000)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w2_mask                                   (0x00000F00)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w1_mask                                   (0x000000F0)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w0_mask                                   (0x0000000F)
#define  VALC_PCID_VALC_SAT_1_valc_sat_w7(data)                                  (0xF0000000&((data)<<28))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w6(data)                                  (0x0F000000&((data)<<24))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w5(data)                                  (0x00F00000&((data)<<20))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w4(data)                                  (0x000F0000&((data)<<16))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w3(data)                                  (0x0000F000&((data)<<12))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w2(data)                                  (0x00000F00&((data)<<8))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w1(data)                                  (0x000000F0&((data)<<4))
#define  VALC_PCID_VALC_SAT_1_valc_sat_w0(data)                                  (0x0000000F&(data))
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w7(data)                              ((0xF0000000&(data))>>28)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w6(data)                              ((0x0F000000&(data))>>24)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w5(data)                              ((0x00F00000&(data))>>20)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w4(data)                              ((0x000F0000&(data))>>16)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w3(data)                              ((0x0000F000&(data))>>12)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w2(data)                              ((0x00000F00&(data))>>8)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w1(data)                              ((0x000000F0&(data))>>4)
#define  VALC_PCID_VALC_SAT_1_get_valc_sat_w0(data)                              (0x0000000F&(data))

#define  VALC_VALC_SP_0                                                         0x1802EE30
#define  VALC_VALC_SP_0_reg_addr                                                 "0xB802EE30"
#define  VALC_VALC_SP_0_reg                                                      0xB802EE30
#define  VALC_VALC_SP_0_inst_addr                                                "0x0005"
#define  set_VALC_VALC_SP_0_reg(data)                                            (*((volatile unsigned int*)VALC_VALC_SP_0_reg)=data)
#define  get_VALC_VALC_SP_0_reg                                                  (*((volatile unsigned int*)VALC_VALC_SP_0_reg))
#define  VALC_VALC_SP_0_valc_sp_line0_shift                                      (16)
#define  VALC_VALC_SP_0_valc_sp_line1_shift                                      (0)
#define  VALC_VALC_SP_0_valc_sp_line0_mask                                       (0xFFFF0000)
#define  VALC_VALC_SP_0_valc_sp_line1_mask                                       (0x0000FFFF)
#define  VALC_VALC_SP_0_valc_sp_line0(data)                                      (0xFFFF0000&((data)<<16))
#define  VALC_VALC_SP_0_valc_sp_line1(data)                                      (0x0000FFFF&(data))
#define  VALC_VALC_SP_0_get_valc_sp_line0(data)                                  ((0xFFFF0000&(data))>>16)
#define  VALC_VALC_SP_0_get_valc_sp_line1(data)                                  (0x0000FFFF&(data))

#define  VALC_VALC_SP_1                                                         0x1802EE34
#define  VALC_VALC_SP_1_reg_addr                                                 "0xB802EE34"
#define  VALC_VALC_SP_1_reg                                                      0xB802EE34
#define  VALC_VALC_SP_1_inst_addr                                                "0x0006"
#define  set_VALC_VALC_SP_1_reg(data)                                            (*((volatile unsigned int*)VALC_VALC_SP_1_reg)=data)
#define  get_VALC_VALC_SP_1_reg                                                  (*((volatile unsigned int*)VALC_VALC_SP_1_reg))
#define  VALC_VALC_SP_1_valc_sp_line2_shift                                      (16)
#define  VALC_VALC_SP_1_valc_sp_line3_shift                                      (0)
#define  VALC_VALC_SP_1_valc_sp_line2_mask                                       (0xFFFF0000)
#define  VALC_VALC_SP_1_valc_sp_line3_mask                                       (0x0000FFFF)
#define  VALC_VALC_SP_1_valc_sp_line2(data)                                      (0xFFFF0000&((data)<<16))
#define  VALC_VALC_SP_1_valc_sp_line3(data)                                      (0x0000FFFF&(data))
#define  VALC_VALC_SP_1_get_valc_sp_line2(data)                                  ((0xFFFF0000&(data))>>16)
#define  VALC_VALC_SP_1_get_valc_sp_line3(data)                                  (0x0000FFFF&(data))

#define  VALC_VALC_SP_2                                                         0x1802EE38
#define  VALC_VALC_SP_2_reg_addr                                                 "0xB802EE38"
#define  VALC_VALC_SP_2_reg                                                      0xB802EE38
#define  VALC_VALC_SP_2_inst_addr                                                "0x0007"
#define  set_VALC_VALC_SP_2_reg(data)                                            (*((volatile unsigned int*)VALC_VALC_SP_2_reg)=data)
#define  get_VALC_VALC_SP_2_reg                                                  (*((volatile unsigned int*)VALC_VALC_SP_2_reg))
#define  VALC_VALC_SP_2_valc_sp_line4_shift                                      (16)
#define  VALC_VALC_SP_2_valc_sp_line5_shift                                      (0)
#define  VALC_VALC_SP_2_valc_sp_line4_mask                                       (0xFFFF0000)
#define  VALC_VALC_SP_2_valc_sp_line5_mask                                       (0x0000FFFF)
#define  VALC_VALC_SP_2_valc_sp_line4(data)                                      (0xFFFF0000&((data)<<16))
#define  VALC_VALC_SP_2_valc_sp_line5(data)                                      (0x0000FFFF&(data))
#define  VALC_VALC_SP_2_get_valc_sp_line4(data)                                  ((0xFFFF0000&(data))>>16)
#define  VALC_VALC_SP_2_get_valc_sp_line5(data)                                  (0x0000FFFF&(data))

#define  VALC_VALC_SP_L3                                                        0x1802EE3C
#define  VALC_VALC_SP_L3_reg_addr                                                "0xB802EE3C"
#define  VALC_VALC_SP_L3_reg                                                     0xB802EE3C
#define  VALC_VALC_SP_L3_inst_addr                                               "0x0008"
#define  set_VALC_VALC_SP_L3_reg(data)                                           (*((volatile unsigned int*)VALC_VALC_SP_L3_reg)=data)
#define  get_VALC_VALC_SP_L3_reg                                                 (*((volatile unsigned int*)VALC_VALC_SP_L3_reg))
#define  VALC_VALC_SP_L3_valc_sp_line6_shift                                     (16)
#define  VALC_VALC_SP_L3_valc_sp_line7_shift                                     (0)
#define  VALC_VALC_SP_L3_valc_sp_line6_mask                                      (0xFFFF0000)
#define  VALC_VALC_SP_L3_valc_sp_line7_mask                                      (0x0000FFFF)
#define  VALC_VALC_SP_L3_valc_sp_line6(data)                                     (0xFFFF0000&((data)<<16))
#define  VALC_VALC_SP_L3_valc_sp_line7(data)                                     (0x0000FFFF&(data))
#define  VALC_VALC_SP_L3_get_valc_sp_line6(data)                                 ((0xFFFF0000&(data))>>16)
#define  VALC_VALC_SP_L3_get_valc_sp_line7(data)                                 (0x0000FFFF&(data))

#define  VALC_VALC_SP_CTRL                                                      0x1802EE40
#define  VALC_VALC_SP_CTRL_reg_addr                                              "0xB802EE40"
#define  VALC_VALC_SP_CTRL_reg                                                   0xB802EE40
#define  VALC_VALC_SP_CTRL_inst_addr                                             "0x0009"
#define  set_VALC_VALC_SP_CTRL_reg(data)                                         (*((volatile unsigned int*)VALC_VALC_SP_CTRL_reg)=data)
#define  get_VALC_VALC_SP_CTRL_reg                                               (*((volatile unsigned int*)VALC_VALC_SP_CTRL_reg))
#define  VALC_VALC_SP_CTRL_valc_sp_v_shift                                       (4)
#define  VALC_VALC_SP_CTRL_valc_sp_h_shift                                       (0)
#define  VALC_VALC_SP_CTRL_valc_sp_v_mask                                        (0x00000070)
#define  VALC_VALC_SP_CTRL_valc_sp_h_mask                                        (0x0000000F)
#define  VALC_VALC_SP_CTRL_valc_sp_v(data)                                       (0x00000070&((data)<<4))
#define  VALC_VALC_SP_CTRL_valc_sp_h(data)                                       (0x0000000F&(data))
#define  VALC_VALC_SP_CTRL_get_valc_sp_v(data)                                   ((0x00000070&(data))>>4)
#define  VALC_VALC_SP_CTRL_get_valc_sp_h(data)                                   (0x0000000F&(data))

#define  VALC_VALC_LUT_ADDR                                                     0x1802EE20
#define  VALC_VALC_LUT_ADDR_reg_addr                                             "0xB802EE20"
#define  VALC_VALC_LUT_ADDR_reg                                                  0xB802EE20
#define  VALC_VALC_LUT_ADDR_inst_addr                                            "0x000A"
#define  set_VALC_VALC_LUT_ADDR_reg(data)                                        (*((volatile unsigned int*)VALC_VALC_LUT_ADDR_reg)=data)
#define  get_VALC_VALC_LUT_ADDR_reg                                              (*((volatile unsigned int*)VALC_VALC_LUT_ADDR_reg))
#define  VALC_VALC_LUT_ADDR_valc_lut_ax_en_shift                                 (16)
#define  VALC_VALC_LUT_ADDR_valc_lut_sel_shift                                   (12)
#define  VALC_VALC_LUT_ADDR_valc_lut_ax_en_mask                                  (0x00010000)
#define  VALC_VALC_LUT_ADDR_valc_lut_sel_mask                                    (0x00003000)
#define  VALC_VALC_LUT_ADDR_valc_lut_ax_en(data)                                 (0x00010000&((data)<<16))
#define  VALC_VALC_LUT_ADDR_valc_lut_sel(data)                                   (0x00003000&((data)<<12))
#define  VALC_VALC_LUT_ADDR_get_valc_lut_ax_en(data)                             ((0x00010000&(data))>>16)
#define  VALC_VALC_LUT_ADDR_get_valc_lut_sel(data)                               ((0x00003000&(data))>>12)

#define  VALC_VALC_LUT_DATA                                                     0x1802EE24
#define  VALC_VALC_LUT_DATA_reg_addr                                             "0xB802EE24"
#define  VALC_VALC_LUT_DATA_reg                                                  0xB802EE24
#define  VALC_VALC_LUT_DATA_inst_addr                                            "0x000B"
#define  set_VALC_VALC_LUT_DATA_reg(data)                                        (*((volatile unsigned int*)VALC_VALC_LUT_DATA_reg)=data)
#define  get_VALC_VALC_LUT_DATA_reg                                              (*((volatile unsigned int*)VALC_VALC_LUT_DATA_reg))
#define  VALC_VALC_LUT_DATA_valc_lut_data_shift                                  (0)
#define  VALC_VALC_LUT_DATA_valc_lut_data_mask                                   (0xFFFFFFFF)
#define  VALC_VALC_LUT_DATA_valc_lut_data(data)                                  (0xFFFFFFFF&(data))
#define  VALC_VALC_LUT_DATA_get_valc_lut_data(data)                              (0xFFFFFFFF&(data))

#define  VALC_VALC_AccessData_CTRL                                              0x1802EEE0
#define  VALC_VALC_AccessData_CTRL_reg_addr                                      "0xB802EEE0"
#define  VALC_VALC_AccessData_CTRL_reg                                           0xB802EEE0
#define  VALC_VALC_AccessData_CTRL_inst_addr                                     "0x000C"
#define  set_VALC_VALC_AccessData_CTRL_reg(data)                                 (*((volatile unsigned int*)VALC_VALC_AccessData_CTRL_reg)=data)
#define  get_VALC_VALC_AccessData_CTRL_reg                                       (*((volatile unsigned int*)VALC_VALC_AccessData_CTRL_reg))
#define  VALC_VALC_AccessData_CTRL_access_location_sel_shift                     (3)
#define  VALC_VALC_AccessData_CTRL_access_cross_bar_en_shift                     (2)
#define  VALC_VALC_AccessData_CTRL_access_write_en_shift                         (1)
#define  VALC_VALC_AccessData_CTRL_access_read_en_shift                          (0)
#define  VALC_VALC_AccessData_CTRL_access_location_sel_mask                      (0x00000008)
#define  VALC_VALC_AccessData_CTRL_access_cross_bar_en_mask                      (0x00000004)
#define  VALC_VALC_AccessData_CTRL_access_write_en_mask                          (0x00000002)
#define  VALC_VALC_AccessData_CTRL_access_read_en_mask                           (0x00000001)
#define  VALC_VALC_AccessData_CTRL_access_location_sel(data)                     (0x00000008&((data)<<3))
#define  VALC_VALC_AccessData_CTRL_access_cross_bar_en(data)                     (0x00000004&((data)<<2))
#define  VALC_VALC_AccessData_CTRL_access_write_en(data)                         (0x00000002&((data)<<1))
#define  VALC_VALC_AccessData_CTRL_access_read_en(data)                          (0x00000001&(data))
#define  VALC_VALC_AccessData_CTRL_get_access_location_sel(data)                 ((0x00000008&(data))>>3)
#define  VALC_VALC_AccessData_CTRL_get_access_cross_bar_en(data)                 ((0x00000004&(data))>>2)
#define  VALC_VALC_AccessData_CTRL_get_access_write_en(data)                     ((0x00000002&(data))>>1)
#define  VALC_VALC_AccessData_CTRL_get_access_read_en(data)                      (0x00000001&(data))

#define  VALC_VALC_AccessData_PosCtrl                                           0x1802EEE4
#define  VALC_VALC_AccessData_PosCtrl_reg_addr                                   "0xB802EEE4"
#define  VALC_VALC_AccessData_PosCtrl_reg                                        0xB802EEE4
#define  VALC_VALC_AccessData_PosCtrl_inst_addr                                  "0x000D"
#define  set_VALC_VALC_AccessData_PosCtrl_reg(data)                              (*((volatile unsigned int*)VALC_VALC_AccessData_PosCtrl_reg)=data)
#define  get_VALC_VALC_AccessData_PosCtrl_reg                                    (*((volatile unsigned int*)VALC_VALC_AccessData_PosCtrl_reg))
#define  VALC_VALC_AccessData_PosCtrl_access_starty_shift                        (16)
#define  VALC_VALC_AccessData_PosCtrl_access_startx_shift                        (0)
#define  VALC_VALC_AccessData_PosCtrl_access_starty_mask                         (0x0FFF0000)
#define  VALC_VALC_AccessData_PosCtrl_access_startx_mask                         (0x00000FFF)
#define  VALC_VALC_AccessData_PosCtrl_access_starty(data)                        (0x0FFF0000&((data)<<16))
#define  VALC_VALC_AccessData_PosCtrl_access_startx(data)                        (0x00000FFF&(data))
#define  VALC_VALC_AccessData_PosCtrl_get_access_starty(data)                    ((0x0FFF0000&(data))>>16)
#define  VALC_VALC_AccessData_PosCtrl_get_access_startx(data)                    (0x00000FFF&(data))

#define  VALC_VALC_AccessData_R                                                 0x1802EEE8
#define  VALC_VALC_AccessData_R_reg_addr                                         "0xB802EEE8"
#define  VALC_VALC_AccessData_R_reg                                              0xB802EEE8
#define  VALC_VALC_AccessData_R_inst_addr                                        "0x000E"
#define  set_VALC_VALC_AccessData_R_reg(data)                                    (*((volatile unsigned int*)VALC_VALC_AccessData_R_reg)=data)
#define  get_VALC_VALC_AccessData_R_reg                                          (*((volatile unsigned int*)VALC_VALC_AccessData_R_reg))
#define  VALC_VALC_AccessData_R_access_read_r_shift                              (16)
#define  VALC_VALC_AccessData_R_access_write_r_shift                             (0)
#define  VALC_VALC_AccessData_R_access_read_r_mask                               (0x0FFF0000)
#define  VALC_VALC_AccessData_R_access_write_r_mask                              (0x00000FFF)
#define  VALC_VALC_AccessData_R_access_read_r(data)                              (0x0FFF0000&((data)<<16))
#define  VALC_VALC_AccessData_R_access_write_r(data)                             (0x00000FFF&(data))
#define  VALC_VALC_AccessData_R_get_access_read_r(data)                          ((0x0FFF0000&(data))>>16)
#define  VALC_VALC_AccessData_R_get_access_write_r(data)                         (0x00000FFF&(data))

#define  VALC_VALC_AccessData_G                                                 0x1802EEEC
#define  VALC_VALC_AccessData_G_reg_addr                                         "0xB802EEEC"
#define  VALC_VALC_AccessData_G_reg                                              0xB802EEEC
#define  VALC_VALC_AccessData_G_inst_addr                                        "0x000F"
#define  set_VALC_VALC_AccessData_G_reg(data)                                    (*((volatile unsigned int*)VALC_VALC_AccessData_G_reg)=data)
#define  get_VALC_VALC_AccessData_G_reg                                          (*((volatile unsigned int*)VALC_VALC_AccessData_G_reg))
#define  VALC_VALC_AccessData_G_access_read_g_shift                              (16)
#define  VALC_VALC_AccessData_G_access_write_g_shift                             (0)
#define  VALC_VALC_AccessData_G_access_read_g_mask                               (0x0FFF0000)
#define  VALC_VALC_AccessData_G_access_write_g_mask                              (0x00000FFF)
#define  VALC_VALC_AccessData_G_access_read_g(data)                              (0x0FFF0000&((data)<<16))
#define  VALC_VALC_AccessData_G_access_write_g(data)                             (0x00000FFF&(data))
#define  VALC_VALC_AccessData_G_get_access_read_g(data)                          ((0x0FFF0000&(data))>>16)
#define  VALC_VALC_AccessData_G_get_access_write_g(data)                         (0x00000FFF&(data))

#define  VALC_VALC_AccessData_B                                                 0x1802EEF0
#define  VALC_VALC_AccessData_B_reg_addr                                         "0xB802EEF0"
#define  VALC_VALC_AccessData_B_reg                                              0xB802EEF0
#define  VALC_VALC_AccessData_B_inst_addr                                        "0x0010"
#define  set_VALC_VALC_AccessData_B_reg(data)                                    (*((volatile unsigned int*)VALC_VALC_AccessData_B_reg)=data)
#define  get_VALC_VALC_AccessData_B_reg                                          (*((volatile unsigned int*)VALC_VALC_AccessData_B_reg))
#define  VALC_VALC_AccessData_B_access_read_b_shift                              (16)
#define  VALC_VALC_AccessData_B_access_write_b_shift                             (0)
#define  VALC_VALC_AccessData_B_access_read_b_mask                               (0x0FFF0000)
#define  VALC_VALC_AccessData_B_access_write_b_mask                              (0x00000FFF)
#define  VALC_VALC_AccessData_B_access_read_b(data)                              (0x0FFF0000&((data)<<16))
#define  VALC_VALC_AccessData_B_access_write_b(data)                             (0x00000FFF&(data))
#define  VALC_VALC_AccessData_B_get_access_read_b(data)                          ((0x0FFF0000&(data))>>16)
#define  VALC_VALC_AccessData_B_get_access_write_b(data)                         (0x00000FFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======VALC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802ee00_31_17:15;
        RBus_UInt32  valc_location:1;
        RBus_UInt32  dummy1802ee00_15_12:4;
        RBus_UInt32  valc_dbg_region:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  valc_dbg_sel:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  valc_hpf_clip:2;
        RBus_UInt32  valc_func_en:1;
    };
}valc_pcid_valc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_hpf_w15:4;
        RBus_UInt32  valc_hpf_w14:4;
        RBus_UInt32  valc_hpf_w13:4;
        RBus_UInt32  valc_hpf_w12:4;
        RBus_UInt32  valc_hpf_w11:4;
        RBus_UInt32  valc_hpf_w10:4;
        RBus_UInt32  valc_hpf_w9:4;
        RBus_UInt32  valc_hpf_w8:4;
    };
}valc_pcid_valc_hpf_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_hpf_w7:4;
        RBus_UInt32  valc_hpf_w6:4;
        RBus_UInt32  valc_hpf_w5:4;
        RBus_UInt32  valc_hpf_w4:4;
        RBus_UInt32  valc_hpf_w3:4;
        RBus_UInt32  valc_hpf_w2:4;
        RBus_UInt32  valc_hpf_w1:4;
        RBus_UInt32  valc_hpf_w0:4;
    };
}valc_pcid_valc_hpf_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sat_w15:4;
        RBus_UInt32  valc_sat_w14:4;
        RBus_UInt32  valc_sat_w13:4;
        RBus_UInt32  valc_sat_w12:4;
        RBus_UInt32  valc_sat_w11:4;
        RBus_UInt32  valc_sat_w10:4;
        RBus_UInt32  valc_sat_w9:4;
        RBus_UInt32  valc_sat_w8:4;
    };
}valc_pcid_valc_sat_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sat_w7:4;
        RBus_UInt32  valc_sat_w6:4;
        RBus_UInt32  valc_sat_w5:4;
        RBus_UInt32  valc_sat_w4:4;
        RBus_UInt32  valc_sat_w3:4;
        RBus_UInt32  valc_sat_w2:4;
        RBus_UInt32  valc_sat_w1:4;
        RBus_UInt32  valc_sat_w0:4;
    };
}valc_pcid_valc_sat_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line0:16;
        RBus_UInt32  valc_sp_line1:16;
    };
}valc_valc_sp_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line2:16;
        RBus_UInt32  valc_sp_line3:16;
    };
}valc_valc_sp_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line4:16;
        RBus_UInt32  valc_sp_line5:16;
    };
}valc_valc_sp_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line6:16;
        RBus_UInt32  valc_sp_line7:16;
    };
}valc_valc_sp_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  valc_sp_v:3;
        RBus_UInt32  valc_sp_h:4;
    };
}valc_valc_sp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  valc_lut_ax_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  valc_lut_sel:2;
        RBus_UInt32  res3:12;
    };
}valc_valc_lut_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_lut_data:32;
    };
}valc_valc_lut_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  access_location_sel:1;
        RBus_UInt32  access_cross_bar_en:1;
        RBus_UInt32  access_write_en:1;
        RBus_UInt32  access_read_en:1;
    };
}valc_valc_accessdata_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  access_starty:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  access_startx:12;
    };
}valc_valc_accessdata_posctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_r:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  access_write_r:12;
    };
}valc_valc_accessdata_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_g:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  access_write_g:12;
    };
}valc_valc_accessdata_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_b:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  access_write_b:12;
    };
}valc_valc_accessdata_b_RBUS;

#else //apply LITTLE_ENDIAN

//======VALC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_func_en:1;
        RBus_UInt32  valc_hpf_clip:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  valc_dbg_sel:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  valc_dbg_region:4;
        RBus_UInt32  dummy1802ee00_15_12:4;
        RBus_UInt32  valc_location:1;
        RBus_UInt32  dummy1802ee00_31_17:15;
    };
}valc_pcid_valc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_hpf_w8:4;
        RBus_UInt32  valc_hpf_w9:4;
        RBus_UInt32  valc_hpf_w10:4;
        RBus_UInt32  valc_hpf_w11:4;
        RBus_UInt32  valc_hpf_w12:4;
        RBus_UInt32  valc_hpf_w13:4;
        RBus_UInt32  valc_hpf_w14:4;
        RBus_UInt32  valc_hpf_w15:4;
    };
}valc_pcid_valc_hpf_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_hpf_w0:4;
        RBus_UInt32  valc_hpf_w1:4;
        RBus_UInt32  valc_hpf_w2:4;
        RBus_UInt32  valc_hpf_w3:4;
        RBus_UInt32  valc_hpf_w4:4;
        RBus_UInt32  valc_hpf_w5:4;
        RBus_UInt32  valc_hpf_w6:4;
        RBus_UInt32  valc_hpf_w7:4;
    };
}valc_pcid_valc_hpf_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sat_w8:4;
        RBus_UInt32  valc_sat_w9:4;
        RBus_UInt32  valc_sat_w10:4;
        RBus_UInt32  valc_sat_w11:4;
        RBus_UInt32  valc_sat_w12:4;
        RBus_UInt32  valc_sat_w13:4;
        RBus_UInt32  valc_sat_w14:4;
        RBus_UInt32  valc_sat_w15:4;
    };
}valc_pcid_valc_sat_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sat_w0:4;
        RBus_UInt32  valc_sat_w1:4;
        RBus_UInt32  valc_sat_w2:4;
        RBus_UInt32  valc_sat_w3:4;
        RBus_UInt32  valc_sat_w4:4;
        RBus_UInt32  valc_sat_w5:4;
        RBus_UInt32  valc_sat_w6:4;
        RBus_UInt32  valc_sat_w7:4;
    };
}valc_pcid_valc_sat_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line1:16;
        RBus_UInt32  valc_sp_line0:16;
    };
}valc_valc_sp_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line3:16;
        RBus_UInt32  valc_sp_line2:16;
    };
}valc_valc_sp_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line5:16;
        RBus_UInt32  valc_sp_line4:16;
    };
}valc_valc_sp_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_line7:16;
        RBus_UInt32  valc_sp_line6:16;
    };
}valc_valc_sp_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_sp_h:4;
        RBus_UInt32  valc_sp_v:3;
        RBus_UInt32  res1:25;
    };
}valc_valc_sp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  valc_lut_sel:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  valc_lut_ax_en:1;
        RBus_UInt32  res3:15;
    };
}valc_valc_lut_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  valc_lut_data:32;
    };
}valc_valc_lut_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  access_read_en:1;
        RBus_UInt32  access_write_en:1;
        RBus_UInt32  access_cross_bar_en:1;
        RBus_UInt32  access_location_sel:1;
        RBus_UInt32  res1:28;
    };
}valc_valc_accessdata_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  access_startx:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  access_starty:12;
        RBus_UInt32  res2:4;
    };
}valc_valc_accessdata_posctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  access_write_r:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_r:12;
        RBus_UInt32  res2:4;
    };
}valc_valc_accessdata_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  access_write_g:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_g:12;
        RBus_UInt32  res2:4;
    };
}valc_valc_accessdata_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  access_write_b:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  access_read_b:12;
        RBus_UInt32  res2:4;
    };
}valc_valc_accessdata_b_RBUS;




#endif 


#endif 
