#ifndef __PART_REBUILD_H__
#define __PART_REBUILD_H__

#include "../disk/part_efi.h"


#define GPT_SUPPORT_MAX_PART_NUM		128

int get_gpt_entry_num(unsigned int *entry_num);
int get_gpt_entry_by_index(gpt_entry *entry, unsigned int part_index);
int get_gpt_entry_by_name(gpt_entry *entry, char *part_name);

int get_partition_partname_by_gpt_entry(gpt_entry entry, char *part_name);
unsigned long long get_partition_starting_by_gpt_entry(gpt_entry entry);
unsigned long long get_partition_ending_by_gpt_entry(gpt_entry entry);

/*for example, system's block device is mmcblk0p1, so its dev index is 1*/
int get_dev_index_by_name(char *part_name, unsigned int *dev_index);

#endif
