#include <qc_verify_common.h>
extern int otp_program_with_bitmap(void);
extern int otp_program_with_bitmap_with_verify(void);
extern int otp_is_ever_programed(void);
extern int otp_read_bits(unsigned long ofst,
                         unsigned char msb,
                         unsigned char lsb,
						 unsigned long* pval
                         );
extern int otp_write_bits(unsigned long ofst,
                          unsigned char msb,
						  unsigned char lsb,
                          unsigned long val
                          );
int QC_Verifier_OTP_SW_key(void)
{
	int ret = 	0;

	if(!otp_is_ever_programed()) {
        printf("OTP never been burned\n");
        ret = otp_program_with_bitmap_with_verify();
    } 
#if 0
    else {
        unsigned long value = 0x0;
        printf("OTP has ever been burned\n");
        otp_read_bits(0x40, 25, 25, &value);
        if(value != 1)
            otp_write_bits(0x40, 25, 25, 0x1);
        value = 0x0;
        otp_read_bits(0x40, 25, 25, &value);
        printf("OTP speed_up_str = %lx\n", value);

        value = 0x0;
        otp_read_bits(0x48, 7, 4, &value);
        if(value != 0x3)
            otp_write_bits(0x48, 7, 4, 0x3);
        value = 0x0;
        otp_read_bits(0x48, 7, 4, &value);
        printf("OTP secure_rbus = %lx\n", value);

        value = 0x0;
        otp_read_bits(0x40, 11, 8, &value);
        if(value != 0x3)
            otp_write_bits(0x40, 11, 8, 0x3);
        value = 0x0;
        otp_read_bits(0x40, 11, 8, &value);
        printf("OTP Secure_Boot_Type = %lx\n", value);
        
        value = 0x0;
        otp_read_bits(0x40, 24, 21, &value);
        if(value != 0x3)
            otp_write_bits(0x40, 24, 21, 0x3);
        value = 0x0;
        otp_read_bits(0x40, 24, 21, &value);
        printf("OTP ARM_TZ_enable = %lx\n", value);

    }   
#endif    
	        
	if(ret == 0)
		return SUCCESS;
	else
		return FAILED;
} 
