MEMORY
{
    ram : org = 0x2500000, len = 0x400000
}
SECTIONS
{
    .text 0x2500000 :
    {
        _ftext = .;
        ram_boot.o(.text)
        vp9_uniform.o(.text)
        vp9_common.o(.text)
        etext = .;
    }

    .data         ALIGN(0x4) :
    {
        _fdata = .;
        *(.data) *(.sdata) *(.lit4) *(.lit8) *(.rodata)

        _f_v_entry_qc_img = .;
        vp9_uniform.o (.v_entry_qc)
        . = ALIGN(8);
        _e_v_entry_qc_img = .;

        _edata = .; }

    .bss          ALIGN(0x4) :
    {
            . = ALIGN(4);
            __bss_start = .;
            *(.sbss) *(.bss) *(.scommon)
            . = ALIGN(4);
            __bss_end = .;
    } /* 64KB */

    __cache_line_size = 0x20;
    __heap_start_addr = (ADDR(.bss) + SIZEOF ( .bss ) + __cache_line_size - 1) & ~ (__cache_line_size - 1);

}
