/**
* @file rbusOsd_srReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_OSD_SR_REG_H_
#define _RBUS_OSD_SR_REG_H_

#include "rbusTypes.h"



//  OSD_SR Register Address



#define  OSD_SR_OSD_SR_1_SCALEUP_CTRL0_VADDR                	(0xb8029400)
#define  OSD_SR_OSD_SR_1_SCALEUP_CTRL1_VADDR                	(0xb8029404)
#define  OSD_SR_OSD_SR_1_H_LOCATION_CTRL_VADDR              	(0xb8029408)
#define  OSD_SR_OSD_SR_1_V_LOCATION_CTRL_VADDR              	(0xb802940c)
#define  OSD_SR_OSD_SR_1_CTRL_VADDR                         	(0xb8029410)
#define  OSD_SR_OSD_SR_1_HCOEFF_VADDR                       	(0xb8029414)
#define  OSD_SR_OSD_SR_1_VCOEFF_VADDR                       	(0xb8029418)
#define  OSD_SR_OSD_SR_1_FILTER_CTRL0_VADDR                 	(0xb802941c)
#define  OSD_SR_OSD_SR_1_GAINY_CTRL0_VADDR                  	(0xb8029420)
#define  OSD_SR_OSD_SR_1_GAINY_CTRL1_VADDR                  	(0xb8029424)
#define  OSD_SR_OSD_SR_1_GAINY_CTRL2_VADDR                  	(0xb8029428)
#define  OSD_SR_OSD_SR_1_GAINY_CTRL3_VADDR                  	(0xb802942c)
#define  OSD_SR_OSD_SR_1_GAINY_CTRL4_VADDR                  	(0xb8029430)
#define  OSD_SR_OSD_SR_1_GAINMAP_CTRL0_VADDR                	(0xb8029434)
#define  OSD_SR_OSD_SR_1_UDFLOW_VADDR                       	(0xb802943c)
#define  OSD_SR_OSD_SR_1_DEBUG0_VADDR                       	(0xb8029440)
#define  OSD_SR_OSD_SR_1_DEBUG1_VADDR                       	(0xb8029444)
#define  OSD_SR_OSD_SR_1_DEBUG2_VADDR                       	(0xb8029448)
#define  OSD_SR_OSD_SR_2_SCALEUP_CTRL0_VADDR                	(0xb8029480)
#define  OSD_SR_OSD_SR_2_SCALEUP_CTRL1_VADDR                	(0xb8029484)
#define  OSD_SR_OSD_SR_2_H_LOCATION_CTRL_VADDR              	(0xb8029488)
#define  OSD_SR_OSD_SR_2_V_LOCATION_CTRL_VADDR              	(0xb802948c)
#define  OSD_SR_OSD_SR_2_CTRL_VADDR                         	(0xb8029490)
#define  OSD_SR_OSD_SR_2_HCOEFF_VADDR                       	(0xb8029494)
#define  OSD_SR_OSD_SR_2_VCOEFF_VADDR                       	(0xb8029498)
#define  OSD_SR_OSD_SR_2_FILTER_CTRL0_VADDR                 	(0xb802949c)
#define  OSD_SR_OSD_SR_2_GAINY_CTRL0_VADDR                  	(0xb80294a0)
#define  OSD_SR_OSD_SR_2_GAINY_CTRL1_VADDR                  	(0xb80294a4)
#define  OSD_SR_OSD_SR_2_GAINY_CTRL2_VADDR                  	(0xb80294a8)
#define  OSD_SR_OSD_SR_2_GAINY_CTRL3_VADDR                  	(0xb80294ac)
#define  OSD_SR_OSD_SR_2_GAINY_CTRL4_VADDR                  	(0xb80294b0)
#define  OSD_SR_OSD_SR_2_GAINMAP_CTRL0_VADDR                	(0xb80294b4)
#define  OSD_SR_OSD_SR_2_UDFLOW_VADDR                       	(0xb80294bc)
#define  OSD_SR_OSD_SR_2_DEBUG0_VADDR                       	(0xb80294c0)
#define  OSD_SR_OSD_SR_2_DEBUG1_VADDR                       	(0xb80294c4)
#define  OSD_SR_OSD_SR_2_DEBUG2_VADDR                       	(0xb80294c8)
#define  OSD_SR_OSD_SR_3_SCALEUP_CTRL0_VADDR                	(0xb8029500)
#define  OSD_SR_OSD_SR_3_SCALEUP_CTRL1_VADDR                	(0xb8029504)
#define  OSD_SR_OSD_SR_3_H_LOCATION_CTRL_VADDR              	(0xb8029508)
#define  OSD_SR_OSD_SR_3_V_LOCATION_CTRL_VADDR              	(0xb802950c)
#define  OSD_SR_OSD_SR_3_CTRL_VADDR                         	(0xb8029510)
#define  OSD_SR_OSD_SR_3_HCOEFF_VADDR                       	(0xb8029514)
#define  OSD_SR_OSD_SR_3_VCOEFF_VADDR                       	(0xb8029518)
#define  OSD_SR_OSD_SR_3_FILTER_CTRL0_VADDR                 	(0xb802951c)
#define  OSD_SR_OSD_SR_3_GAINY_CTRL0_VADDR                  	(0xb8029520)
#define  OSD_SR_OSD_SR_3_GAINY_CTRL1_VADDR                  	(0xb8029524)
#define  OSD_SR_OSD_SR_3_GAINY_CTRL2_VADDR                  	(0xb8029528)
#define  OSD_SR_OSD_SR_3_GAINY_CTRL3_VADDR                  	(0xb802952c)
#define  OSD_SR_OSD_SR_3_GAINY_CTRL4_VADDR                  	(0xb8029530)
#define  OSD_SR_OSD_SR_3_GAINMAP_CTRL0_VADDR                	(0xb8029534)
#define  OSD_SR_OSD_SR_3_UDFLOW_VADDR                       	(0xb802953c)
#define  OSD_SR_OSD_SR_3_DEBUG0_VADDR                       	(0xb8029540)
#define  OSD_SR_OSD_SR_3_DEBUG1_VADDR                       	(0xb8029544)
#define  OSD_SR_OSD_SR_3_DEBUG2_VADDR                       	(0xb8029548)
#define  OSD_SR_OSD_BYPASS_4_LOCATION_CTRL_VADDR            	(0xb8029580)
#define  OSD_SR_OSD_BYPASS_4_UDFLOW_VADDR                   	(0xb8029584)
#define  OSD_SR_OSD_BYPASS_5_LOCATION_CTRL_VADDR            	(0xb8029590)
#define  OSD_SR_OSD_BYPASS_5_UDFLOW_VADDR                   	(0xb8029594)
#define  OSD_SR_OSD_SR_1_CRC_CTRL1_VADDR                    	(0xb80295a0)
#define  OSD_SR_OSD_SR_1_CRC_RESULT_VADDR                   	(0xb80295a4)
#define  OSD_SR_OSD_SR_1_CRC_RESULT_ODD_VADDR               	(0xb80295a8)
#define  OSD_SR_OSD_SR_2_CRC_CTRL1_VADDR                    	(0xb80295b0)
#define  OSD_SR_OSD_SR_2_CRC_RESULT_VADDR                   	(0xb80295b4)
#define  OSD_SR_OSD_SR_2_CRC_RESULT_ODD_VADDR               	(0xb80295b8)
#define  OSD_SR_OSD_SR_3_CRC_CTRL1_VADDR                    	(0xb80295c0)
#define  OSD_SR_OSD_SR_3_CRC_RESULT_VADDR                   	(0xb80295c4)
#define  OSD_SR_OSD_SR_3_CRC_RESULT_ODD_VADDR               	(0xb80295c8)
#define  OSD_SR_OSD_BYPASS_4_CRC_CTRL1_VADDR                	(0xb80295d0)
#define  OSD_SR_OSD_BYPASS_4_CRC_RESULT_VADDR               	(0xb80295d4)
#define  OSD_SR_OSD_BYPASS_4_CRC_RESULT_ODD_VADDR           	(0xb80295d8)
#define  OSD_SR_OSD_BYPASS_5_CRC_CTRL1_VADDR                	(0xb80295e0)
#define  OSD_SR_OSD_BYPASS_5_CRC_RESULT_VADDR               	(0xb80295e4)
#define  OSD_SR_OSD_BYPASS_5_CRC_RESULT_ODD_VADDR           	(0xb80295e8)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======OSD_SR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_sr_osd_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_sr_osd_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_sr_osd_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_sr_osd_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_sr_osd_sr_1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c0_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c1_1:8;
    };
}osd_sr_osd_sr_1_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c0_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c1_1:8;
    };
}osd_sr_osd_sr_1_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  sr_lpf_range:1;
    };
}osd_sr_osd_sr_1_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_by_gain_en:1;
    };
}osd_sr_osd_sr_1_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain1:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain4:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain5:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain8:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain1:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain4:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain5:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain8:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range_thd:8;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_en:1;
    };
}osd_sr_osd_sr_1_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  osd_sr_in_udflow:1;
    };
}osd_sr_osd_sr_1_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  sr_dbg_en:1;
    };
}osd_sr_osd_sr_1_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_h_end:13;
    };
}osd_sr_osd_sr_1_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  sr_dbg_v_end:12;
    };
}osd_sr_osd_sr_1_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_sr_osd_sr_2_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_sr_osd_sr_2_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_sr_osd_sr_2_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_sr_osd_sr_2_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_sr_osd_sr_2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c0_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c1_1:8;
    };
}osd_sr_osd_sr_2_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c0_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c1_1:8;
    };
}osd_sr_osd_sr_2_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  sr_lpf_range:1;
    };
}osd_sr_osd_sr_2_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_by_gain_en:1;
    };
}osd_sr_osd_sr_2_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain1:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain4:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain5:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain8:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain1:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain4:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain5:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain8:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range_thd:8;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_en:1;
    };
}osd_sr_osd_sr_2_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  osd_sr_in_udflow:1;
    };
}osd_sr_osd_sr_2_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  sr_dbg_en:1;
    };
}osd_sr_osd_sr_2_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_h_end:13;
    };
}osd_sr_osd_sr_2_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  sr_dbg_v_end:12;
    };
}osd_sr_osd_sr_2_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_sr_osd_sr_3_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_sr_osd_sr_3_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_sr_osd_sr_3_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_sr_osd_sr_3_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_sr_osd_sr_3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c0_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c1_1:8;
    };
}osd_sr_osd_sr_3_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c0_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c1_1:8;
    };
}osd_sr_osd_sr_3_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  sr_lpf_range:1;
    };
}osd_sr_osd_sr_3_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_by_gain_en:1;
    };
}osd_sr_osd_sr_3_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain1:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain4:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain5:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain8:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain1:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain4:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain5:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain8:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range_thd:8;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_en:1;
    };
}osd_sr_osd_sr_3_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  osd_sr_in_udflow:1;
    };
}osd_sr_osd_sr_3_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  sr_dbg_en:1;
    };
}osd_sr_osd_sr_3_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_h_end:13;
    };
}osd_sr_osd_sr_3_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  sr_dbg_v_end:12;
    };
}osd_sr_osd_sr_3_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  osd_v_sta:12;
    };
}osd_sr_osd_bypass_4_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  osd_sr_in_udflow:1;
    };
}osd_sr_osd_bypass_4_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  osd_v_sta:12;
    };
}osd_sr_osd_bypass_5_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  osd_sr_in_udflow:1;
    };
}osd_sr_osd_bypass_5_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy180295a0_31_2:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}osd_sr_osd_sr_1_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_1_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_1_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}osd_sr_osd_sr_2_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_2_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_2_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}osd_sr_osd_sr_3_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_3_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_3_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}osd_sr_osd_bypass_4_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_bypass_4_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_bypass_4_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}osd_sr_osd_bypass_5_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_bypass_5_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_bypass_5_crc_result_odd_RBUS;

#else //apply LITTLE_ENDIAN

//======OSD_SR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_sr_osd_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_sr_osd_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_sr_osd_sr_1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c1_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c0_0:8;
    };
}osd_sr_osd_sr_1_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c1_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c0_0:8;
    };
}osd_sr_osd_sr_1_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  res3:6;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res4:8;
    };
}osd_sr_osd_sr_1_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain4:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain1:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain8:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain5:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain4:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain1:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain8:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain5:8;
    };
}osd_sr_osd_sr_1_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_edge_en:1;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_thd:8;
    };
}osd_sr_osd_sr_1_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_sr_in_udflow:1;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_sr_1_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res3:20;
    };
}osd_sr_osd_sr_1_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_h_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_1_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_v_end:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_1_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_sr_osd_sr_2_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_sr_osd_sr_2_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_2_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_2_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_sr_osd_sr_2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c1_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c0_0:8;
    };
}osd_sr_osd_sr_2_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c1_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c0_0:8;
    };
}osd_sr_osd_sr_2_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  res3:6;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res4:8;
    };
}osd_sr_osd_sr_2_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain4:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain1:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain8:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain5:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain4:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain1:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain8:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain5:8;
    };
}osd_sr_osd_sr_2_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_edge_en:1;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_thd:8;
    };
}osd_sr_osd_sr_2_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_sr_in_udflow:1;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_sr_2_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res3:20;
    };
}osd_sr_osd_sr_2_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_h_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_2_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_v_end:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_2_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_sr_osd_sr_3_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_sr_osd_sr_3_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_3_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_3_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_sr_osd_sr_3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c1_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c0_0:8;
    };
}osd_sr_osd_sr_3_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c1_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c0_0:8;
    };
}osd_sr_osd_sr_3_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_range:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_edge_range:1;
        RBus_UInt32  sr_delta_gain:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  sr_maxmin_range:1;
        RBus_UInt32  sr_maxmin_mode:1;
        RBus_UInt32  res3:6;
        RBus_UInt32  sr_maxmin_thd:8;
        RBus_UInt32  res4:8;
    };
}osd_sr_osd_sr_3_filter_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain4:8;
        RBus_UInt32  sr_by_pgain3:8;
        RBus_UInt32  sr_by_pgain2:8;
        RBus_UInt32  sr_by_pgain1:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain8:8;
        RBus_UInt32  sr_by_pgain7:8;
        RBus_UInt32  sr_by_pgain6:8;
        RBus_UInt32  sr_by_pgain5:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain4:8;
        RBus_UInt32  sr_by_ngain3:8;
        RBus_UInt32  sr_by_ngain2:8;
        RBus_UInt32  sr_by_ngain1:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_ngain8:8;
        RBus_UInt32  sr_by_ngain7:8;
        RBus_UInt32  sr_by_ngain6:8;
        RBus_UInt32  sr_by_ngain5:8;
    };
}osd_sr_osd_sr_3_gainy_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_lpf_edge_en:1;
        RBus_UInt32  sr_lpf_edge_step:2;
        RBus_UInt32  sr_lpf_edge_gain:5;
        RBus_UInt32  sr_lpf_edge_thd:8;
        RBus_UInt32  sr_lpf_range_en:1;
        RBus_UInt32  sr_lpf_range_step:2;
        RBus_UInt32  sr_lpf_range_gain:5;
        RBus_UInt32  sr_lpf_range_thd:8;
    };
}osd_sr_osd_sr_3_gainmap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_sr_in_udflow:1;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_sr_3_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res3:20;
    };
}osd_sr_osd_sr_3_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_h_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_sr_3_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_v_end:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_sr_osd_sr_3_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_bypass_4_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_sr_in_udflow:1;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_bypass_4_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_sr_osd_bypass_5_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_sr_in_udflow:1;
        RBus_UInt32  off_line_state:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_bypass_5_udflow_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  dummy180295a0_31:30;
    };
}osd_sr_osd_sr_1_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_1_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_1_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_sr_2_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_2_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_2_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_sr_3_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_sr_3_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_sr_3_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_bypass_4_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_bypass_4_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_bypass_4_crc_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  res1:30;
    };
}osd_sr_osd_bypass_5_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result:32;
    };
}osd_sr_osd_bypass_5_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_result_odd:32;
    };
}osd_sr_osd_bypass_5_crc_result_odd_RBUS;




#endif 


#endif 
