/**
* @file Merlin3-DesignSpec-D-Domain_LGD_M_plus
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LG_M_PLUS_REG_H_
#define _RBUS_LG_M_PLUS_REG_H_

#include "rbusTypes.h"



//  LG_M_PLUS Register Address



#define  LG_M_PLUS_M_PLUS_CTL_VADDR                         	(0xb8028f00)
#define  LG_M_PLUS_M_PLUS_TIMING_SEL_VADDR                  	(0xb8028f04)
#define  LG_M_PLUS_M_PLUS_DIMMING_DUTY_CTRL_VADDR           	(0xb8028f08)
#define  LG_M_PLUS_M_PLUS_DIMMING_DUTY_READ_VADDR           	(0xb8028f0c)
#define  LG_M_PLUS_M_PLUS_SCENE_CHANGE_CTRL_VADDR           	(0xb8028fa0)
#define  LG_M_PLUS_M_PLUS_TPSRAM1_BIST0_VADDR               	(0xb8028f10)
#define  LG_M_PLUS_M_PLUS_TPSRAM1_BIST1_VADDR               	(0xb8028f14)
#define  LG_M_PLUS_M_PLUS_TPSRAM1_BIST2_VADDR               	(0xb8028f18)
#define  LG_M_PLUS_M_PLUS_TPSRAM2_BIST0_VADDR               	(0xb8028f1c)
#define  LG_M_PLUS_M_PLUS_TPSRAM2_BIST1_VADDR               	(0xb8028f20)
#define  LG_M_PLUS_M_PLUS_TPSRAM3_BIST0_VADDR               	(0xb8028f24)
#define  LG_M_PLUS_M_PLUS_TPSRAM3_BIST1_VADDR               	(0xb8028f28)
#define  LG_M_PLUS_M_PLUS_ROM_BIST0_VADDR                   	(0xb8028f2c)
#define  LG_M_PLUS_M_PLUS_ROM_BIST1_VADDR                   	(0xb8028f30)
#define  LG_M_PLUS_M_PLUS_REG000_VADDR                      	(0xb8028c00)
#define  LG_M_PLUS_M_PLUS_REG004_VADDR                      	(0xb8028c04)
#define  LG_M_PLUS_M_PLUS_REG008_VADDR                      	(0xb8028c08)
#define  LG_M_PLUS_M_PLUS_REG00C_VADDR                      	(0xb8028c0c)
#define  LG_M_PLUS_M_PLUS_REG010_VADDR                      	(0xb8028c10)
#define  LG_M_PLUS_M_PLUS_REG014_VADDR                      	(0xb8028c14)
#define  LG_M_PLUS_M_PLUS_REG018_VADDR                      	(0xb8028c18)
#define  LG_M_PLUS_M_PLUS_REG01C_VADDR                      	(0xb8028c1c)
#define  LG_M_PLUS_M_PLUS_REG020_VADDR                      	(0xb8028c20)
#define  LG_M_PLUS_M_PLUS_REG024_VADDR                      	(0xb8028c24)
#define  LG_M_PLUS_M_PLUS_REG028_VADDR                      	(0xb8028c28)
#define  LG_M_PLUS_M_PLUS_REG02C_VADDR                      	(0xb8028c2c)
#define  LG_M_PLUS_M_PLUS_REG030_VADDR                      	(0xb8028c30)
#define  LG_M_PLUS_M_PLUS_REG034_VADDR                      	(0xb8028c34)
#define  LG_M_PLUS_M_PLUS_REG038_VADDR                      	(0xb8028c38)
#define  LG_M_PLUS_M_PLUS_REG03C_VADDR                      	(0xb8028c3c)
#define  LG_M_PLUS_M_PLUS_REG040_VADDR                      	(0xb8028c40)
#define  LG_M_PLUS_M_PLUS_REG044_VADDR                      	(0xb8028c44)
#define  LG_M_PLUS_M_PLUS_REG048_VADDR                      	(0xb8028c48)
#define  LG_M_PLUS_M_PLUS_REG04C_VADDR                      	(0xb8028c4c)
#define  LG_M_PLUS_M_PLUS_REG050_VADDR                      	(0xb8028c50)
#define  LG_M_PLUS_M_PLUS_REG054_VADDR                      	(0xb8028c54)
#define  LG_M_PLUS_M_PLUS_REG058_VADDR                      	(0xb8028c58)
#define  LG_M_PLUS_M_PLUS_REG05C_VADDR                      	(0xb8028c5c)
#define  LG_M_PLUS_M_PLUS_REG060_VADDR                      	(0xb8028c60)
#define  LG_M_PLUS_M_PLUS_REG064_VADDR                      	(0xb8028c64)
#define  LG_M_PLUS_M_PLUS_REG068_VADDR                      	(0xb8028c68)
#define  LG_M_PLUS_M_PLUS_REG06C_VADDR                      	(0xb8028c6c)
#define  LG_M_PLUS_M_PLUS_REG070_VADDR                      	(0xb8028c70)
#define  LG_M_PLUS_M_PLUS_REG074_VADDR                      	(0xb8028c74)
#define  LG_M_PLUS_M_PLUS_REG078_VADDR                      	(0xb8028c78)
#define  LG_M_PLUS_M_PLUS_REG07C_VADDR                      	(0xb8028c7c)
#define  LG_M_PLUS_M_PLUS_REG080_VADDR                      	(0xb8028c80)
#define  LG_M_PLUS_M_PLUS_REG084_VADDR                      	(0xb8028c84)
#define  LG_M_PLUS_M_PLUS_REG088_VADDR                      	(0xb8028c88)
#define  LG_M_PLUS_M_PLUS_REG08C_VADDR                      	(0xb8028c8c)
#define  LG_M_PLUS_M_PLUS_REG090_VADDR                      	(0xb8028c90)
#define  LG_M_PLUS_M_PLUS_REG094_VADDR                      	(0xb8028c94)
#define  LG_M_PLUS_M_PLUS_REG098_VADDR                      	(0xb8028c98)
#define  LG_M_PLUS_M_PLUS_REG09C_VADDR                      	(0xb8028c9c)
#define  LG_M_PLUS_M_PLUS_REG0A0_VADDR                      	(0xb8028ca0)
#define  LG_M_PLUS_M_PLUS_REG0A4_VADDR                      	(0xb8028ca4)
#define  LG_M_PLUS_M_PLUS_REG0A8_VADDR                      	(0xb8028ca8)
#define  LG_M_PLUS_M_PLUS_REG0AC_VADDR                      	(0xb8028cac)
#define  LG_M_PLUS_M_PLUS_REG0B0_VADDR                      	(0xb8028cb0)
#define  LG_M_PLUS_M_PLUS_REG0B4_VADDR                      	(0xb8028cb4)
#define  LG_M_PLUS_M_PLUS_REG0B8_VADDR                      	(0xb8028cb8)
#define  LG_M_PLUS_M_PLUS_REG0BC_VADDR                      	(0xb8028cbc)
#define  LG_M_PLUS_M_PLUS_REG0C0_VADDR                      	(0xb8028cc0)
#define  LG_M_PLUS_M_PLUS_REG0C4_VADDR                      	(0xb8028cc4)
#define  LG_M_PLUS_M_PLUS_REG0C8_VADDR                      	(0xb8028cc8)
#define  LG_M_PLUS_M_PLUS_REG0CC_VADDR                      	(0xb8028ccc)
#define  LG_M_PLUS_M_PLUS_REG0D0_VADDR                      	(0xb8028cd0)
#define  LG_M_PLUS_M_PLUS_REG0D4_VADDR                      	(0xb8028cd4)
#define  LG_M_PLUS_M_PLUS_REG0D8_VADDR                      	(0xb8028cd8)
#define  LG_M_PLUS_M_PLUS_REG0DC_VADDR                      	(0xb8028cdc)
#define  LG_M_PLUS_M_PLUS_REG0E0_VADDR                      	(0xb8028ce0)
#define  LG_M_PLUS_M_PLUS_REG0E4_VADDR                      	(0xb8028ce4)
#define  LG_M_PLUS_M_PLUS_REG0E8_VADDR                      	(0xb8028ce8)
#define  LG_M_PLUS_M_PLUS_REG0EC_VADDR                      	(0xb8028cec)
#define  LG_M_PLUS_M_PLUS_REG0F0_VADDR                      	(0xb8028cf0)
#define  LG_M_PLUS_M_PLUS_REG0F4_VADDR                      	(0xb8028cf4)
#define  LG_M_PLUS_M_PLUS_REG0F8_VADDR                      	(0xb8028cf8)
#define  LG_M_PLUS_M_PLUS_REG0FC_VADDR                      	(0xb8028cfc)
#define  LG_M_PLUS_M_PLUS_REG100_VADDR                      	(0xb8028d00)
#define  LG_M_PLUS_M_PLUS_REG104_VADDR                      	(0xb8028d04)
#define  LG_M_PLUS_M_PLUS_REG108_VADDR                      	(0xb8028d08)
#define  LG_M_PLUS_M_PLUS_REG10C_VADDR                      	(0xb8028d0c)
#define  LG_M_PLUS_M_PLUS_REG110_VADDR                      	(0xb8028d10)
#define  LG_M_PLUS_M_PLUS_REG114_VADDR                      	(0xb8028d14)
#define  LG_M_PLUS_M_PLUS_REG118_VADDR                      	(0xb8028d18)
#define  LG_M_PLUS_M_PLUS_REG11C_VADDR                      	(0xb8028d1c)
#define  LG_M_PLUS_M_PLUS_REG120_VADDR                      	(0xb8028d20)
#define  LG_M_PLUS_M_PLUS_REG124_VADDR                      	(0xb8028d24)
#define  LG_M_PLUS_M_PLUS_REG128_VADDR                      	(0xb8028d28)
#define  LG_M_PLUS_M_PLUS_REG12C_VADDR                      	(0xb8028d2c)
#define  LG_M_PLUS_M_PLUS_REG130_VADDR                      	(0xb8028d30)
#define  LG_M_PLUS_M_PLUS_REG134_VADDR                      	(0xb8028d34)
#define  LG_M_PLUS_M_PLUS_REG138_VADDR                      	(0xb8028d38)
#define  LG_M_PLUS_M_PLUS_REG13C_VADDR                      	(0xb8028d3c)
#define  LG_M_PLUS_M_PLUS_REG140_VADDR                      	(0xb8028d40)
#define  LG_M_PLUS_M_PLUS_REG144_VADDR                      	(0xb8028d44)
#define  LG_M_PLUS_M_PLUS_REG148_VADDR                      	(0xb8028d48)
#define  LG_M_PLUS_M_PLUS_REG14C_VADDR                      	(0xb8028d4c)
#define  LG_M_PLUS_M_PLUS_REG150_VADDR                      	(0xb8028d50)
#define  LG_M_PLUS_M_PLUS_REG154_VADDR                      	(0xb8028d54)
#define  LG_M_PLUS_M_PLUS_REG158_VADDR                      	(0xb8028d58)
#define  LG_M_PLUS_M_PLUS_REG15C_VADDR                      	(0xb8028d5c)
#define  LG_M_PLUS_M_PLUS_REG160_VADDR                      	(0xb8028d60)
#define  LG_M_PLUS_M_PLUS_REG164_VADDR                      	(0xb8028d64)
#define  LG_M_PLUS_M_PLUS_REG168_VADDR                      	(0xb8028d68)
#define  LG_M_PLUS_M_PLUS_REG16C_VADDR                      	(0xb8028d6c)
#define  LG_M_PLUS_M_PLUS_REG170_VADDR                      	(0xb8028d70)
#define  LG_M_PLUS_M_PLUS_REG174_VADDR                      	(0xb8028d74)
#define  LG_M_PLUS_M_PLUS_REG178_VADDR                      	(0xb8028d78)
#define  LG_M_PLUS_M_PLUS_REG17C_VADDR                      	(0xb8028d7c)
#define  LG_M_PLUS_M_PLUS_REG180_VADDR                      	(0xb8028d80)
#define  LG_M_PLUS_M_PLUS_REG184_VADDR                      	(0xb8028d84)
#define  LG_M_PLUS_M_PLUS_REG188_VADDR                      	(0xb8028d88)
#define  LG_M_PLUS_M_PLUS_REG18C_VADDR                      	(0xb8028d8c)
#define  LG_M_PLUS_M_PLUS_REG190_VADDR                      	(0xb8028d90)
#define  LG_M_PLUS_M_PLUS_REG194_VADDR                      	(0xb8028d94)
#define  LG_M_PLUS_M_PLUS_REG198_VADDR                      	(0xb8028d98)
#define  LG_M_PLUS_M_PLUS_REG19C_VADDR                      	(0xb8028d9c)
#define  LG_M_PLUS_M_PLUS_REG1A0_VADDR                      	(0xb8028da0)
#define  LG_M_PLUS_M_PLUS_REG1A4_VADDR                      	(0xb8028da4)
#define  LG_M_PLUS_M_PLUS_REG1A8_VADDR                      	(0xb8028da8)
#define  LG_M_PLUS_M_PLUS_REG1AC_VADDR                      	(0xb8028dac)
#define  LG_M_PLUS_M_PLUS_REG1B0_VADDR                      	(0xb8028db0)
#define  LG_M_PLUS_M_PLUS_REG1B4_VADDR                      	(0xb8028db4)
#define  LG_M_PLUS_M_PLUS_REG1B8_VADDR                      	(0xb8028db8)
#define  LG_M_PLUS_M_PLUS_REG1BC_VADDR                      	(0xb8028dbc)
#define  LG_M_PLUS_M_PLUS_REG1C0_VADDR                      	(0xb8028dc0)
#define  LG_M_PLUS_M_PLUS_REG1C4_VADDR                      	(0xb8028dc4)
#define  LG_M_PLUS_M_PLUS_REG1C8_VADDR                      	(0xb8028dc8)
#define  LG_M_PLUS_M_PLUS_REG1CC_VADDR                      	(0xb8028dcc)
#define  LG_M_PLUS_M_PLUS_REG1D0_VADDR                      	(0xb8028dd0)
#define  LG_M_PLUS_M_PLUS_REG1D4_VADDR                      	(0xb8028dd4)
#define  LG_M_PLUS_M_PLUS_REG1D8_VADDR                      	(0xb8028dd8)
#define  LG_M_PLUS_M_PLUS_REG1DC_VADDR                      	(0xb8028ddc)
#define  LG_M_PLUS_M_PLUS_REG1E0_VADDR                      	(0xb8028de0)
#define  LG_M_PLUS_M_PLUS_REG1E4_VADDR                      	(0xb8028de4)
#define  LG_M_PLUS_M_PLUS_REG1E8_VADDR                      	(0xb8028de8)
#define  LG_M_PLUS_M_PLUS_REG1EC_VADDR                      	(0xb8028dec)
#define  LG_M_PLUS_M_PLUS_REG1F0_VADDR                      	(0xb8028df0)
#define  LG_M_PLUS_M_PLUS_REG1F4_VADDR                      	(0xb8028df4)
#define  LG_M_PLUS_M_PLUS_REG1F8_VADDR                      	(0xb8028df8)
#define  LG_M_PLUS_M_PLUS_REG1FC_VADDR                      	(0xb8028dfc)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LG_M_PLUS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_on:1;
        RBus_UInt32  opc_on:1;
        RBus_UInt32  wse_on:1;
        RBus_UInt32  bypass_on:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  mode_sel:2;
        RBus_UInt32  h_resolution:12;
        RBus_UInt32  v_resolution:12;
    };
}lg_m_plus_m_plus_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028f04_31_3:29;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  auto_detect_en:1;
    };
}lg_m_plus_m_plus_timing_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty_force_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  dimming_duty_force_value:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  dimming_duty_gain:6;
        RBus_UInt32  dimming_duty_shift:8;
    };
}lg_m_plus_m_plus_dimming_duty_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_en:1;
        RBus_UInt32  dimming_duty_update:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  frame_cnt:8;
        RBus_UInt32  res2:3;
        RBus_UInt32  dimming_duty:13;
    };
}lg_m_plus_m_plus_dimming_duty_read_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  scene_change_force_en:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  scene_change_force_value:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  scene_change:1;
    };
}lg_m_plus_m_plus_scene_change_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_7:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  testrwm_7:1;
        RBus_UInt32  testrwm_6:1;
        RBus_UInt32  testrwm_5:1;
        RBus_UInt32  testrwm_4:1;
        RBus_UInt32  testrwm_3:1;
        RBus_UInt32  testrwm_2:1;
        RBus_UInt32  testrwm_1:1;
        RBus_UInt32  testrwm_0:1;
    };
}lg_m_plus_m_plus_tpsram1_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_7:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_0:4;
    };
}lg_m_plus_m_plus_tpsram1_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_11:1;
        RBus_UInt32  rme_10:1;
        RBus_UInt32  rme_9:1;
        RBus_UInt32  rme_8:1;
        RBus_UInt32  drf_bist_fail_11:1;
        RBus_UInt32  drf_bist_fail_10:1;
        RBus_UInt32  drf_bist_fail_9:1;
        RBus_UInt32  drf_bist_fail_8:1;
        RBus_UInt32  bist_fail_11:1;
        RBus_UInt32  bist_fail_10:1;
        RBus_UInt32  bist_fail_9:1;
        RBus_UInt32  bist_fail_8:1;
        RBus_UInt32  testrwm_11:1;
        RBus_UInt32  testrwm_10:1;
        RBus_UInt32  testrwm_9:1;
        RBus_UInt32  testrwm_8:1;
        RBus_UInt32  rm_11:4;
        RBus_UInt32  rm_10:4;
        RBus_UInt32  rm_9:4;
        RBus_UInt32  rm_8:4;
    };
}lg_m_plus_m_plus_tpsram1_bist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls:1;
        RBus_UInt32  rme_2_6:1;
        RBus_UInt32  rme_2_5:1;
        RBus_UInt32  rme_2_4:1;
        RBus_UInt32  rme_2_3:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_0:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  drf_bist_fail_2_6:1;
        RBus_UInt32  drf_bist_fail_2_5:1;
        RBus_UInt32  drf_bist_fail_2_4:1;
        RBus_UInt32  drf_bist_fail_2_3:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_0:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  bist_fail_2_6:1;
        RBus_UInt32  bist_fail_2_5:1;
        RBus_UInt32  bist_fail_2_4:1;
        RBus_UInt32  bist_fail_2_3:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_0:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  testrwm_2_6:1;
        RBus_UInt32  testrwm_2_5:1;
        RBus_UInt32  testrwm_2_4:1;
        RBus_UInt32  testrwm_2_3:1;
        RBus_UInt32  testrwm_2_2:1;
        RBus_UInt32  testrwm_2_1:1;
        RBus_UInt32  testrwm_2_0:1;
    };
}lg_m_plus_m_plus_tpsram2_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  rm_2_6:4;
        RBus_UInt32  rm_2_5:4;
        RBus_UInt32  rm_2_4:4;
        RBus_UInt32  rm_2_3:4;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_0:4;
    };
}lg_m_plus_m_plus_tpsram2_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  rme_3_5:1;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  drf_bist_fail_3_5:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  bist_fail_3_5:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_0:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  testrwm_3_5:1;
        RBus_UInt32  testrwm_3_4:1;
        RBus_UInt32  testrwm_3_3:1;
        RBus_UInt32  testrwm_3_2:1;
        RBus_UInt32  testrwm_3_1:1;
        RBus_UInt32  testrwm_3_0:1;
    };
}lg_m_plus_m_plus_tpsram3_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  rm_3_5:4;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_2:4;
        RBus_UInt32  rm_3_1:4;
        RBus_UInt32  rm_3_0:4;
    };
}lg_m_plus_m_plus_tpsram3_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_r2:1;
        RBus_UInt32  rme_g2:1;
        RBus_UInt32  rme_b2:1;
        RBus_UInt32  rme_r1:1;
        RBus_UInt32  rme_g1:1;
        RBus_UInt32  rme_b1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  rm_r2:4;
        RBus_UInt32  rm_g2:4;
        RBus_UInt32  rm_b2:4;
        RBus_UInt32  rm_r1:4;
        RBus_UInt32  rm_g1:4;
        RBus_UInt32  rm_b1:4;
    };
}lg_m_plus_m_plus_rom_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_2_r2:1;
        RBus_UInt32  rme_2_g2:1;
        RBus_UInt32  rme_2_b2:1;
        RBus_UInt32  rme_2_r1:1;
        RBus_UInt32  rme_2_g1:1;
        RBus_UInt32  rme_2_b1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  rm_2_r2:4;
        RBus_UInt32  rm_2_g2:4;
        RBus_UInt32  rm_2_b2:4;
        RBus_UInt32  rm_2_r1:4;
        RBus_UInt32  rm_2_g1:4;
        RBus_UInt32  rm_2_b1:4;
    };
}lg_m_plus_m_plus_rom_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg00:8;
        RBus_UInt32  wpr_reg01:8;
        RBus_UInt32  wpr_reg02:8;
        RBus_UInt32  wpr_reg03:8;
    };
}lg_m_plus_m_plus_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg04:8;
        RBus_UInt32  wpr_reg05:8;
        RBus_UInt32  wpr_reg06:8;
        RBus_UInt32  wpr_reg07:8;
    };
}lg_m_plus_m_plus_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg08:8;
        RBus_UInt32  wpr_reg09:8;
        RBus_UInt32  wpr_reg0a:8;
        RBus_UInt32  wpr_reg0b:8;
    };
}lg_m_plus_m_plus_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0c:8;
        RBus_UInt32  wpr_reg0d:8;
        RBus_UInt32  wpr_reg0e:8;
        RBus_UInt32  wpr_reg0f:8;
    };
}lg_m_plus_m_plus_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10:8;
        RBus_UInt32  wpr_reg11:8;
        RBus_UInt32  wpr_reg12:8;
        RBus_UInt32  wpr_reg13:8;
    };
}lg_m_plus_m_plus_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg14:8;
        RBus_UInt32  wpr_reg15:8;
        RBus_UInt32  wpr_reg16:8;
        RBus_UInt32  wpr_reg17:8;
    };
}lg_m_plus_m_plus_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg18:8;
        RBus_UInt32  wpr_reg19:8;
        RBus_UInt32  wpr_reg1a:8;
        RBus_UInt32  wpr_reg1b:8;
    };
}lg_m_plus_m_plus_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c:8;
        RBus_UInt32  wpr_reg1d:8;
        RBus_UInt32  wpr_reg1e:8;
        RBus_UInt32  wpr_reg1f:8;
    };
}lg_m_plus_m_plus_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg20:8;
        RBus_UInt32  wpr_reg21:8;
        RBus_UInt32  wpr_reg22:8;
        RBus_UInt32  wpr_reg23:8;
    };
}lg_m_plus_m_plus_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg24:8;
        RBus_UInt32  wpr_reg25:8;
        RBus_UInt32  wpr_reg26:8;
        RBus_UInt32  wpr_reg27:8;
    };
}lg_m_plus_m_plus_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg28:8;
        RBus_UInt32  wpr_reg29:8;
        RBus_UInt32  wpr_reg2a:8;
        RBus_UInt32  wpr_reg2b:8;
    };
}lg_m_plus_m_plus_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2c:8;
        RBus_UInt32  wpr_reg2d:8;
        RBus_UInt32  wpr_reg2e:8;
        RBus_UInt32  wpr_reg2f:8;
    };
}lg_m_plus_m_plus_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg30:8;
        RBus_UInt32  wpr_reg31:8;
        RBus_UInt32  wpr_reg32:8;
        RBus_UInt32  wpr_reg33:8;
    };
}lg_m_plus_m_plus_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg34:8;
        RBus_UInt32  wpr_reg35:8;
        RBus_UInt32  wpr_reg36:8;
        RBus_UInt32  wpr_reg37:8;
    };
}lg_m_plus_m_plus_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg38:8;
        RBus_UInt32  wpr_reg39:8;
        RBus_UInt32  wpr_reg3a:8;
        RBus_UInt32  wpr_reg3b:8;
    };
}lg_m_plus_m_plus_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3c:8;
        RBus_UInt32  wpr_reg3d:8;
        RBus_UInt32  wpr_reg3e:8;
        RBus_UInt32  wpr_reg3f:8;
    };
}lg_m_plus_m_plus_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg40:8;
        RBus_UInt32  wpr_reg41:8;
        RBus_UInt32  wpr_reg42:8;
        RBus_UInt32  wpr_reg43:8;
    };
}lg_m_plus_m_plus_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg44:8;
        RBus_UInt32  wpr_reg45:8;
        RBus_UInt32  wpr_reg46:8;
        RBus_UInt32  wpr_reg47:8;
    };
}lg_m_plus_m_plus_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg48:8;
        RBus_UInt32  wpr_reg49:8;
        RBus_UInt32  wpr_reg4a:8;
        RBus_UInt32  wpr_reg4b:8;
    };
}lg_m_plus_m_plus_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4c:8;
        RBus_UInt32  wpr_reg4d:8;
        RBus_UInt32  wpr_reg4e:8;
        RBus_UInt32  wpr_reg4f:8;
    };
}lg_m_plus_m_plus_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg50:8;
        RBus_UInt32  wpr_reg51:8;
        RBus_UInt32  wpr_reg52:8;
        RBus_UInt32  wpr_reg53:8;
    };
}lg_m_plus_m_plus_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg54:8;
        RBus_UInt32  wpr_reg55:8;
        RBus_UInt32  wpr_reg56:8;
        RBus_UInt32  wpr_reg57:8;
    };
}lg_m_plus_m_plus_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg58:8;
        RBus_UInt32  wpr_reg59:8;
        RBus_UInt32  wpr_reg5a:8;
        RBus_UInt32  wpr_reg5b:8;
    };
}lg_m_plus_m_plus_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5c:8;
        RBus_UInt32  wpr_reg5d:8;
        RBus_UInt32  wpr_reg5e:8;
        RBus_UInt32  wpr_reg5f:8;
    };
}lg_m_plus_m_plus_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg60:8;
        RBus_UInt32  wpr_reg61:8;
        RBus_UInt32  wpr_reg62:8;
        RBus_UInt32  wpr_reg63:8;
    };
}lg_m_plus_m_plus_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg64:8;
        RBus_UInt32  wpr_reg65:8;
        RBus_UInt32  wpr_reg66:8;
        RBus_UInt32  wpr_reg67:8;
    };
}lg_m_plus_m_plus_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg68:8;
        RBus_UInt32  wpr_reg69:8;
        RBus_UInt32  wpr_reg6a:8;
        RBus_UInt32  wpr_reg6b:8;
    };
}lg_m_plus_m_plus_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6c:8;
        RBus_UInt32  wpr_reg6d:8;
        RBus_UInt32  wpr_reg6e:8;
        RBus_UInt32  wpr_reg6f:8;
    };
}lg_m_plus_m_plus_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg70:8;
        RBus_UInt32  wpr_reg71:8;
        RBus_UInt32  wpr_reg72:8;
        RBus_UInt32  wpr_reg73:8;
    };
}lg_m_plus_m_plus_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg74:8;
        RBus_UInt32  wpr_reg75:8;
        RBus_UInt32  wpr_reg76:8;
        RBus_UInt32  wpr_reg77:8;
    };
}lg_m_plus_m_plus_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg78:8;
        RBus_UInt32  wpr_reg79:8;
        RBus_UInt32  wpr_reg7a:8;
        RBus_UInt32  wpr_reg7b:8;
    };
}lg_m_plus_m_plus_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7c:8;
        RBus_UInt32  wpr_reg7d:8;
        RBus_UInt32  wpr_reg7e:8;
        RBus_UInt32  wpr_reg7f:8;
    };
}lg_m_plus_m_plus_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg80:8;
        RBus_UInt32  wpr_reg81:8;
        RBus_UInt32  wpr_reg82:8;
        RBus_UInt32  wpr_reg83:8;
    };
}lg_m_plus_m_plus_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg84:8;
        RBus_UInt32  wpr_reg85:8;
        RBus_UInt32  wpr_reg86:8;
        RBus_UInt32  wpr_reg87:8;
    };
}lg_m_plus_m_plus_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg88:8;
        RBus_UInt32  wpr_reg89:8;
        RBus_UInt32  wpr_reg8a:8;
        RBus_UInt32  wpr_reg8b:8;
    };
}lg_m_plus_m_plus_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8c:8;
        RBus_UInt32  wpr_reg8d:8;
        RBus_UInt32  wpr_reg8e:8;
        RBus_UInt32  wpr_reg8f:8;
    };
}lg_m_plus_m_plus_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg90:8;
        RBus_UInt32  wpr_reg91:8;
        RBus_UInt32  wpr_reg92:8;
        RBus_UInt32  wpr_reg93:8;
    };
}lg_m_plus_m_plus_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg94:8;
        RBus_UInt32  wpr_reg95:8;
        RBus_UInt32  wpr_reg96:8;
        RBus_UInt32  wpr_reg97:8;
    };
}lg_m_plus_m_plus_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg98:8;
        RBus_UInt32  wpr_reg99:8;
        RBus_UInt32  wpr_reg9a:8;
        RBus_UInt32  wpr_reg9b:8;
    };
}lg_m_plus_m_plus_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9c:8;
        RBus_UInt32  wpr_reg9d:8;
        RBus_UInt32  wpr_reg9e:8;
        RBus_UInt32  wpr_reg9f:8;
    };
}lg_m_plus_m_plus_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega0:8;
        RBus_UInt32  wpr_rega1:8;
        RBus_UInt32  wpr_rega2:8;
        RBus_UInt32  wpr_rega3:8;
    };
}lg_m_plus_m_plus_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega4:8;
        RBus_UInt32  wpr_rega5:8;
        RBus_UInt32  wpr_rega6:8;
        RBus_UInt32  wpr_rega7:8;
    };
}lg_m_plus_m_plus_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega8:8;
        RBus_UInt32  wpr_rega9:8;
        RBus_UInt32  wpr_regaa:8;
        RBus_UInt32  wpr_regab:8;
    };
}lg_m_plus_m_plus_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regac:8;
        RBus_UInt32  wpr_regad:8;
        RBus_UInt32  wpr_regae:8;
        RBus_UInt32  wpr_regaf:8;
    };
}lg_m_plus_m_plus_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb0:8;
        RBus_UInt32  wpr_regb1:8;
        RBus_UInt32  wpr_regb2:8;
        RBus_UInt32  wpr_regb3:8;
    };
}lg_m_plus_m_plus_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb4:8;
        RBus_UInt32  wpr_regb5:8;
        RBus_UInt32  wpr_regb6:8;
        RBus_UInt32  wpr_regb7:8;
    };
}lg_m_plus_m_plus_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb8:8;
        RBus_UInt32  wpr_regb9:8;
        RBus_UInt32  wpr_regba:8;
        RBus_UInt32  wpr_regbb:8;
    };
}lg_m_plus_m_plus_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbc:8;
        RBus_UInt32  wpr_regbd:8;
        RBus_UInt32  wpr_regbe:8;
        RBus_UInt32  wpr_regbf:8;
    };
}lg_m_plus_m_plus_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc0:8;
        RBus_UInt32  wpr_regc1:8;
        RBus_UInt32  wpr_regc2:8;
        RBus_UInt32  wpr_regc3:8;
    };
}lg_m_plus_m_plus_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc4:8;
        RBus_UInt32  wpr_regc5:8;
        RBus_UInt32  wpr_regc6:8;
        RBus_UInt32  wpr_regc7:8;
    };
}lg_m_plus_m_plus_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc8:8;
        RBus_UInt32  wpr_regc9:8;
        RBus_UInt32  wpr_regca:8;
        RBus_UInt32  wpr_regcb:8;
    };
}lg_m_plus_m_plus_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcc:8;
        RBus_UInt32  wpr_regcd:8;
        RBus_UInt32  wpr_regce:8;
        RBus_UInt32  wpr_regcf:8;
    };
}lg_m_plus_m_plus_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd0:8;
        RBus_UInt32  wpr_regd1:8;
        RBus_UInt32  wpr_regd2:8;
        RBus_UInt32  wpr_regd3:8;
    };
}lg_m_plus_m_plus_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd4:8;
        RBus_UInt32  wpr_regd5:8;
        RBus_UInt32  wpr_regd6:8;
        RBus_UInt32  wpr_regd7:8;
    };
}lg_m_plus_m_plus_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd8:8;
        RBus_UInt32  wpr_regd9:8;
        RBus_UInt32  wpr_regda:8;
        RBus_UInt32  wpr_regdb:8;
    };
}lg_m_plus_m_plus_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdc:8;
        RBus_UInt32  wpr_regdd:8;
        RBus_UInt32  wpr_regde:8;
        RBus_UInt32  wpr_regdf:8;
    };
}lg_m_plus_m_plus_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege0:8;
        RBus_UInt32  wpr_rege1:8;
        RBus_UInt32  wpr_rege2:8;
        RBus_UInt32  wpr_rege3:8;
    };
}lg_m_plus_m_plus_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege4:8;
        RBus_UInt32  wpr_rege5:8;
        RBus_UInt32  wpr_rege6:8;
        RBus_UInt32  wpr_rege7:8;
    };
}lg_m_plus_m_plus_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege8:8;
        RBus_UInt32  wpr_rege9:8;
        RBus_UInt32  wpr_regea:8;
        RBus_UInt32  wpr_regeb:8;
    };
}lg_m_plus_m_plus_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regec:8;
        RBus_UInt32  wpr_reged:8;
        RBus_UInt32  wpr_regee:8;
        RBus_UInt32  wpr_regef:8;
    };
}lg_m_plus_m_plus_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf0:8;
        RBus_UInt32  wpr_regf1:8;
        RBus_UInt32  wpr_regf2:8;
        RBus_UInt32  wpr_regf3:8;
    };
}lg_m_plus_m_plus_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf4:8;
        RBus_UInt32  wpr_regf5:8;
        RBus_UInt32  wpr_regf6:8;
        RBus_UInt32  wpr_regf7:8;
    };
}lg_m_plus_m_plus_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf8:8;
        RBus_UInt32  wpr_regf9:8;
        RBus_UInt32  wpr_regfa:8;
        RBus_UInt32  wpr_regfb:8;
    };
}lg_m_plus_m_plus_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regfc:8;
        RBus_UInt32  wpr_regfd:8;
        RBus_UInt32  wpr_regfe:8;
        RBus_UInt32  wpr_regff:8;
    };
}lg_m_plus_m_plus_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg100:8;
        RBus_UInt32  wpr_reg101:8;
        RBus_UInt32  wpr_reg102:8;
        RBus_UInt32  wpr_reg103:8;
    };
}lg_m_plus_m_plus_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg104:8;
        RBus_UInt32  wpr_reg105:8;
        RBus_UInt32  wpr_reg106:8;
        RBus_UInt32  wpr_reg107:8;
    };
}lg_m_plus_m_plus_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg108:8;
        RBus_UInt32  wpr_reg109:8;
        RBus_UInt32  wpr_reg10a:8;
        RBus_UInt32  wpr_reg10b:8;
    };
}lg_m_plus_m_plus_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10c:8;
        RBus_UInt32  wpr_reg10d:8;
        RBus_UInt32  wpr_reg10e:8;
        RBus_UInt32  wpr_reg10f:8;
    };
}lg_m_plus_m_plus_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg110:8;
        RBus_UInt32  wpr_reg111:8;
        RBus_UInt32  wpr_reg112:8;
        RBus_UInt32  wpr_reg113:8;
    };
}lg_m_plus_m_plus_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg114:8;
        RBus_UInt32  wpr_reg115:8;
        RBus_UInt32  wpr_reg116:8;
        RBus_UInt32  wpr_reg117:8;
    };
}lg_m_plus_m_plus_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg118:8;
        RBus_UInt32  wpr_reg119:8;
        RBus_UInt32  wpr_reg11a:8;
        RBus_UInt32  wpr_reg11b:8;
    };
}lg_m_plus_m_plus_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11c:8;
        RBus_UInt32  wpr_reg11d:8;
        RBus_UInt32  wpr_reg11e:8;
        RBus_UInt32  wpr_reg11f:8;
    };
}lg_m_plus_m_plus_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg120:8;
        RBus_UInt32  wpr_reg121:8;
        RBus_UInt32  wpr_reg122:8;
        RBus_UInt32  wpr_reg123:8;
    };
}lg_m_plus_m_plus_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg124:8;
        RBus_UInt32  wpr_reg125:8;
        RBus_UInt32  wpr_reg126:8;
        RBus_UInt32  wpr_reg127:8;
    };
}lg_m_plus_m_plus_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg128:8;
        RBus_UInt32  wpr_reg129:8;
        RBus_UInt32  wpr_reg12a:8;
        RBus_UInt32  wpr_reg12b:8;
    };
}lg_m_plus_m_plus_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12c:8;
        RBus_UInt32  wpr_reg12d:8;
        RBus_UInt32  wpr_reg12e:8;
        RBus_UInt32  wpr_reg12f:8;
    };
}lg_m_plus_m_plus_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg130:8;
        RBus_UInt32  wpr_reg131:8;
        RBus_UInt32  wpr_reg132:8;
        RBus_UInt32  wpr_reg133:8;
    };
}lg_m_plus_m_plus_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg134:8;
        RBus_UInt32  wpr_reg135:8;
        RBus_UInt32  wpr_reg136:8;
        RBus_UInt32  wpr_reg137:8;
    };
}lg_m_plus_m_plus_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg138:8;
        RBus_UInt32  wpr_reg139:8;
        RBus_UInt32  wpr_reg13a:8;
        RBus_UInt32  wpr_reg13b:8;
    };
}lg_m_plus_m_plus_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg13c:8;
        RBus_UInt32  wpr_reg13d:8;
        RBus_UInt32  wpr_reg13e:8;
        RBus_UInt32  wpr_reg13f:8;
    };
}lg_m_plus_m_plus_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg140:8;
        RBus_UInt32  wpr_reg141:8;
        RBus_UInt32  wpr_reg142:8;
        RBus_UInt32  wpr_reg143:8;
    };
}lg_m_plus_m_plus_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg144:8;
        RBus_UInt32  wpr_reg145:8;
        RBus_UInt32  wpr_reg146:8;
        RBus_UInt32  wpr_reg147:8;
    };
}lg_m_plus_m_plus_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg148:8;
        RBus_UInt32  wpr_reg149:8;
        RBus_UInt32  wpr_reg14a:8;
        RBus_UInt32  wpr_reg14b:8;
    };
}lg_m_plus_m_plus_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg14c:8;
        RBus_UInt32  wpr_reg14d:8;
        RBus_UInt32  wpr_reg14e:8;
        RBus_UInt32  wpr_reg14f:8;
    };
}lg_m_plus_m_plus_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg150:8;
        RBus_UInt32  wpr_reg151:8;
        RBus_UInt32  wpr_reg152:8;
        RBus_UInt32  wpr_reg153:8;
    };
}lg_m_plus_m_plus_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg154:8;
        RBus_UInt32  wpr_reg155:8;
        RBus_UInt32  wpr_reg156:8;
        RBus_UInt32  wpr_reg157:8;
    };
}lg_m_plus_m_plus_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg158:8;
        RBus_UInt32  wpr_reg159:8;
        RBus_UInt32  wpr_reg15a:8;
        RBus_UInt32  wpr_reg15b:8;
    };
}lg_m_plus_m_plus_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg15c:8;
        RBus_UInt32  wpr_reg15d:8;
        RBus_UInt32  wpr_reg15e:8;
        RBus_UInt32  wpr_reg15f:8;
    };
}lg_m_plus_m_plus_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg160:8;
        RBus_UInt32  wpr_reg161:8;
        RBus_UInt32  wpr_reg162:8;
        RBus_UInt32  wpr_reg163:8;
    };
}lg_m_plus_m_plus_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg164:8;
        RBus_UInt32  wpr_reg165:8;
        RBus_UInt32  wpr_reg166:8;
        RBus_UInt32  wpr_reg167:8;
    };
}lg_m_plus_m_plus_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg168:8;
        RBus_UInt32  wpr_reg169:8;
        RBus_UInt32  wpr_reg16a:8;
        RBus_UInt32  wpr_reg16b:8;
    };
}lg_m_plus_m_plus_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg16c:8;
        RBus_UInt32  wpr_reg16d:8;
        RBus_UInt32  wpr_reg16e:8;
        RBus_UInt32  wpr_reg16f:8;
    };
}lg_m_plus_m_plus_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg170:8;
        RBus_UInt32  wpr_reg171:8;
        RBus_UInt32  wpr_reg172:8;
        RBus_UInt32  wpr_reg173:8;
    };
}lg_m_plus_m_plus_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg174:8;
        RBus_UInt32  wpr_reg175:8;
        RBus_UInt32  wpr_reg176:8;
        RBus_UInt32  wpr_reg177:8;
    };
}lg_m_plus_m_plus_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg178:8;
        RBus_UInt32  wpr_reg179:8;
        RBus_UInt32  wpr_reg17a:8;
        RBus_UInt32  wpr_reg17b:8;
    };
}lg_m_plus_m_plus_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg17c:8;
        RBus_UInt32  wpr_reg17d:8;
        RBus_UInt32  wpr_reg17e:8;
        RBus_UInt32  wpr_reg17f:8;
    };
}lg_m_plus_m_plus_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg180:8;
        RBus_UInt32  wpr_reg181:8;
        RBus_UInt32  wpr_reg182:8;
        RBus_UInt32  wpr_reg183:8;
    };
}lg_m_plus_m_plus_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg184:8;
        RBus_UInt32  wpr_reg185:8;
        RBus_UInt32  wpr_reg186:8;
        RBus_UInt32  wpr_reg187:8;
    };
}lg_m_plus_m_plus_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg188:8;
        RBus_UInt32  wpr_reg189:8;
        RBus_UInt32  wpr_reg18a:8;
        RBus_UInt32  wpr_reg18b:8;
    };
}lg_m_plus_m_plus_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg18c:8;
        RBus_UInt32  wpr_reg18d:8;
        RBus_UInt32  wpr_reg18e:8;
        RBus_UInt32  wpr_reg18f:8;
    };
}lg_m_plus_m_plus_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg190:8;
        RBus_UInt32  wpr_reg191:8;
        RBus_UInt32  wpr_reg192:8;
        RBus_UInt32  wpr_reg193:8;
    };
}lg_m_plus_m_plus_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg194:8;
        RBus_UInt32  wpr_reg195:8;
        RBus_UInt32  wpr_reg196:8;
        RBus_UInt32  wpr_reg197:8;
    };
}lg_m_plus_m_plus_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg198:8;
        RBus_UInt32  wpr_reg199:8;
        RBus_UInt32  wpr_reg19a:8;
        RBus_UInt32  wpr_reg19b:8;
    };
}lg_m_plus_m_plus_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg19c:8;
        RBus_UInt32  wpr_reg19d:8;
        RBus_UInt32  wpr_reg19e:8;
        RBus_UInt32  wpr_reg19f:8;
    };
}lg_m_plus_m_plus_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1a0:8;
        RBus_UInt32  wpr_reg1a1:8;
        RBus_UInt32  wpr_reg1a2:8;
        RBus_UInt32  wpr_reg1a3:8;
    };
}lg_m_plus_m_plus_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1a4:8;
        RBus_UInt32  wpr_reg1a5:8;
        RBus_UInt32  wpr_reg1a6:8;
        RBus_UInt32  wpr_reg1a7:8;
    };
}lg_m_plus_m_plus_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1a8:8;
        RBus_UInt32  wpr_reg1a9:8;
        RBus_UInt32  wpr_reg1aa:8;
        RBus_UInt32  wpr_reg1ab:8;
    };
}lg_m_plus_m_plus_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1ac:8;
        RBus_UInt32  wpr_reg1ad:8;
        RBus_UInt32  wpr_reg1ae:8;
        RBus_UInt32  wpr_reg1af:8;
    };
}lg_m_plus_m_plus_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b0:8;
        RBus_UInt32  wpr_reg1b1:8;
        RBus_UInt32  wpr_reg1b2:8;
        RBus_UInt32  wpr_reg1b3:8;
    };
}lg_m_plus_m_plus_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b4:8;
        RBus_UInt32  wpr_reg1b5:8;
        RBus_UInt32  wpr_reg1b6:8;
        RBus_UInt32  wpr_reg1b7:8;
    };
}lg_m_plus_m_plus_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b8:8;
        RBus_UInt32  wpr_reg1b9:8;
        RBus_UInt32  wpr_reg1ba:8;
        RBus_UInt32  wpr_reg1bb:8;
    };
}lg_m_plus_m_plus_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1bc:8;
        RBus_UInt32  wpr_reg1bd:8;
        RBus_UInt32  wpr_reg1be:8;
        RBus_UInt32  wpr_reg1bf:8;
    };
}lg_m_plus_m_plus_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c0:8;
        RBus_UInt32  wpr_reg1c1:8;
        RBus_UInt32  wpr_reg1c2:8;
        RBus_UInt32  wpr_reg1c3:8;
    };
}lg_m_plus_m_plus_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c4:8;
        RBus_UInt32  wpr_reg1c5:8;
        RBus_UInt32  wpr_reg1c6:8;
        RBus_UInt32  wpr_reg1c7:8;
    };
}lg_m_plus_m_plus_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c8:8;
        RBus_UInt32  wpr_reg1c9:8;
        RBus_UInt32  wpr_reg1ca:8;
        RBus_UInt32  wpr_reg1cb:8;
    };
}lg_m_plus_m_plus_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1cc:8;
        RBus_UInt32  wpr_reg1cd:8;
        RBus_UInt32  wpr_reg1ce:8;
        RBus_UInt32  wpr_reg1cf:8;
    };
}lg_m_plus_m_plus_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1d0:8;
        RBus_UInt32  wpr_reg1d1:8;
        RBus_UInt32  wpr_reg1d2:8;
        RBus_UInt32  wpr_reg1d3:8;
    };
}lg_m_plus_m_plus_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1d4:8;
        RBus_UInt32  wpr_reg1d5:8;
        RBus_UInt32  wpr_reg1d6:8;
        RBus_UInt32  wpr_reg1d7:8;
    };
}lg_m_plus_m_plus_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1d8:8;
        RBus_UInt32  wpr_reg1d9:8;
        RBus_UInt32  wpr_reg1da:8;
        RBus_UInt32  wpr_reg1db:8;
    };
}lg_m_plus_m_plus_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1dc:8;
        RBus_UInt32  wpr_reg1dd:8;
        RBus_UInt32  wpr_reg1de:8;
        RBus_UInt32  wpr_reg1df:8;
    };
}lg_m_plus_m_plus_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1e0:8;
        RBus_UInt32  wpr_reg1e1:8;
        RBus_UInt32  wpr_reg1e2:8;
        RBus_UInt32  wpr_reg1e3:8;
    };
}lg_m_plus_m_plus_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1e4:8;
        RBus_UInt32  wpr_reg1e5:8;
        RBus_UInt32  wpr_reg1e6:8;
        RBus_UInt32  wpr_reg1e7:8;
    };
}lg_m_plus_m_plus_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1e8:8;
        RBus_UInt32  wpr_reg1e9:8;
        RBus_UInt32  wpr_reg1ea:8;
        RBus_UInt32  wpr_reg1eb:8;
    };
}lg_m_plus_m_plus_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1ec:8;
        RBus_UInt32  wpr_reg1ed:8;
        RBus_UInt32  wpr_reg1ee:8;
        RBus_UInt32  wpr_reg1ef:8;
    };
}lg_m_plus_m_plus_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f0:8;
        RBus_UInt32  wpr_reg1f1:8;
        RBus_UInt32  wpr_reg1f2:8;
        RBus_UInt32  wpr_reg1f3:8;
    };
}lg_m_plus_m_plus_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f4:8;
        RBus_UInt32  wpr_reg1f5:8;
        RBus_UInt32  wpr_reg1f6:8;
        RBus_UInt32  wpr_reg1f7:8;
    };
}lg_m_plus_m_plus_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f8:8;
        RBus_UInt32  wpr_reg1f9:8;
        RBus_UInt32  wpr_reg1fa:8;
        RBus_UInt32  wpr_reg1fb:8;
    };
}lg_m_plus_m_plus_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1fc:8;
        RBus_UInt32  wpr_reg1fd:8;
        RBus_UInt32  wpr_reg1fe:8;
        RBus_UInt32  wpr_reg1ff:8;
    };
}lg_m_plus_m_plus_reg1fc_RBUS;

#else //apply LITTLE_ENDIAN

//======LG_M_PLUS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_resolution:12;
        RBus_UInt32  h_resolution:12;
        RBus_UInt32  mode_sel:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  bypass_on:1;
        RBus_UInt32  wse_on:1;
        RBus_UInt32  opc_on:1;
        RBus_UInt32  wpr_on:1;
    };
}lg_m_plus_m_plus_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  dummy18028f04_31_3:29;
    };
}lg_m_plus_m_plus_timing_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty_shift:8;
        RBus_UInt32  dimming_duty_gain:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  dimming_duty_force_value:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  dimming_duty_force_en:1;
    };
}lg_m_plus_m_plus_dimming_duty_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  frame_cnt:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  dimming_duty_update:1;
        RBus_UInt32  irq_en:1;
    };
}lg_m_plus_m_plus_dimming_duty_read_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  scene_change:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  scene_change_force_value:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  scene_change_force_en:1;
    };
}lg_m_plus_m_plus_scene_change_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  testrwm_0:1;
        RBus_UInt32  testrwm_1:1;
        RBus_UInt32  testrwm_2:1;
        RBus_UInt32  testrwm_3:1;
        RBus_UInt32  testrwm_4:1;
        RBus_UInt32  testrwm_5:1;
        RBus_UInt32  testrwm_6:1;
        RBus_UInt32  testrwm_7:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  rme_7:1;
    };
}lg_m_plus_m_plus_tpsram1_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_7:4;
    };
}lg_m_plus_m_plus_tpsram1_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_8:4;
        RBus_UInt32  rm_9:4;
        RBus_UInt32  rm_10:4;
        RBus_UInt32  rm_11:4;
        RBus_UInt32  testrwm_8:1;
        RBus_UInt32  testrwm_9:1;
        RBus_UInt32  testrwm_10:1;
        RBus_UInt32  testrwm_11:1;
        RBus_UInt32  bist_fail_8:1;
        RBus_UInt32  bist_fail_9:1;
        RBus_UInt32  bist_fail_10:1;
        RBus_UInt32  bist_fail_11:1;
        RBus_UInt32  drf_bist_fail_8:1;
        RBus_UInt32  drf_bist_fail_9:1;
        RBus_UInt32  drf_bist_fail_10:1;
        RBus_UInt32  drf_bist_fail_11:1;
        RBus_UInt32  rme_8:1;
        RBus_UInt32  rme_9:1;
        RBus_UInt32  rme_10:1;
        RBus_UInt32  rme_11:1;
    };
}lg_m_plus_m_plus_tpsram1_bist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  testrwm_2_0:1;
        RBus_UInt32  testrwm_2_1:1;
        RBus_UInt32  testrwm_2_2:1;
        RBus_UInt32  testrwm_2_3:1;
        RBus_UInt32  testrwm_2_4:1;
        RBus_UInt32  testrwm_2_5:1;
        RBus_UInt32  testrwm_2_6:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  bist_fail_2_0:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  bist_fail_2_3:1;
        RBus_UInt32  bist_fail_2_4:1;
        RBus_UInt32  bist_fail_2_5:1;
        RBus_UInt32  bist_fail_2_6:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  drf_bist_fail_2_0:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_3:1;
        RBus_UInt32  drf_bist_fail_2_4:1;
        RBus_UInt32  drf_bist_fail_2_5:1;
        RBus_UInt32  drf_bist_fail_2_6:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  rme_2_0:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  rme_2_3:1;
        RBus_UInt32  rme_2_4:1;
        RBus_UInt32  rme_2_5:1;
        RBus_UInt32  rme_2_6:1;
        RBus_UInt32  ls:1;
    };
}lg_m_plus_m_plus_tpsram2_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_0:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  rm_2_3:4;
        RBus_UInt32  rm_2_4:4;
        RBus_UInt32  rm_2_5:4;
        RBus_UInt32  rm_2_6:4;
        RBus_UInt32  res1:4;
    };
}lg_m_plus_m_plus_tpsram2_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  testrwm_3_0:1;
        RBus_UInt32  testrwm_3_1:1;
        RBus_UInt32  testrwm_3_2:1;
        RBus_UInt32  testrwm_3_3:1;
        RBus_UInt32  testrwm_3_4:1;
        RBus_UInt32  testrwm_3_5:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  bist_fail_3_0:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  bist_fail_3_5:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_5:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  rme_3_5:1;
        RBus_UInt32  res4:2;
    };
}lg_m_plus_m_plus_tpsram3_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_3_0:4;
        RBus_UInt32  rm_3_1:4;
        RBus_UInt32  rm_3_2:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  rm_3_5:4;
        RBus_UInt32  res1:8;
    };
}lg_m_plus_m_plus_tpsram3_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_b1:4;
        RBus_UInt32  rm_g1:4;
        RBus_UInt32  rm_r1:4;
        RBus_UInt32  rm_b2:4;
        RBus_UInt32  rm_g2:4;
        RBus_UInt32  rm_r2:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_b1:1;
        RBus_UInt32  rme_g1:1;
        RBus_UInt32  rme_r1:1;
        RBus_UInt32  rme_b2:1;
        RBus_UInt32  rme_g2:1;
        RBus_UInt32  rme_r2:1;
        RBus_UInt32  res2:1;
    };
}lg_m_plus_m_plus_rom_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_b1:4;
        RBus_UInt32  rm_2_g1:4;
        RBus_UInt32  rm_2_r1:4;
        RBus_UInt32  rm_2_b2:4;
        RBus_UInt32  rm_2_g2:4;
        RBus_UInt32  rm_2_r2:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_2_b1:1;
        RBus_UInt32  rme_2_g1:1;
        RBus_UInt32  rme_2_r1:1;
        RBus_UInt32  rme_2_b2:1;
        RBus_UInt32  rme_2_g2:1;
        RBus_UInt32  rme_2_r2:1;
        RBus_UInt32  res2:1;
    };
}lg_m_plus_m_plus_rom_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg03:8;
        RBus_UInt32  wpr_reg02:8;
        RBus_UInt32  wpr_reg01:8;
        RBus_UInt32  wpr_reg00:8;
    };
}lg_m_plus_m_plus_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg07:8;
        RBus_UInt32  wpr_reg06:8;
        RBus_UInt32  wpr_reg05:8;
        RBus_UInt32  wpr_reg04:8;
    };
}lg_m_plus_m_plus_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0b:8;
        RBus_UInt32  wpr_reg0a:8;
        RBus_UInt32  wpr_reg09:8;
        RBus_UInt32  wpr_reg08:8;
    };
}lg_m_plus_m_plus_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0f:8;
        RBus_UInt32  wpr_reg0e:8;
        RBus_UInt32  wpr_reg0d:8;
        RBus_UInt32  wpr_reg0c:8;
    };
}lg_m_plus_m_plus_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg13:8;
        RBus_UInt32  wpr_reg12:8;
        RBus_UInt32  wpr_reg11:8;
        RBus_UInt32  wpr_reg10:8;
    };
}lg_m_plus_m_plus_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg17:8;
        RBus_UInt32  wpr_reg16:8;
        RBus_UInt32  wpr_reg15:8;
        RBus_UInt32  wpr_reg14:8;
    };
}lg_m_plus_m_plus_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b:8;
        RBus_UInt32  wpr_reg1a:8;
        RBus_UInt32  wpr_reg19:8;
        RBus_UInt32  wpr_reg18:8;
    };
}lg_m_plus_m_plus_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f:8;
        RBus_UInt32  wpr_reg1e:8;
        RBus_UInt32  wpr_reg1d:8;
        RBus_UInt32  wpr_reg1c:8;
    };
}lg_m_plus_m_plus_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg23:8;
        RBus_UInt32  wpr_reg22:8;
        RBus_UInt32  wpr_reg21:8;
        RBus_UInt32  wpr_reg20:8;
    };
}lg_m_plus_m_plus_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg27:8;
        RBus_UInt32  wpr_reg26:8;
        RBus_UInt32  wpr_reg25:8;
        RBus_UInt32  wpr_reg24:8;
    };
}lg_m_plus_m_plus_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2b:8;
        RBus_UInt32  wpr_reg2a:8;
        RBus_UInt32  wpr_reg29:8;
        RBus_UInt32  wpr_reg28:8;
    };
}lg_m_plus_m_plus_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2f:8;
        RBus_UInt32  wpr_reg2e:8;
        RBus_UInt32  wpr_reg2d:8;
        RBus_UInt32  wpr_reg2c:8;
    };
}lg_m_plus_m_plus_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg33:8;
        RBus_UInt32  wpr_reg32:8;
        RBus_UInt32  wpr_reg31:8;
        RBus_UInt32  wpr_reg30:8;
    };
}lg_m_plus_m_plus_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg37:8;
        RBus_UInt32  wpr_reg36:8;
        RBus_UInt32  wpr_reg35:8;
        RBus_UInt32  wpr_reg34:8;
    };
}lg_m_plus_m_plus_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3b:8;
        RBus_UInt32  wpr_reg3a:8;
        RBus_UInt32  wpr_reg39:8;
        RBus_UInt32  wpr_reg38:8;
    };
}lg_m_plus_m_plus_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3f:8;
        RBus_UInt32  wpr_reg3e:8;
        RBus_UInt32  wpr_reg3d:8;
        RBus_UInt32  wpr_reg3c:8;
    };
}lg_m_plus_m_plus_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg43:8;
        RBus_UInt32  wpr_reg42:8;
        RBus_UInt32  wpr_reg41:8;
        RBus_UInt32  wpr_reg40:8;
    };
}lg_m_plus_m_plus_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg47:8;
        RBus_UInt32  wpr_reg46:8;
        RBus_UInt32  wpr_reg45:8;
        RBus_UInt32  wpr_reg44:8;
    };
}lg_m_plus_m_plus_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4b:8;
        RBus_UInt32  wpr_reg4a:8;
        RBus_UInt32  wpr_reg49:8;
        RBus_UInt32  wpr_reg48:8;
    };
}lg_m_plus_m_plus_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4f:8;
        RBus_UInt32  wpr_reg4e:8;
        RBus_UInt32  wpr_reg4d:8;
        RBus_UInt32  wpr_reg4c:8;
    };
}lg_m_plus_m_plus_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg53:8;
        RBus_UInt32  wpr_reg52:8;
        RBus_UInt32  wpr_reg51:8;
        RBus_UInt32  wpr_reg50:8;
    };
}lg_m_plus_m_plus_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg57:8;
        RBus_UInt32  wpr_reg56:8;
        RBus_UInt32  wpr_reg55:8;
        RBus_UInt32  wpr_reg54:8;
    };
}lg_m_plus_m_plus_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5b:8;
        RBus_UInt32  wpr_reg5a:8;
        RBus_UInt32  wpr_reg59:8;
        RBus_UInt32  wpr_reg58:8;
    };
}lg_m_plus_m_plus_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5f:8;
        RBus_UInt32  wpr_reg5e:8;
        RBus_UInt32  wpr_reg5d:8;
        RBus_UInt32  wpr_reg5c:8;
    };
}lg_m_plus_m_plus_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg63:8;
        RBus_UInt32  wpr_reg62:8;
        RBus_UInt32  wpr_reg61:8;
        RBus_UInt32  wpr_reg60:8;
    };
}lg_m_plus_m_plus_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg67:8;
        RBus_UInt32  wpr_reg66:8;
        RBus_UInt32  wpr_reg65:8;
        RBus_UInt32  wpr_reg64:8;
    };
}lg_m_plus_m_plus_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6b:8;
        RBus_UInt32  wpr_reg6a:8;
        RBus_UInt32  wpr_reg69:8;
        RBus_UInt32  wpr_reg68:8;
    };
}lg_m_plus_m_plus_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6f:8;
        RBus_UInt32  wpr_reg6e:8;
        RBus_UInt32  wpr_reg6d:8;
        RBus_UInt32  wpr_reg6c:8;
    };
}lg_m_plus_m_plus_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg73:8;
        RBus_UInt32  wpr_reg72:8;
        RBus_UInt32  wpr_reg71:8;
        RBus_UInt32  wpr_reg70:8;
    };
}lg_m_plus_m_plus_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg77:8;
        RBus_UInt32  wpr_reg76:8;
        RBus_UInt32  wpr_reg75:8;
        RBus_UInt32  wpr_reg74:8;
    };
}lg_m_plus_m_plus_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7b:8;
        RBus_UInt32  wpr_reg7a:8;
        RBus_UInt32  wpr_reg79:8;
        RBus_UInt32  wpr_reg78:8;
    };
}lg_m_plus_m_plus_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7f:8;
        RBus_UInt32  wpr_reg7e:8;
        RBus_UInt32  wpr_reg7d:8;
        RBus_UInt32  wpr_reg7c:8;
    };
}lg_m_plus_m_plus_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg83:8;
        RBus_UInt32  wpr_reg82:8;
        RBus_UInt32  wpr_reg81:8;
        RBus_UInt32  wpr_reg80:8;
    };
}lg_m_plus_m_plus_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg87:8;
        RBus_UInt32  wpr_reg86:8;
        RBus_UInt32  wpr_reg85:8;
        RBus_UInt32  wpr_reg84:8;
    };
}lg_m_plus_m_plus_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8b:8;
        RBus_UInt32  wpr_reg8a:8;
        RBus_UInt32  wpr_reg89:8;
        RBus_UInt32  wpr_reg88:8;
    };
}lg_m_plus_m_plus_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8f:8;
        RBus_UInt32  wpr_reg8e:8;
        RBus_UInt32  wpr_reg8d:8;
        RBus_UInt32  wpr_reg8c:8;
    };
}lg_m_plus_m_plus_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg93:8;
        RBus_UInt32  wpr_reg92:8;
        RBus_UInt32  wpr_reg91:8;
        RBus_UInt32  wpr_reg90:8;
    };
}lg_m_plus_m_plus_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg97:8;
        RBus_UInt32  wpr_reg96:8;
        RBus_UInt32  wpr_reg95:8;
        RBus_UInt32  wpr_reg94:8;
    };
}lg_m_plus_m_plus_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9b:8;
        RBus_UInt32  wpr_reg9a:8;
        RBus_UInt32  wpr_reg99:8;
        RBus_UInt32  wpr_reg98:8;
    };
}lg_m_plus_m_plus_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9f:8;
        RBus_UInt32  wpr_reg9e:8;
        RBus_UInt32  wpr_reg9d:8;
        RBus_UInt32  wpr_reg9c:8;
    };
}lg_m_plus_m_plus_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega3:8;
        RBus_UInt32  wpr_rega2:8;
        RBus_UInt32  wpr_rega1:8;
        RBus_UInt32  wpr_rega0:8;
    };
}lg_m_plus_m_plus_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega7:8;
        RBus_UInt32  wpr_rega6:8;
        RBus_UInt32  wpr_rega5:8;
        RBus_UInt32  wpr_rega4:8;
    };
}lg_m_plus_m_plus_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regab:8;
        RBus_UInt32  wpr_regaa:8;
        RBus_UInt32  wpr_rega9:8;
        RBus_UInt32  wpr_rega8:8;
    };
}lg_m_plus_m_plus_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regaf:8;
        RBus_UInt32  wpr_regae:8;
        RBus_UInt32  wpr_regad:8;
        RBus_UInt32  wpr_regac:8;
    };
}lg_m_plus_m_plus_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb3:8;
        RBus_UInt32  wpr_regb2:8;
        RBus_UInt32  wpr_regb1:8;
        RBus_UInt32  wpr_regb0:8;
    };
}lg_m_plus_m_plus_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb7:8;
        RBus_UInt32  wpr_regb6:8;
        RBus_UInt32  wpr_regb5:8;
        RBus_UInt32  wpr_regb4:8;
    };
}lg_m_plus_m_plus_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbb:8;
        RBus_UInt32  wpr_regba:8;
        RBus_UInt32  wpr_regb9:8;
        RBus_UInt32  wpr_regb8:8;
    };
}lg_m_plus_m_plus_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbf:8;
        RBus_UInt32  wpr_regbe:8;
        RBus_UInt32  wpr_regbd:8;
        RBus_UInt32  wpr_regbc:8;
    };
}lg_m_plus_m_plus_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc3:8;
        RBus_UInt32  wpr_regc2:8;
        RBus_UInt32  wpr_regc1:8;
        RBus_UInt32  wpr_regc0:8;
    };
}lg_m_plus_m_plus_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc7:8;
        RBus_UInt32  wpr_regc6:8;
        RBus_UInt32  wpr_regc5:8;
        RBus_UInt32  wpr_regc4:8;
    };
}lg_m_plus_m_plus_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcb:8;
        RBus_UInt32  wpr_regca:8;
        RBus_UInt32  wpr_regc9:8;
        RBus_UInt32  wpr_regc8:8;
    };
}lg_m_plus_m_plus_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcf:8;
        RBus_UInt32  wpr_regce:8;
        RBus_UInt32  wpr_regcd:8;
        RBus_UInt32  wpr_regcc:8;
    };
}lg_m_plus_m_plus_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd3:8;
        RBus_UInt32  wpr_regd2:8;
        RBus_UInt32  wpr_regd1:8;
        RBus_UInt32  wpr_regd0:8;
    };
}lg_m_plus_m_plus_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd7:8;
        RBus_UInt32  wpr_regd6:8;
        RBus_UInt32  wpr_regd5:8;
        RBus_UInt32  wpr_regd4:8;
    };
}lg_m_plus_m_plus_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdb:8;
        RBus_UInt32  wpr_regda:8;
        RBus_UInt32  wpr_regd9:8;
        RBus_UInt32  wpr_regd8:8;
    };
}lg_m_plus_m_plus_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdf:8;
        RBus_UInt32  wpr_regde:8;
        RBus_UInt32  wpr_regdd:8;
        RBus_UInt32  wpr_regdc:8;
    };
}lg_m_plus_m_plus_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege3:8;
        RBus_UInt32  wpr_rege2:8;
        RBus_UInt32  wpr_rege1:8;
        RBus_UInt32  wpr_rege0:8;
    };
}lg_m_plus_m_plus_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege7:8;
        RBus_UInt32  wpr_rege6:8;
        RBus_UInt32  wpr_rege5:8;
        RBus_UInt32  wpr_rege4:8;
    };
}lg_m_plus_m_plus_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regeb:8;
        RBus_UInt32  wpr_regea:8;
        RBus_UInt32  wpr_rege9:8;
        RBus_UInt32  wpr_rege8:8;
    };
}lg_m_plus_m_plus_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regef:8;
        RBus_UInt32  wpr_regee:8;
        RBus_UInt32  wpr_reged:8;
        RBus_UInt32  wpr_regec:8;
    };
}lg_m_plus_m_plus_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf3:8;
        RBus_UInt32  wpr_regf2:8;
        RBus_UInt32  wpr_regf1:8;
        RBus_UInt32  wpr_regf0:8;
    };
}lg_m_plus_m_plus_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf7:8;
        RBus_UInt32  wpr_regf6:8;
        RBus_UInt32  wpr_regf5:8;
        RBus_UInt32  wpr_regf4:8;
    };
}lg_m_plus_m_plus_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regfb:8;
        RBus_UInt32  wpr_regfa:8;
        RBus_UInt32  wpr_regf9:8;
        RBus_UInt32  wpr_regf8:8;
    };
}lg_m_plus_m_plus_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regff:8;
        RBus_UInt32  wpr_regfe:8;
        RBus_UInt32  wpr_regfd:8;
        RBus_UInt32  wpr_regfc:8;
    };
}lg_m_plus_m_plus_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg103:8;
        RBus_UInt32  wpr_reg102:8;
        RBus_UInt32  wpr_reg101:8;
        RBus_UInt32  wpr_reg100:8;
    };
}lg_m_plus_m_plus_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg107:8;
        RBus_UInt32  wpr_reg106:8;
        RBus_UInt32  wpr_reg105:8;
        RBus_UInt32  wpr_reg104:8;
    };
}lg_m_plus_m_plus_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10b:8;
        RBus_UInt32  wpr_reg10a:8;
        RBus_UInt32  wpr_reg109:8;
        RBus_UInt32  wpr_reg108:8;
    };
}lg_m_plus_m_plus_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10f:8;
        RBus_UInt32  wpr_reg10e:8;
        RBus_UInt32  wpr_reg10d:8;
        RBus_UInt32  wpr_reg10c:8;
    };
}lg_m_plus_m_plus_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg113:8;
        RBus_UInt32  wpr_reg112:8;
        RBus_UInt32  wpr_reg111:8;
        RBus_UInt32  wpr_reg110:8;
    };
}lg_m_plus_m_plus_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg117:8;
        RBus_UInt32  wpr_reg116:8;
        RBus_UInt32  wpr_reg115:8;
        RBus_UInt32  wpr_reg114:8;
    };
}lg_m_plus_m_plus_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11b:8;
        RBus_UInt32  wpr_reg11a:8;
        RBus_UInt32  wpr_reg119:8;
        RBus_UInt32  wpr_reg118:8;
    };
}lg_m_plus_m_plus_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11f:8;
        RBus_UInt32  wpr_reg11e:8;
        RBus_UInt32  wpr_reg11d:8;
        RBus_UInt32  wpr_reg11c:8;
    };
}lg_m_plus_m_plus_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg123:8;
        RBus_UInt32  wpr_reg122:8;
        RBus_UInt32  wpr_reg121:8;
        RBus_UInt32  wpr_reg120:8;
    };
}lg_m_plus_m_plus_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg127:8;
        RBus_UInt32  wpr_reg126:8;
        RBus_UInt32  wpr_reg125:8;
        RBus_UInt32  wpr_reg124:8;
    };
}lg_m_plus_m_plus_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12b:8;
        RBus_UInt32  wpr_reg12a:8;
        RBus_UInt32  wpr_reg129:8;
        RBus_UInt32  wpr_reg128:8;
    };
}lg_m_plus_m_plus_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12f:8;
        RBus_UInt32  wpr_reg12e:8;
        RBus_UInt32  wpr_reg12d:8;
        RBus_UInt32  wpr_reg12c:8;
    };
}lg_m_plus_m_plus_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg133:8;
        RBus_UInt32  wpr_reg132:8;
        RBus_UInt32  wpr_reg131:8;
        RBus_UInt32  wpr_reg130:8;
    };
}lg_m_plus_m_plus_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg137:8;
        RBus_UInt32  wpr_reg136:8;
        RBus_UInt32  wpr_reg135:8;
        RBus_UInt32  wpr_reg134:8;
    };
}lg_m_plus_m_plus_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg13b:8;
        RBus_UInt32  wpr_reg13a:8;
        RBus_UInt32  wpr_reg139:8;
        RBus_UInt32  wpr_reg138:8;
    };
}lg_m_plus_m_plus_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg13f:8;
        RBus_UInt32  wpr_reg13e:8;
        RBus_UInt32  wpr_reg13d:8;
        RBus_UInt32  wpr_reg13c:8;
    };
}lg_m_plus_m_plus_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg143:8;
        RBus_UInt32  wpr_reg142:8;
        RBus_UInt32  wpr_reg141:8;
        RBus_UInt32  wpr_reg140:8;
    };
}lg_m_plus_m_plus_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg147:8;
        RBus_UInt32  wpr_reg146:8;
        RBus_UInt32  wpr_reg145:8;
        RBus_UInt32  wpr_reg144:8;
    };
}lg_m_plus_m_plus_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg14b:8;
        RBus_UInt32  wpr_reg14a:8;
        RBus_UInt32  wpr_reg149:8;
        RBus_UInt32  wpr_reg148:8;
    };
}lg_m_plus_m_plus_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg14f:8;
        RBus_UInt32  wpr_reg14e:8;
        RBus_UInt32  wpr_reg14d:8;
        RBus_UInt32  wpr_reg14c:8;
    };
}lg_m_plus_m_plus_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg153:8;
        RBus_UInt32  wpr_reg152:8;
        RBus_UInt32  wpr_reg151:8;
        RBus_UInt32  wpr_reg150:8;
    };
}lg_m_plus_m_plus_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg157:8;
        RBus_UInt32  wpr_reg156:8;
        RBus_UInt32  wpr_reg155:8;
        RBus_UInt32  wpr_reg154:8;
    };
}lg_m_plus_m_plus_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg15b:8;
        RBus_UInt32  wpr_reg15a:8;
        RBus_UInt32  wpr_reg159:8;
        RBus_UInt32  wpr_reg158:8;
    };
}lg_m_plus_m_plus_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg15f:8;
        RBus_UInt32  wpr_reg15e:8;
        RBus_UInt32  wpr_reg15d:8;
        RBus_UInt32  wpr_reg15c:8;
    };
}lg_m_plus_m_plus_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg163:8;
        RBus_UInt32  wpr_reg162:8;
        RBus_UInt32  wpr_reg161:8;
        RBus_UInt32  wpr_reg160:8;
    };
}lg_m_plus_m_plus_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg167:8;
        RBus_UInt32  wpr_reg166:8;
        RBus_UInt32  wpr_reg165:8;
        RBus_UInt32  wpr_reg164:8;
    };
}lg_m_plus_m_plus_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg16b:8;
        RBus_UInt32  wpr_reg16a:8;
        RBus_UInt32  wpr_reg169:8;
        RBus_UInt32  wpr_reg168:8;
    };
}lg_m_plus_m_plus_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg16f:8;
        RBus_UInt32  wpr_reg16e:8;
        RBus_UInt32  wpr_reg16d:8;
        RBus_UInt32  wpr_reg16c:8;
    };
}lg_m_plus_m_plus_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg173:8;
        RBus_UInt32  wpr_reg172:8;
        RBus_UInt32  wpr_reg171:8;
        RBus_UInt32  wpr_reg170:8;
    };
}lg_m_plus_m_plus_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg177:8;
        RBus_UInt32  wpr_reg176:8;
        RBus_UInt32  wpr_reg175:8;
        RBus_UInt32  wpr_reg174:8;
    };
}lg_m_plus_m_plus_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg17b:8;
        RBus_UInt32  wpr_reg17a:8;
        RBus_UInt32  wpr_reg179:8;
        RBus_UInt32  wpr_reg178:8;
    };
}lg_m_plus_m_plus_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg17f:8;
        RBus_UInt32  wpr_reg17e:8;
        RBus_UInt32  wpr_reg17d:8;
        RBus_UInt32  wpr_reg17c:8;
    };
}lg_m_plus_m_plus_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg183:8;
        RBus_UInt32  wpr_reg182:8;
        RBus_UInt32  wpr_reg181:8;
        RBus_UInt32  wpr_reg180:8;
    };
}lg_m_plus_m_plus_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg187:8;
        RBus_UInt32  wpr_reg186:8;
        RBus_UInt32  wpr_reg185:8;
        RBus_UInt32  wpr_reg184:8;
    };
}lg_m_plus_m_plus_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg18b:8;
        RBus_UInt32  wpr_reg18a:8;
        RBus_UInt32  wpr_reg189:8;
        RBus_UInt32  wpr_reg188:8;
    };
}lg_m_plus_m_plus_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg18f:8;
        RBus_UInt32  wpr_reg18e:8;
        RBus_UInt32  wpr_reg18d:8;
        RBus_UInt32  wpr_reg18c:8;
    };
}lg_m_plus_m_plus_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg193:8;
        RBus_UInt32  wpr_reg192:8;
        RBus_UInt32  wpr_reg191:8;
        RBus_UInt32  wpr_reg190:8;
    };
}lg_m_plus_m_plus_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg197:8;
        RBus_UInt32  wpr_reg196:8;
        RBus_UInt32  wpr_reg195:8;
        RBus_UInt32  wpr_reg194:8;
    };
}lg_m_plus_m_plus_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg19b:8;
        RBus_UInt32  wpr_reg19a:8;
        RBus_UInt32  wpr_reg199:8;
        RBus_UInt32  wpr_reg198:8;
    };
}lg_m_plus_m_plus_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg19f:8;
        RBus_UInt32  wpr_reg19e:8;
        RBus_UInt32  wpr_reg19d:8;
        RBus_UInt32  wpr_reg19c:8;
    };
}lg_m_plus_m_plus_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1a3:8;
        RBus_UInt32  wpr_reg1a2:8;
        RBus_UInt32  wpr_reg1a1:8;
        RBus_UInt32  wpr_reg1a0:8;
    };
}lg_m_plus_m_plus_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1a7:8;
        RBus_UInt32  wpr_reg1a6:8;
        RBus_UInt32  wpr_reg1a5:8;
        RBus_UInt32  wpr_reg1a4:8;
    };
}lg_m_plus_m_plus_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1ab:8;
        RBus_UInt32  wpr_reg1aa:8;
        RBus_UInt32  wpr_reg1a9:8;
        RBus_UInt32  wpr_reg1a8:8;
    };
}lg_m_plus_m_plus_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1af:8;
        RBus_UInt32  wpr_reg1ae:8;
        RBus_UInt32  wpr_reg1ad:8;
        RBus_UInt32  wpr_reg1ac:8;
    };
}lg_m_plus_m_plus_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b3:8;
        RBus_UInt32  wpr_reg1b2:8;
        RBus_UInt32  wpr_reg1b1:8;
        RBus_UInt32  wpr_reg1b0:8;
    };
}lg_m_plus_m_plus_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b7:8;
        RBus_UInt32  wpr_reg1b6:8;
        RBus_UInt32  wpr_reg1b5:8;
        RBus_UInt32  wpr_reg1b4:8;
    };
}lg_m_plus_m_plus_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1bb:8;
        RBus_UInt32  wpr_reg1ba:8;
        RBus_UInt32  wpr_reg1b9:8;
        RBus_UInt32  wpr_reg1b8:8;
    };
}lg_m_plus_m_plus_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1bf:8;
        RBus_UInt32  wpr_reg1be:8;
        RBus_UInt32  wpr_reg1bd:8;
        RBus_UInt32  wpr_reg1bc:8;
    };
}lg_m_plus_m_plus_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c3:8;
        RBus_UInt32  wpr_reg1c2:8;
        RBus_UInt32  wpr_reg1c1:8;
        RBus_UInt32  wpr_reg1c0:8;
    };
}lg_m_plus_m_plus_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c7:8;
        RBus_UInt32  wpr_reg1c6:8;
        RBus_UInt32  wpr_reg1c5:8;
        RBus_UInt32  wpr_reg1c4:8;
    };
}lg_m_plus_m_plus_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1cb:8;
        RBus_UInt32  wpr_reg1ca:8;
        RBus_UInt32  wpr_reg1c9:8;
        RBus_UInt32  wpr_reg1c8:8;
    };
}lg_m_plus_m_plus_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1cf:8;
        RBus_UInt32  wpr_reg1ce:8;
        RBus_UInt32  wpr_reg1cd:8;
        RBus_UInt32  wpr_reg1cc:8;
    };
}lg_m_plus_m_plus_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1d3:8;
        RBus_UInt32  wpr_reg1d2:8;
        RBus_UInt32  wpr_reg1d1:8;
        RBus_UInt32  wpr_reg1d0:8;
    };
}lg_m_plus_m_plus_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1d7:8;
        RBus_UInt32  wpr_reg1d6:8;
        RBus_UInt32  wpr_reg1d5:8;
        RBus_UInt32  wpr_reg1d4:8;
    };
}lg_m_plus_m_plus_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1db:8;
        RBus_UInt32  wpr_reg1da:8;
        RBus_UInt32  wpr_reg1d9:8;
        RBus_UInt32  wpr_reg1d8:8;
    };
}lg_m_plus_m_plus_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1df:8;
        RBus_UInt32  wpr_reg1de:8;
        RBus_UInt32  wpr_reg1dd:8;
        RBus_UInt32  wpr_reg1dc:8;
    };
}lg_m_plus_m_plus_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1e3:8;
        RBus_UInt32  wpr_reg1e2:8;
        RBus_UInt32  wpr_reg1e1:8;
        RBus_UInt32  wpr_reg1e0:8;
    };
}lg_m_plus_m_plus_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1e7:8;
        RBus_UInt32  wpr_reg1e6:8;
        RBus_UInt32  wpr_reg1e5:8;
        RBus_UInt32  wpr_reg1e4:8;
    };
}lg_m_plus_m_plus_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1eb:8;
        RBus_UInt32  wpr_reg1ea:8;
        RBus_UInt32  wpr_reg1e9:8;
        RBus_UInt32  wpr_reg1e8:8;
    };
}lg_m_plus_m_plus_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1ef:8;
        RBus_UInt32  wpr_reg1ee:8;
        RBus_UInt32  wpr_reg1ed:8;
        RBus_UInt32  wpr_reg1ec:8;
    };
}lg_m_plus_m_plus_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f3:8;
        RBus_UInt32  wpr_reg1f2:8;
        RBus_UInt32  wpr_reg1f1:8;
        RBus_UInt32  wpr_reg1f0:8;
    };
}lg_m_plus_m_plus_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f7:8;
        RBus_UInt32  wpr_reg1f6:8;
        RBus_UInt32  wpr_reg1f5:8;
        RBus_UInt32  wpr_reg1f4:8;
    };
}lg_m_plus_m_plus_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1fb:8;
        RBus_UInt32  wpr_reg1fa:8;
        RBus_UInt32  wpr_reg1f9:8;
        RBus_UInt32  wpr_reg1f8:8;
    };
}lg_m_plus_m_plus_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1ff:8;
        RBus_UInt32  wpr_reg1fe:8;
        RBus_UInt32  wpr_reg1fd:8;
        RBus_UInt32  wpr_reg1fc:8;
    };
}lg_m_plus_m_plus_reg1fc_RBUS;




#endif 


#endif 
