#ifndef GPIO_USERSPACE_ACCESS_LIBRARY
#define GPIO_USERSPACE_ACCESS_LIBRARY

#include <rbus/mis_gpio_reg.h>
#include <rbus/gpio_reg.h>

#define MIS_GP0DIR                                                                   MIS_GPIO_GP0DIR
#define MIS_GP1DIR                                                                   MIS_GPIO_GP1DIR
#define MIS_GP2DIR                                                                   MIS_GPIO_GP2DIR
#define MIS_GP3DIR                                                                   MIS_GPIO_GP3DIR
#define MIS_GP4DIR                                                                   MIS_GPIO_GP4DIR
#define MIS_GP5DIR                                                                   MIS_GPIO_GP5DIR

#define MIS_GP0DATO                                                                  MIS_GPIO_GP0DATO
#define MIS_GP1DATO                                                                  MIS_GPIO_GP1DATO
#define MIS_GP2DATO                                                                  MIS_GPIO_GP2DATO
#define MIS_GP3DATO                                                                  MIS_GPIO_GP3DATO
#define MIS_GP4DATO                                                                  MIS_GPIO_GP4DATO
#define MIS_GP5DATO                                                                  MIS_GPIO_GP5DATO

#define MIS_GP0DATI                                                                  MIS_GPIO_GP0DATI
#define MIS_GP1DATI                                                                  MIS_GPIO_GP1DATI
#define MIS_GP2DATI                                                                  MIS_GPIO_GP2DATI
#define MIS_GP3DATI                                                                  MIS_GPIO_GP3DATI
#define MIS_GP4DATI                                                                  MIS_GPIO_GP4DATI
#define MIS_GP5DATI                                                                  MIS_GPIO_GP5DATI

#define MIS_GP0IE                                                                    MIS_GPIO_GP0IE
#define MIS_GP1IE                                                                    MIS_GPIO_GP1IE
#define MIS_GP2IE                                                                    MIS_GPIO_GP2IE
#define MIS_GP3IE                                                                    MIS_GPIO_GP3IE
#define MIS_GP4IE                                                                    MIS_GPIO_GP4IE
#define MIS_GP5IE                                                                    MIS_GPIO_GP5IE

#define MIS_GP0DP                                                                    MIS_GPIO_GP0DP
#define MIS_GP1DP                                                                    MIS_GPIO_GP1DP
#define MIS_GP2DP                                                                    MIS_GPIO_GP2DP
#define MIS_GP3DP                                                                    MIS_GPIO_GP3DP
#define MIS_GP4DP                                                                    MIS_GPIO_GP4DP
#define MIS_GP5DP                                                                    MIS_GPIO_GP5DP

#define MIS_GPDEB                                                                    MIS_GPIO_GPDEB
#define MIS_GPDEB_1                                                                  MIS_GPIO_GPDEB_1

#define MIS_ISR_GP0A                                                                 MIS_GPIO_ISR_GP0A
#define MIS_ISR_GP1A                                                                 MIS_GPIO_ISR_GP1A
#define MIS_ISR_GP2A                                                                 MIS_GPIO_ISR_GP2A
#define MIS_ISR_GP3A                                                                 MIS_GPIO_ISR_GP3A
#define MIS_ISR_GP4A                                                                 MIS_GPIO_ISR_GP4A
#define MIS_ISR_GP5A                                                                 MIS_GPIO_ISR_GP5A


#define MIS_ISR_GP0D                                                                 MIS_GPIO_ISR_GP0DA
#define MIS_ISR_GP1D                                                                 MIS_GPIO_ISR_GP1DA
#define MIS_ISR_GP2D                                                                 MIS_GPIO_ISR_GP2DA
#define MIS_ISR_GP3D                                                                 MIS_GPIO_ISR_GP3DA
#define MIS_ISR_GP4D                                                                 MIS_GPIO_ISR_GP4DA
#define MIS_ISR_GP5D                                                                 MIS_GPIO_ISR_GP5DA

#define MIS_GP_INT_SEL                                                               MIS_GPIO_GP_INT_SEL

#define MIS_GPI_DATI                                                                 MIS_GPIO_GPI0_DATI
#define MIS_GPI_GPIE                                                                 MIS_GPIO_GPI0_GPIE
#define MIS_GP_GPI_DP                                                                MIS_GPIO_GPI0_DP
#define MIS_ISR_GPI_A                                                                MIS_GPIO_ISR_GPI0_ASSERT
#define MIS_ISR_GPI_DA                                                               MIS_GPIO_ISR_GPI0_DEASSERT

#define ISO_GPDIR                                                                    GPIO_GPDIR
#define ISO_GPDIR_1                                                                  GPIO_GPDIR_1

#define ISO_GPDATO                                                                   GPIO_GPDATO
#define ISO_GPDATO_1                                                                 GPIO_GPDATO_1

#define ISO_GPDATI                                                                   GPIO_GPDATI
#define ISO_GPDATI_1                                                                 GPIO_GPDATI_1

#define ISO_GPIE                                                                     GPIO_GPIE
#define ISO_GPIE_1                                                                   GPIO_GPIE_1

#define ISO_GPDP                                                                     GPIO_GPDP
#define ISO_GPDP_1                                                                   GPIO_GPDP_1

#define ISO_GPDEB                                                                    GPIO_GPDEB

#define ISO_ISR_GP_ASSERT                                                            GPIO_ISR_GP_ASSERT
#define ISO_ISR_GP_ASSERT_1                                                          GPIO_ISR_GP_ASSERT_1

#define ISO_ISR_GP_DEASSERT                                                          GPIO_ISR_GP_DEASSERT
#define ISO_ISR_GP_DEASSERT_1                                                        GPIO_ISR_GP_DEASSERT_1

#define ISO_GPIO_MAX_NUM   61
#define MISC_GPIO_MAX_NUM  163

#define MISC_GPI_SUPPORT
#define MISC_GPI_MAX_NUM   32

#endif
