#ifndef __RTK_OTP_REGION_API_H__
#define __RTK_OTP_REGION_API_H__

/*
*   Return value:  0:enable, 1: disable
*
*/
bool is_NNIP_function_disable(void);

bool rtk_get_ddr_info(unsigned int *p_ddr_info);

bool rtk_get_iddq_done(unsigned int *p_iddq_done);

bool rtk_get_core_iddq(unsigned int *p_core_iddq);



typedef enum {
    OTP_FIELD_NNIP,
    OTP_FIELD_EMMC_FLASH_ENABLE_BOOT_PAK,
    OTP_FIELD_ETN_INTERNAL_ANALOG_LDO,
    OTP_FIELD_ETN_INTERNAL_DIGITAL_LDO,
    OTP_FIELD_EMMC_LDO_TRIM_INFO,
    OTP_FIELD_INVALID = 0xFFFF,
}OTP_FIELD_ID;

extern bool rtk_otp_field_read(OTP_FIELD_ID field_id, unsigned char *data, unsigned int len);




#endif
