/**
* @file Merlin6_MEMC_KME_DEHALO4
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_KME_DEHALO4_REG_H_
#define _RBUS_KME_DEHALO4_REG_H_

#include "rbus_types.h"



//  KME_DEHALO4 Register Address
#define  KME_DEHALO4_RT2_MOD_0                                                  0x1809EA00
#define  KME_DEHALO4_RT2_MOD_0_reg_addr                                          "0xB809EA00"
#define  KME_DEHALO4_RT2_MOD_0_reg                                               0xB809EA00
#define  KME_DEHALO4_RT2_MOD_0_inst_addr                                         "0x0000"
#define  set_KME_DEHALO4_RT2_MOD_0_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_0_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_0_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_0_reg))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_pp_shift                    (28)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_pp_shift                    (24)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_ii_shift                    (20)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_ii_shift                    (16)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_pp_shift                    (12)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_pp_shift                    (8)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_ii_shift                    (4)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_ii_shift                    (0)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_pp_mask                     (0xF0000000)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_pp_mask                     (0x0F000000)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_ii_mask                     (0x00F00000)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_ii_mask                     (0x000F0000)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_pp_mask                     (0x0000F000)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_pp_mask                     (0x00000F00)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_ii_mask                     (0x000000F0)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_ii_mask                     (0x0000000F)
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_pp(data)                    (0xF0000000&((data)<<28))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_pp(data)                    (0x0F000000&((data)<<24))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range2_ii(data)                    (0x00F00000&((data)<<20))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range2_ii(data)                    (0x000F0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_pp(data)                    (0x0000F000&((data)<<12))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_pp(data)                    (0x00000F00&((data)<<8))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_y_range1_ii(data)                    (0x000000F0&((data)<<4))
#define  KME_DEHALO4_RT2_MOD_0_rt2_addr_fix_x_range1_ii(data)                    (0x0000000F&(data))
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_y_range2_pp(data)                ((0xF0000000&(data))>>28)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_x_range2_pp(data)                ((0x0F000000&(data))>>24)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_y_range2_ii(data)                ((0x00F00000&(data))>>20)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_x_range2_ii(data)                ((0x000F0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_y_range1_pp(data)                ((0x0000F000&(data))>>12)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_x_range1_pp(data)                ((0x00000F00&(data))>>8)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_y_range1_ii(data)                ((0x000000F0&(data))>>4)
#define  KME_DEHALO4_RT2_MOD_0_get_rt2_addr_fix_x_range1_ii(data)                (0x0000000F&(data))

#define  KME_DEHALO4_RT2_MOD_1                                                  0x1809EA04
#define  KME_DEHALO4_RT2_MOD_1_reg_addr                                          "0xB809EA04"
#define  KME_DEHALO4_RT2_MOD_1_reg                                               0xB809EA04
#define  KME_DEHALO4_RT2_MOD_1_inst_addr                                         "0x0001"
#define  set_KME_DEHALO4_RT2_MOD_1_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_1_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_1_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_1_reg))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_th_shift              (24)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift2_shift          (20)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift1_shift          (16)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_oridiff_th_shift                     (6)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_shift_shift                    (2)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix2_en_shift                            (1)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix1_en_shift                            (0)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_th_mask               (0xFF000000)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift2_mask           (0x00F00000)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift1_mask           (0x000F0000)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_oridiff_th_mask                      (0x0000FFC0)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_shift_mask                     (0x0000003C)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix2_en_mask                             (0x00000002)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix1_en_mask                             (0x00000001)
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_th(data)              (0xFF000000&((data)<<24))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift2(data)          (0x00F00000&((data)<<20))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_rounding_shift1(data)          (0x000F0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_oridiff_th(data)                     (0x0000FFC0&((data)<<6))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix_phase_shift(data)                    (0x0000003C&((data)<<2))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix2_en(data)                            (0x00000002&((data)<<1))
#define  KME_DEHALO4_RT2_MOD_1_rt2_addr_fix1_en(data)                            (0x00000001&(data))
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix_phase_rounding_th(data)          ((0xFF000000&(data))>>24)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix_phase_rounding_shift2(data)      ((0x00F00000&(data))>>20)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix_phase_rounding_shift1(data)      ((0x000F0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix_oridiff_th(data)                 ((0x0000FFC0&(data))>>6)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix_phase_shift(data)                ((0x0000003C&(data))>>2)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix2_en(data)                        ((0x00000002&(data))>>1)
#define  KME_DEHALO4_RT2_MOD_1_get_rt2_addr_fix1_en(data)                        (0x00000001&(data))

#define  KME_DEHALO4_RT2_MOD_2                                                  0x1809EA08
#define  KME_DEHALO4_RT2_MOD_2_reg_addr                                          "0xB809EA08"
#define  KME_DEHALO4_RT2_MOD_2_reg                                               0xB809EA08
#define  KME_DEHALO4_RT2_MOD_2_inst_addr                                         "0x0002"
#define  set_KME_DEHALO4_RT2_MOD_2_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_2_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_2_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_2_reg))
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix2_diff_th_shift                       (16)
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix1_diff_th_shift                       (0)
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix2_diff_th_mask                        (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix1_diff_th_mask                        (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix2_diff_th(data)                       (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_2_rt2_addr_fix1_diff_th(data)                       (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_2_get_rt2_addr_fix2_diff_th(data)                   ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_2_get_rt2_addr_fix1_diff_th(data)                   (0x000003FF&(data))

#define  KME_DEHALO4_RT2_MOD_3                                                  0x1809EA0C
#define  KME_DEHALO4_RT2_MOD_3_reg_addr                                          "0xB809EA0C"
#define  KME_DEHALO4_RT2_MOD_3_reg                                               0xB809EA0C
#define  KME_DEHALO4_RT2_MOD_3_inst_addr                                         "0x0003"
#define  set_KME_DEHALO4_RT2_MOD_3_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_3_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_3_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_3_reg))
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_max_shift                       (16)
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_min_shift                       (0)
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_max_mask                        (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_min_mask                        (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_max(data)                       (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_3_rt2_addr_fix1_mvx_min(data)                       (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_3_get_rt2_addr_fix1_mvx_max(data)                   ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_3_get_rt2_addr_fix1_mvx_min(data)                   (0x000003FF&(data))

#define  KME_DEHALO4_RT2_MOD_4                                                  0x1809EA10
#define  KME_DEHALO4_RT2_MOD_4_reg_addr                                          "0xB809EA10"
#define  KME_DEHALO4_RT2_MOD_4_reg                                               0xB809EA10
#define  KME_DEHALO4_RT2_MOD_4_inst_addr                                         "0x0004"
#define  set_KME_DEHALO4_RT2_MOD_4_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_4_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_4_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_4_reg))
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_max_shift                       (16)
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_min_shift                       (0)
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_max_mask                        (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_min_mask                        (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_max(data)                       (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_4_rt2_addr_fix1_mvy_min(data)                       (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_4_get_rt2_addr_fix1_mvy_max(data)                   ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_4_get_rt2_addr_fix1_mvy_min(data)                   (0x000003FF&(data))

#define  KME_DEHALO4_RT2_MOD_5                                                  0x1809EA14
#define  KME_DEHALO4_RT2_MOD_5_reg_addr                                          "0xB809EA14"
#define  KME_DEHALO4_RT2_MOD_5_reg                                               0xB809EA14
#define  KME_DEHALO4_RT2_MOD_5_inst_addr                                         "0x0005"
#define  set_KME_DEHALO4_RT2_MOD_5_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_5_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_5_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_5_reg))
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_max_shift                       (16)
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_min_shift                       (0)
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_max_mask                        (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_min_mask                        (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_max(data)                       (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_5_rt2_addr_fix2_mvx_min(data)                       (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_5_get_rt2_addr_fix2_mvx_max(data)                   ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_5_get_rt2_addr_fix2_mvx_min(data)                   (0x000003FF&(data))

#define  KME_DEHALO4_RT2_MOD_6                                                  0x1809EA18
#define  KME_DEHALO4_RT2_MOD_6_reg_addr                                          "0xB809EA18"
#define  KME_DEHALO4_RT2_MOD_6_reg                                               0xB809EA18
#define  KME_DEHALO4_RT2_MOD_6_inst_addr                                         "0x0006"
#define  set_KME_DEHALO4_RT2_MOD_6_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_6_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_6_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_6_reg))
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_max_shift                       (16)
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_min_shift                       (0)
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_max_mask                        (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_min_mask                        (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_max(data)                       (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_6_rt2_addr_fix2_mvy_min(data)                       (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_6_get_rt2_addr_fix2_mvy_max(data)                   ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_6_get_rt2_addr_fix2_mvy_min(data)                   (0x000003FF&(data))

#define  KME_DEHALO4_RT2_MOD_7                                                  0x1809EA1C
#define  KME_DEHALO4_RT2_MOD_7_reg_addr                                          "0xB809EA1C"
#define  KME_DEHALO4_RT2_MOD_7_reg                                               0xB809EA1C
#define  KME_DEHALO4_RT2_MOD_7_inst_addr                                         "0x0007"
#define  set_KME_DEHALO4_RT2_MOD_7_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_7_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_7_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_7_reg))
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_max_shift                  (16)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_min_shift                  (1)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_en_shift                         (0)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_max_mask                   (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_min_mask                   (0x000007FE)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_en_mask                          (0x00000001)
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_max(data)                  (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_value_min(data)                  (0x000007FE&((data)<<1))
#define  KME_DEHALO4_RT2_MOD_7_rt2_addr_fix_gmv_en(data)                         (0x00000001&(data))
#define  KME_DEHALO4_RT2_MOD_7_get_rt2_addr_fix_gmv_value_max(data)              ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_7_get_rt2_addr_fix_gmv_value_min(data)              ((0x000007FE&(data))>>1)
#define  KME_DEHALO4_RT2_MOD_7_get_rt2_addr_fix_gmv_en(data)                     (0x00000001&(data))

#define  KME_DEHALO4_RT2_MOD_8                                                  0x1809EA20
#define  KME_DEHALO4_RT2_MOD_8_reg_addr                                          "0xB809EA20"
#define  KME_DEHALO4_RT2_MOD_8_reg                                               0xB809EA20
#define  KME_DEHALO4_RT2_MOD_8_inst_addr                                         "0x0008"
#define  set_KME_DEHALO4_RT2_MOD_8_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_8_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_8_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_8_reg))
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmv_y0_shift                              (22)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmvcnt_th_shift                           (17)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_fix_en_shift                              (16)
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_max_shift                     (5)
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_min_shift                     (0)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmv_y0_mask                               (0x3FC00000)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmvcnt_th_mask                            (0x003E0000)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_fix_en_mask                               (0x00010000)
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_max_mask                      (0x000003E0)
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_min_mask                      (0x0000001F)
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmv_y0(data)                              (0x3FC00000&((data)<<22))
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_gmvcnt_th(data)                           (0x003E0000&((data)<<17))
#define  KME_DEHALO4_RT2_MOD_8_rt2_pck_fix_en(data)                              (0x00010000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_max(data)                     (0x000003E0&((data)<<5))
#define  KME_DEHALO4_RT2_MOD_8_rt2_addr_fix_gmvcnt_min(data)                     (0x0000001F&(data))
#define  KME_DEHALO4_RT2_MOD_8_get_rt2_pck_gmv_y0(data)                          ((0x3FC00000&(data))>>22)
#define  KME_DEHALO4_RT2_MOD_8_get_rt2_pck_gmvcnt_th(data)                       ((0x003E0000&(data))>>17)
#define  KME_DEHALO4_RT2_MOD_8_get_rt2_pck_fix_en(data)                          ((0x00010000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_8_get_rt2_addr_fix_gmvcnt_max(data)                 ((0x000003E0&(data))>>5)
#define  KME_DEHALO4_RT2_MOD_8_get_rt2_addr_fix_gmvcnt_min(data)                 (0x0000001F&(data))

#define  KME_DEHALO4_RT2_MOD_9                                                  0x1809EA24
#define  KME_DEHALO4_RT2_MOD_9_reg_addr                                          "0xB809EA24"
#define  KME_DEHALO4_RT2_MOD_9_reg                                               0xB809EA24
#define  KME_DEHALO4_RT2_MOD_9_inst_addr                                         "0x0009"
#define  set_KME_DEHALO4_RT2_MOD_9_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_9_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_9_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_9_reg))
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_x0_shift                              (16)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_shift_shift                           (12)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_slope_shift                           (8)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_y1_shift                              (0)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_x0_mask                               (0x03FF0000)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_shift_mask                            (0x0000F000)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_slope_mask                            (0x00000F00)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_y1_mask                               (0x000000FF)
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_x0(data)                              (0x03FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_shift(data)                           (0x0000F000&((data)<<12))
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_slope(data)                           (0x00000F00&((data)<<8))
#define  KME_DEHALO4_RT2_MOD_9_rt2_pck_gmv_y1(data)                              (0x000000FF&(data))
#define  KME_DEHALO4_RT2_MOD_9_get_rt2_pck_gmv_x0(data)                          ((0x03FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_9_get_rt2_pck_gmv_shift(data)                       ((0x0000F000&(data))>>12)
#define  KME_DEHALO4_RT2_MOD_9_get_rt2_pck_gmv_slope(data)                       ((0x00000F00&(data))>>8)
#define  KME_DEHALO4_RT2_MOD_9_get_rt2_pck_gmv_y1(data)                          (0x000000FF&(data))

#define  KME_DEHALO4_RT2_MOD_A                                                  0x1809EA28
#define  KME_DEHALO4_RT2_MOD_A_reg_addr                                          "0xB809EA28"
#define  KME_DEHALO4_RT2_MOD_A_reg                                               0xB809EA28
#define  KME_DEHALO4_RT2_MOD_A_inst_addr                                         "0x000A"
#define  set_KME_DEHALO4_RT2_MOD_A_reg(data)                                     (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_A_reg)=data)
#define  get_KME_DEHALO4_RT2_MOD_A_reg                                           (*((volatile unsigned int*)KME_DEHALO4_RT2_MOD_A_reg))
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_x_range_shift                   (16)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_y_range_shift                   (12)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_debug_mode_shift                     (10)
#define  KME_DEHALO4_RT2_MOD_A_rt2_pck_gmv_x1_shift                              (0)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_x_range_mask                    (0x00FF0000)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_y_range_mask                    (0x0000F000)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_debug_mode_mask                      (0x00000400)
#define  KME_DEHALO4_RT2_MOD_A_rt2_pck_gmv_x1_mask                               (0x000003FF)
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_x_range(data)                   (0x00FF0000&((data)<<16))
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_clip_y_range(data)                   (0x0000F000&((data)<<12))
#define  KME_DEHALO4_RT2_MOD_A_rt2_addr_fix_debug_mode(data)                     (0x00000400&((data)<<10))
#define  KME_DEHALO4_RT2_MOD_A_rt2_pck_gmv_x1(data)                              (0x000003FF&(data))
#define  KME_DEHALO4_RT2_MOD_A_get_rt2_addr_fix_clip_x_range(data)               ((0x00FF0000&(data))>>16)
#define  KME_DEHALO4_RT2_MOD_A_get_rt2_addr_fix_clip_y_range(data)               ((0x0000F000&(data))>>12)
#define  KME_DEHALO4_RT2_MOD_A_get_rt2_addr_fix_debug_mode(data)                 ((0x00000400&(data))>>10)
#define  KME_DEHALO4_RT2_MOD_A_get_rt2_pck_gmv_x1(data)                          (0x000003FF&(data))

#define  KME_DEHALO4_DH_MV_CORR_2C                                              0x1809EA2C
#define  KME_DEHALO4_DH_MV_CORR_2C_reg_addr                                      "0xB809EA2C"
#define  KME_DEHALO4_DH_MV_CORR_2C_reg                                           0xB809EA2C
#define  KME_DEHALO4_DH_MV_CORR_2C_inst_addr                                     "0x000B"
#define  set_KME_DEHALO4_DH_MV_CORR_2C_reg(data)                                 (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_2C_reg)=data)
#define  get_KME_DEHALO4_DH_MV_CORR_2C_reg                                       (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_2C_reg))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_en_shift                           (29)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ul_dir_en_shift                    (28)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ur_dir_en_shift                    (27)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dl_dir_en_shift                    (26)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dr_dir_en_shift                    (25)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_apl_sel_shift                      (24)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_hi_apl_num_th_shift                (18)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_low_apl_num_th_shift               (12)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_near_gmv_num_th_shift              (6)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_far_gmv_num_th_shift               (0)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_en_mask                            (0x20000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ul_dir_en_mask                     (0x10000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ur_dir_en_mask                     (0x08000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dl_dir_en_mask                     (0x04000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dr_dir_en_mask                     (0x02000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_apl_sel_mask                       (0x01000000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_hi_apl_num_th_mask                 (0x00FC0000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_low_apl_num_th_mask                (0x0003F000)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_near_gmv_num_th_mask               (0x00000FC0)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_far_gmv_num_th_mask                (0x0000003F)
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_en(data)                           (0x20000000&((data)<<29))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ul_dir_en(data)                    (0x10000000&((data)<<28))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_ur_dir_en(data)                    (0x08000000&((data)<<27))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dl_dir_en(data)                    (0x04000000&((data)<<26))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_dr_dir_en(data)                    (0x02000000&((data)<<25))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_apl_sel(data)                      (0x01000000&((data)<<24))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_hi_apl_num_th(data)                (0x00FC0000&((data)<<18))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_low_apl_num_th(data)               (0x0003F000&((data)<<12))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_near_gmv_num_th(data)              (0x00000FC0&((data)<<6))
#define  KME_DEHALO4_DH_MV_CORR_2C_dh_mv_corr_far_gmv_num_th(data)               (0x0000003F&(data))
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_en(data)                       ((0x20000000&(data))>>29)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_ul_dir_en(data)                ((0x10000000&(data))>>28)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_ur_dir_en(data)                ((0x08000000&(data))>>27)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_dl_dir_en(data)                ((0x04000000&(data))>>26)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_dr_dir_en(data)                ((0x02000000&(data))>>25)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_apl_sel(data)                  ((0x01000000&(data))>>24)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_hi_apl_num_th(data)            ((0x00FC0000&(data))>>18)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_low_apl_num_th(data)           ((0x0003F000&(data))>>12)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_near_gmv_num_th(data)          ((0x00000FC0&(data))>>6)
#define  KME_DEHALO4_DH_MV_CORR_2C_get_dh_mv_corr_far_gmv_num_th(data)           (0x0000003F&(data))

#define  KME_DEHALO4_DH_MV_CORR_30                                              0x1809EA30
#define  KME_DEHALO4_DH_MV_CORR_30_reg_addr                                      "0xB809EA30"
#define  KME_DEHALO4_DH_MV_CORR_30_reg                                           0xB809EA30
#define  KME_DEHALO4_DH_MV_CORR_30_inst_addr                                     "0x000C"
#define  set_KME_DEHALO4_DH_MV_CORR_30_reg(data)                                 (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_30_reg)=data)
#define  get_KME_DEHALO4_DH_MV_CORR_30_reg                                       (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_30_reg))
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_apl_th_shift                  (24)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_apl_th_shift                   (16)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_gmv_diff_th_shift             (8)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_gmv_diff_th_shift              (0)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_apl_th_mask                   (0xFF000000)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_apl_th_mask                    (0x00FF0000)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_gmv_diff_th_mask              (0x0000FF00)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_gmv_diff_th_mask               (0x000000FF)
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_apl_th(data)                  (0xFF000000&((data)<<24))
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_apl_th(data)                   (0x00FF0000&((data)<<16))
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_high_gmv_diff_th(data)             (0x0000FF00&((data)<<8))
#define  KME_DEHALO4_DH_MV_CORR_30_dh_mv_corr_low_gmv_diff_th(data)              (0x000000FF&(data))
#define  KME_DEHALO4_DH_MV_CORR_30_get_dh_mv_corr_high_apl_th(data)              ((0xFF000000&(data))>>24)
#define  KME_DEHALO4_DH_MV_CORR_30_get_dh_mv_corr_low_apl_th(data)               ((0x00FF0000&(data))>>16)
#define  KME_DEHALO4_DH_MV_CORR_30_get_dh_mv_corr_high_gmv_diff_th(data)         ((0x0000FF00&(data))>>8)
#define  KME_DEHALO4_DH_MV_CORR_30_get_dh_mv_corr_low_gmv_diff_th(data)          (0x000000FF&(data))

#define  KME_DEHALO4_DH_MV_CORR_34                                              0x1809EA34
#define  KME_DEHALO4_DH_MV_CORR_34_reg_addr                                      "0xB809EA34"
#define  KME_DEHALO4_DH_MV_CORR_34_reg                                           0xB809EA34
#define  KME_DEHALO4_DH_MV_CORR_34_inst_addr                                     "0x000D"
#define  set_KME_DEHALO4_DH_MV_CORR_34_reg(data)                                 (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_34_reg)=data)
#define  get_KME_DEHALO4_DH_MV_CORR_34_reg                                       (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_34_reg))
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_diff_th_shift                  (24)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_apl_th_shift                       (16)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_set_occl_apl_th_shift              (8)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_len_shift                      (6)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_num_shift                      (0)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_diff_th_mask                   (0xFF000000)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_apl_th_mask                        (0x00FF0000)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_set_occl_apl_th_mask               (0x0000FF00)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_len_mask                       (0x000000C0)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_num_mask                       (0x0000001F)
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_diff_th(data)                  (0xFF000000&((data)<<24))
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_apl_th(data)                       (0x00FF0000&((data)<<16))
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_set_occl_apl_th(data)              (0x0000FF00&((data)<<8))
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_len(data)                      (0x000000C0&((data)<<6))
#define  KME_DEHALO4_DH_MV_CORR_34_dh_mv_corr_gmv_num(data)                      (0x0000001F&(data))
#define  KME_DEHALO4_DH_MV_CORR_34_get_dh_mv_corr_gmv_diff_th(data)              ((0xFF000000&(data))>>24)
#define  KME_DEHALO4_DH_MV_CORR_34_get_dh_mv_corr_apl_th(data)                   ((0x00FF0000&(data))>>16)
#define  KME_DEHALO4_DH_MV_CORR_34_get_dh_mv_corr_set_occl_apl_th(data)          ((0x0000FF00&(data))>>8)
#define  KME_DEHALO4_DH_MV_CORR_34_get_dh_mv_corr_gmv_len(data)                  ((0x000000C0&(data))>>6)
#define  KME_DEHALO4_DH_MV_CORR_34_get_dh_mv_corr_gmv_num(data)                  (0x0000001F&(data))

#define  KME_DEHALO4_DH_MV_CORR_38                                              0x1809EA38
#define  KME_DEHALO4_DH_MV_CORR_38_reg_addr                                      "0xB809EA38"
#define  KME_DEHALO4_DH_MV_CORR_38_reg                                           0xB809EA38
#define  KME_DEHALO4_DH_MV_CORR_38_inst_addr                                     "0x000E"
#define  set_KME_DEHALO4_DH_MV_CORR_38_reg(data)                                 (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_38_reg)=data)
#define  get_KME_DEHALO4_DH_MV_CORR_38_reg                                       (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_38_reg))
#define  KME_DEHALO4_DH_MV_CORR_38_dummy_31_17_shift                             (17)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_4_shift         (16)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_3_shift         (15)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_2_shift         (14)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_1_shift         (13)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_4_shift          (12)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_3_shift          (11)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_2_shift          (10)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_1_shift          (9)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_en_shift                (8)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_ver_en_shift              (7)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_hor_en_shift              (6)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_pred_occl_en_shift                 (5)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_result_apply_shift                 (4)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_case_mark_mode_shift               (2)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_gmv_bypass_shift              (1)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_rtgmvd_bypass_shift           (0)
#define  KME_DEHALO4_DH_MV_CORR_38_dummy_31_17_mask                              (0xFFFE0000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_4_mask          (0x00010000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_3_mask          (0x00008000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_2_mask          (0x00004000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_1_mask          (0x00002000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_4_mask           (0x00001000)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_3_mask           (0x00000800)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_2_mask           (0x00000400)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_1_mask           (0x00000200)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_en_mask                 (0x00000100)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_ver_en_mask               (0x00000080)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_hor_en_mask               (0x00000040)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_pred_occl_en_mask                  (0x00000020)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_result_apply_mask                  (0x00000010)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_case_mark_mode_mask                (0x0000000C)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_gmv_bypass_mask               (0x00000002)
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_rtgmvd_bypass_mask            (0x00000001)
#define  KME_DEHALO4_DH_MV_CORR_38_dummy_31_17(data)                             (0xFFFE0000&((data)<<17))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_4(data)         (0x00010000&((data)<<16))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_3(data)         (0x00008000&((data)<<15))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_2(data)         (0x00004000&((data)<<14))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_occlset_1(data)         (0x00002000&((data)<<13))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_4(data)          (0x00001000&((data)<<12))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_3(data)          (0x00000800&((data)<<11))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_2(data)          (0x00000400&((data)<<10))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_mvcorr_1(data)          (0x00000200&((data)<<9))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_debug_show_en(data)                (0x00000100&((data)<<8))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_ver_en(data)              (0x00000080&((data)<<7))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_set_occl_hor_en(data)              (0x00000040&((data)<<6))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_pred_occl_en(data)                 (0x00000020&((data)<<5))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_result_apply(data)                 (0x00000010&((data)<<4))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_case_mark_mode(data)               (0x0000000C&((data)<<2))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_gmv_bypass(data)              (0x00000002&((data)<<1))
#define  KME_DEHALO4_DH_MV_CORR_38_dh_mv_corr_cond_rtgmvd_bypass(data)           (0x00000001&(data))
#define  KME_DEHALO4_DH_MV_CORR_38_get_dummy_31_17(data)                         ((0xFFFE0000&(data))>>17)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_occlset_4(data)     ((0x00010000&(data))>>16)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_occlset_3(data)     ((0x00008000&(data))>>15)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_occlset_2(data)     ((0x00004000&(data))>>14)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_occlset_1(data)     ((0x00002000&(data))>>13)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_mvcorr_4(data)      ((0x00001000&(data))>>12)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_mvcorr_3(data)      ((0x00000800&(data))>>11)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_mvcorr_2(data)      ((0x00000400&(data))>>10)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_mvcorr_1(data)      ((0x00000200&(data))>>9)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_debug_show_en(data)            ((0x00000100&(data))>>8)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_set_occl_ver_en(data)          ((0x00000080&(data))>>7)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_set_occl_hor_en(data)          ((0x00000040&(data))>>6)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_pred_occl_en(data)             ((0x00000020&(data))>>5)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_result_apply(data)             ((0x00000010&(data))>>4)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_case_mark_mode(data)           ((0x0000000C&(data))>>2)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_cond_gmv_bypass(data)          ((0x00000002&(data))>>1)
#define  KME_DEHALO4_DH_MV_CORR_38_get_dh_mv_corr_cond_rtgmvd_bypass(data)       (0x00000001&(data))

#define  KME_DEHALO4_DH_MV_CORR_3C                                              0x1809EA3C
#define  KME_DEHALO4_DH_MV_CORR_3C_reg_addr                                      "0xB809EA3C"
#define  KME_DEHALO4_DH_MV_CORR_3C_reg                                           0xB809EA3C
#define  KME_DEHALO4_DH_MV_CORR_3C_inst_addr                                     "0x000F"
#define  set_KME_DEHALO4_DH_MV_CORR_3C_reg(data)                                 (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_3C_reg)=data)
#define  get_KME_DEHALO4_DH_MV_CORR_3C_reg                                       (*((volatile unsigned int*)KME_DEHALO4_DH_MV_CORR_3C_reg))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_left_shift                 (20)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_right_shift                (15)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_up_shift                   (10)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_down_shift                 (5)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_mode_shift                 (3)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_num_shift                  (0)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_left_mask                  (0x01F00000)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_right_mask                 (0x000F8000)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_up_mask                    (0x00007C00)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_down_mask                  (0x000003E0)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_mode_mask                  (0x00000018)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_num_mask                   (0x00000007)
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_left(data)                 (0x01F00000&((data)<<20))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_right(data)                (0x000F8000&((data)<<15))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_up(data)                   (0x00007C00&((data)<<10))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_rim_blk_down(data)                 (0x000003E0&((data)<<5))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_mode(data)                 (0x00000018&((data)<<3))
#define  KME_DEHALO4_DH_MV_CORR_3C_dh_mv_corr_blk_res_num(data)                  (0x00000007&(data))
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_rim_blk_left(data)             ((0x01F00000&(data))>>20)
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_rim_blk_right(data)            ((0x000F8000&(data))>>15)
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_rim_blk_up(data)               ((0x00007C00&(data))>>10)
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_rim_blk_down(data)             ((0x000003E0&(data))>>5)
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_blk_res_mode(data)             ((0x00000018&(data))>>3)
#define  KME_DEHALO4_DH_MV_CORR_3C_get_dh_mv_corr_blk_res_num(data)              (0x00000007&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======KME_DEHALO4 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix_y_range2_pp:4;
        RBus_UInt32  rt2_addr_fix_x_range2_pp:4;
        RBus_UInt32  rt2_addr_fix_y_range2_ii:4;
        RBus_UInt32  rt2_addr_fix_x_range2_ii:4;
        RBus_UInt32  rt2_addr_fix_y_range1_pp:4;
        RBus_UInt32  rt2_addr_fix_x_range1_pp:4;
        RBus_UInt32  rt2_addr_fix_y_range1_ii:4;
        RBus_UInt32  rt2_addr_fix_x_range1_ii:4;
    };
}kme_dehalo4_rt2_mod_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix_phase_rounding_th:8;
        RBus_UInt32  rt2_addr_fix_phase_rounding_shift2:4;
        RBus_UInt32  rt2_addr_fix_phase_rounding_shift1:4;
        RBus_UInt32  rt2_addr_fix_oridiff_th:10;
        RBus_UInt32  rt2_addr_fix_phase_shift:4;
        RBus_UInt32  rt2_addr_fix2_en:1;
        RBus_UInt32  rt2_addr_fix1_en:1;
    };
}kme_dehalo4_rt2_mod_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_diff_th:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix1_diff_th:10;
    };
}kme_dehalo4_rt2_mod_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix1_mvx_max:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix1_mvx_min:10;
    };
}kme_dehalo4_rt2_mod_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix1_mvy_max:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix1_mvy_min:10;
    };
}kme_dehalo4_rt2_mod_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_mvx_max:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix2_mvx_min:10;
    };
}kme_dehalo4_rt2_mod_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_mvy_max:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix2_mvy_min:10;
    };
}kme_dehalo4_rt2_mod_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix_gmv_value_max:10;
        RBus_UInt32  res2:5;
        RBus_UInt32  rt2_addr_fix_gmv_value_min:10;
        RBus_UInt32  rt2_addr_fix_gmv_en:1;
    };
}kme_dehalo4_rt2_mod_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  rt2_pck_gmv_y0:8;
        RBus_UInt32  rt2_pck_gmvcnt_th:5;
        RBus_UInt32  rt2_pck_fix_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  rt2_addr_fix_gmvcnt_max:5;
        RBus_UInt32  rt2_addr_fix_gmvcnt_min:5;
    };
}kme_dehalo4_rt2_mod_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_pck_gmv_x0:10;
        RBus_UInt32  rt2_pck_gmv_shift:4;
        RBus_UInt32  rt2_pck_gmv_slope:4;
        RBus_UInt32  rt2_pck_gmv_y1:8;
    };
}kme_dehalo4_rt2_mod_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  rt2_addr_fix_clip_x_range:8;
        RBus_UInt32  rt2_addr_fix_clip_y_range:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  rt2_addr_fix_debug_mode:1;
        RBus_UInt32  rt2_pck_gmv_x1:10;
    };
}kme_dehalo4_rt2_mod_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dh_mv_corr_en:1;
        RBus_UInt32  dh_mv_corr_ul_dir_en:1;
        RBus_UInt32  dh_mv_corr_ur_dir_en:1;
        RBus_UInt32  dh_mv_corr_dl_dir_en:1;
        RBus_UInt32  dh_mv_corr_dr_dir_en:1;
        RBus_UInt32  dh_mv_corr_apl_sel:1;
        RBus_UInt32  dh_mv_corr_hi_apl_num_th:6;
        RBus_UInt32  dh_mv_corr_low_apl_num_th:6;
        RBus_UInt32  dh_mv_corr_near_gmv_num_th:6;
        RBus_UInt32  dh_mv_corr_far_gmv_num_th:6;
    };
}kme_dehalo4_dh_mv_corr_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_high_apl_th:8;
        RBus_UInt32  dh_mv_corr_low_apl_th:8;
        RBus_UInt32  dh_mv_corr_high_gmv_diff_th:8;
        RBus_UInt32  dh_mv_corr_low_gmv_diff_th:8;
    };
}kme_dehalo4_dh_mv_corr_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_gmv_diff_th:8;
        RBus_UInt32  dh_mv_corr_apl_th:8;
        RBus_UInt32  dh_mv_corr_set_occl_apl_th:8;
        RBus_UInt32  dh_mv_corr_gmv_len:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  dh_mv_corr_gmv_num:5;
    };
}kme_dehalo4_dh_mv_corr_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809ea38_31_17:15;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_4:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_3:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_2:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_1:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_4:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_3:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_2:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_1:1;
        RBus_UInt32  dh_mv_corr_debug_show_en:1;
        RBus_UInt32  dh_mv_corr_set_occl_ver_en:1;
        RBus_UInt32  dh_mv_corr_set_occl_hor_en:1;
        RBus_UInt32  dh_mv_corr_pred_occl_en:1;
        RBus_UInt32  dh_mv_corr_result_apply:1;
        RBus_UInt32  dh_mv_corr_case_mark_mode:2;
        RBus_UInt32  dh_mv_corr_cond_gmv_bypass:1;
        RBus_UInt32  dh_mv_corr_cond_rtgmvd_bypass:1;
    };
}kme_dehalo4_dh_mv_corr_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  dh_mv_corr_rim_blk_left:5;
        RBus_UInt32  dh_mv_corr_rim_blk_right:5;
        RBus_UInt32  dh_mv_corr_rim_blk_up:5;
        RBus_UInt32  dh_mv_corr_rim_blk_down:5;
        RBus_UInt32  dh_mv_corr_blk_res_mode:2;
        RBus_UInt32  dh_mv_corr_blk_res_num:3;
    };
}kme_dehalo4_dh_mv_corr_3c_RBUS;

#else //apply LITTLE_ENDIAN

//======KME_DEHALO4 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix_x_range1_ii:4;
        RBus_UInt32  rt2_addr_fix_y_range1_ii:4;
        RBus_UInt32  rt2_addr_fix_x_range1_pp:4;
        RBus_UInt32  rt2_addr_fix_y_range1_pp:4;
        RBus_UInt32  rt2_addr_fix_x_range2_ii:4;
        RBus_UInt32  rt2_addr_fix_y_range2_ii:4;
        RBus_UInt32  rt2_addr_fix_x_range2_pp:4;
        RBus_UInt32  rt2_addr_fix_y_range2_pp:4;
    };
}kme_dehalo4_rt2_mod_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix1_en:1;
        RBus_UInt32  rt2_addr_fix2_en:1;
        RBus_UInt32  rt2_addr_fix_phase_shift:4;
        RBus_UInt32  rt2_addr_fix_oridiff_th:10;
        RBus_UInt32  rt2_addr_fix_phase_rounding_shift1:4;
        RBus_UInt32  rt2_addr_fix_phase_rounding_shift2:4;
        RBus_UInt32  rt2_addr_fix_phase_rounding_th:8;
    };
}kme_dehalo4_rt2_mod_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix1_diff_th:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_diff_th:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix1_mvx_min:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix1_mvx_max:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix1_mvy_min:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix1_mvy_max:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix2_mvx_min:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_mvx_max:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix2_mvy_min:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_addr_fix2_mvy_max:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix_gmv_en:1;
        RBus_UInt32  rt2_addr_fix_gmv_value_min:10;
        RBus_UInt32  res1:5;
        RBus_UInt32  rt2_addr_fix_gmv_value_max:10;
        RBus_UInt32  res2:6;
    };
}kme_dehalo4_rt2_mod_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_addr_fix_gmvcnt_min:5;
        RBus_UInt32  rt2_addr_fix_gmvcnt_max:5;
        RBus_UInt32  res1:6;
        RBus_UInt32  rt2_pck_fix_en:1;
        RBus_UInt32  rt2_pck_gmvcnt_th:5;
        RBus_UInt32  rt2_pck_gmv_y0:8;
        RBus_UInt32  res2:2;
    };
}kme_dehalo4_rt2_mod_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_pck_gmv_y1:8;
        RBus_UInt32  rt2_pck_gmv_slope:4;
        RBus_UInt32  rt2_pck_gmv_shift:4;
        RBus_UInt32  rt2_pck_gmv_x0:10;
        RBus_UInt32  res1:6;
    };
}kme_dehalo4_rt2_mod_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rt2_pck_gmv_x1:10;
        RBus_UInt32  rt2_addr_fix_debug_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  rt2_addr_fix_clip_y_range:4;
        RBus_UInt32  rt2_addr_fix_clip_x_range:8;
        RBus_UInt32  res2:8;
    };
}kme_dehalo4_rt2_mod_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_far_gmv_num_th:6;
        RBus_UInt32  dh_mv_corr_near_gmv_num_th:6;
        RBus_UInt32  dh_mv_corr_low_apl_num_th:6;
        RBus_UInt32  dh_mv_corr_hi_apl_num_th:6;
        RBus_UInt32  dh_mv_corr_apl_sel:1;
        RBus_UInt32  dh_mv_corr_dr_dir_en:1;
        RBus_UInt32  dh_mv_corr_dl_dir_en:1;
        RBus_UInt32  dh_mv_corr_ur_dir_en:1;
        RBus_UInt32  dh_mv_corr_ul_dir_en:1;
        RBus_UInt32  dh_mv_corr_en:1;
        RBus_UInt32  res1:2;
    };
}kme_dehalo4_dh_mv_corr_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_low_gmv_diff_th:8;
        RBus_UInt32  dh_mv_corr_high_gmv_diff_th:8;
        RBus_UInt32  dh_mv_corr_low_apl_th:8;
        RBus_UInt32  dh_mv_corr_high_apl_th:8;
    };
}kme_dehalo4_dh_mv_corr_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_gmv_num:5;
        RBus_UInt32  res1:1;
        RBus_UInt32  dh_mv_corr_gmv_len:2;
        RBus_UInt32  dh_mv_corr_set_occl_apl_th:8;
        RBus_UInt32  dh_mv_corr_apl_th:8;
        RBus_UInt32  dh_mv_corr_gmv_diff_th:8;
    };
}kme_dehalo4_dh_mv_corr_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_cond_rtgmvd_bypass:1;
        RBus_UInt32  dh_mv_corr_cond_gmv_bypass:1;
        RBus_UInt32  dh_mv_corr_case_mark_mode:2;
        RBus_UInt32  dh_mv_corr_result_apply:1;
        RBus_UInt32  dh_mv_corr_pred_occl_en:1;
        RBus_UInt32  dh_mv_corr_set_occl_hor_en:1;
        RBus_UInt32  dh_mv_corr_set_occl_ver_en:1;
        RBus_UInt32  dh_mv_corr_debug_show_en:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_1:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_2:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_3:1;
        RBus_UInt32  dh_mv_corr_debug_show_mvcorr_4:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_1:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_2:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_3:1;
        RBus_UInt32  dh_mv_corr_debug_show_occlset_4:1;
        RBus_UInt32  dummy1809ea38_31_17:15;
    };
}kme_dehalo4_dh_mv_corr_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_mv_corr_blk_res_num:3;
        RBus_UInt32  dh_mv_corr_blk_res_mode:2;
        RBus_UInt32  dh_mv_corr_rim_blk_down:5;
        RBus_UInt32  dh_mv_corr_rim_blk_up:5;
        RBus_UInt32  dh_mv_corr_rim_blk_right:5;
        RBus_UInt32  dh_mv_corr_rim_blk_left:5;
        RBus_UInt32  res1:7;
    };
}kme_dehalo4_dh_mv_corr_3c_RBUS;




#endif 


#endif 
